(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react'), require('redux'), require('react-redux'), require('styled-components')) :
  typeof define === 'function' && define.amd ? define(['exports', 'react', 'redux', 'react-redux', 'styled-components'], factory) :
  factory(global['@bootstrap-styled/redux'] = {},global.React,global.redux,global['react-redux'],global.styled);
}(typeof self !== 'undefined' ? self : this, function (exports,React,redux,reactRedux,styledComponents) { 'use strict';

  React = React && React.hasOwnProperty('default') ? React['default'] : React;
  styledComponents = styledComponents && styledComponents.hasOwnProperty('default') ? styledComponents['default'] : styledComponents;

  function defaultEqualityCheck(a, b) {
    return a === b;
  }
  function areArgumentsShallowlyEqual(equalityCheck, prev, next) {
    if (prev === null || next === null || prev.length !== next.length) {
      return false;
    }
    var length = prev.length;
    for (var i = 0; i < length; i++) {
      if (!equalityCheck(prev[i], next[i])) {
        return false;
      }
    }
    return true;
  }
  function defaultMemoize(func) {
    var equalityCheck = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultEqualityCheck;
    var lastArgs = null;
    var lastResult = null;
    return function () {
      if (!areArgumentsShallowlyEqual(equalityCheck, lastArgs, arguments)) {
        lastResult = func.apply(null, arguments);
      }
      lastArgs = arguments;
      return lastResult;
    };
  }
  function getDependencies(funcs) {
    var dependencies = Array.isArray(funcs[0]) ? funcs[0] : funcs;
    if (!dependencies.every(function (dep) {
      return typeof dep === 'function';
    })) {
      var dependencyTypes = dependencies.map(function (dep) {
        return typeof dep;
      }).join(', ');
      throw new Error('Selector creators expect all input-selectors to be functions, ' + ('instead received the following types: [' + dependencyTypes + ']'));
    }
    return dependencies;
  }
  function createSelectorCreator(memoize) {
    for (var _len = arguments.length, memoizeOptions = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      memoizeOptions[_key - 1] = arguments[_key];
    }
    return function () {
      for (var _len2 = arguments.length, funcs = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
        funcs[_key2] = arguments[_key2];
      }
      var recomputations = 0;
      var resultFunc = funcs.pop();
      var dependencies = getDependencies(funcs);
      var memoizedResultFunc = memoize.apply(undefined, [function () {
        recomputations++;
        return resultFunc.apply(null, arguments);
      }].concat(memoizeOptions));
      var selector = memoize(function () {
        var params = [];
        var length = dependencies.length;
        for (var i = 0; i < length; i++) {
          params.push(dependencies[i].apply(null, arguments));
        }
        return memoizedResultFunc.apply(null, params);
      });
      selector.resultFunc = resultFunc;
      selector.dependencies = dependencies;
      selector.recomputations = function () {
        return recomputations;
      };
      selector.resetRecomputations = function () {
        return recomputations = 0;
      };
      return selector;
    };
  }
  var createSelector = createSelectorCreator(defaultMemoize);
  function createStructuredSelector(selectors) {
    var selectorCreator = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : createSelector;
    if (typeof selectors !== 'object') {
      throw new Error('createStructuredSelector expects first argument to be an object ' + ('where each property is a selector, instead received a ' + typeof selectors));
    }
    var objectKeys = Object.keys(selectors);
    return selectorCreator(objectKeys.map(function (key) {
      return selectors[key];
    }), function () {
      for (var _len3 = arguments.length, values = Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
        values[_key3] = arguments[_key3];
      }
      return values.reduce(function (composition, value, index) {
        composition[objectKeys[index]] = value;
        return composition;
      }, {});
    });
  }

  function unwrapExports (x) {
  	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x.default : x;
  }

  function createCommonjsModule(fn, module) {
  	return module = { exports: {} }, fn(module, module.exports), module.exports;
  }

  /*
  object-assign
  (c) Sindre Sorhus
  @license MIT
  */
  var getOwnPropertySymbols = Object.getOwnPropertySymbols;
  var hasOwnProperty = Object.prototype.hasOwnProperty;
  var propIsEnumerable = Object.prototype.propertyIsEnumerable;
  function toObject(val) {
  	if (val === null || val === undefined) {
  		throw new TypeError('Object.assign cannot be called with null or undefined');
  	}
  	return Object(val);
  }
  function shouldUseNative() {
  	try {
  		if (!Object.assign) {
  			return false;
  		}
  		var test1 = new String('abc');
  		test1[5] = 'de';
  		if (Object.getOwnPropertyNames(test1)[0] === '5') {
  			return false;
  		}
  		var test2 = {};
  		for (var i = 0; i < 10; i++) {
  			test2['_' + String.fromCharCode(i)] = i;
  		}
  		var order2 = Object.getOwnPropertyNames(test2).map(function (n) {
  			return test2[n];
  		});
  		if (order2.join('') !== '0123456789') {
  			return false;
  		}
  		var test3 = {};
  		'abcdefghijklmnopqrst'.split('').forEach(function (letter) {
  			test3[letter] = letter;
  		});
  		if (Object.keys(Object.assign({}, test3)).join('') !==
  				'abcdefghijklmnopqrst') {
  			return false;
  		}
  		return true;
  	} catch (err) {
  		return false;
  	}
  }
  var objectAssign = shouldUseNative() ? Object.assign : function (target, source) {
  	var from;
  	var to = toObject(target);
  	var symbols;
  	for (var s = 1; s < arguments.length; s++) {
  		from = Object(arguments[s]);
  		for (var key in from) {
  			if (hasOwnProperty.call(from, key)) {
  				to[key] = from[key];
  			}
  		}
  		if (getOwnPropertySymbols) {
  			symbols = getOwnPropertySymbols(from);
  			for (var i = 0; i < symbols.length; i++) {
  				if (propIsEnumerable.call(from, symbols[i])) {
  					to[symbols[i]] = from[symbols[i]];
  				}
  			}
  		}
  	}
  	return to;
  };

  var ReactPropTypesSecret = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';
  var ReactPropTypesSecret_1 = ReactPropTypesSecret;

  var printWarning = function() {};
  {
    var ReactPropTypesSecret$1 = ReactPropTypesSecret_1;
    var loggedTypeFailures = {};
    printWarning = function(text) {
      var message = 'Warning: ' + text;
      if (typeof console !== 'undefined') {
        console.error(message);
      }
      try {
        throw new Error(message);
      } catch (x) {}
    };
  }
  function checkPropTypes(typeSpecs, values, location, componentName, getStack) {
    {
      for (var typeSpecName in typeSpecs) {
        if (typeSpecs.hasOwnProperty(typeSpecName)) {
          var error;
          try {
            if (typeof typeSpecs[typeSpecName] !== 'function') {
              var err = Error(
                (componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' +
                'it must be a function, usually from the `prop-types` package, but received `' + typeof typeSpecs[typeSpecName] + '`.'
              );
              err.name = 'Invariant Violation';
              throw err;
            }
            error = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, ReactPropTypesSecret$1);
          } catch (ex) {
            error = ex;
          }
          if (error && !(error instanceof Error)) {
            printWarning(
              (componentName || 'React class') + ': type specification of ' +
              location + ' `' + typeSpecName + '` is invalid; the type checker ' +
              'function must return `null` or an `Error` but returned a ' + typeof error + '. ' +
              'You may have forgotten to pass an argument to the type checker ' +
              'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' +
              'shape all require an argument).'
            );
          }
          if (error instanceof Error && !(error.message in loggedTypeFailures)) {
            loggedTypeFailures[error.message] = true;
            var stack = getStack ? getStack() : '';
            printWarning(
              'Failed ' + location + ' type: ' + error.message + (stack != null ? stack : '')
            );
          }
        }
      }
    }
  }
  var checkPropTypes_1 = checkPropTypes;

  var printWarning$1 = function() {};
  {
    printWarning$1 = function(text) {
      var message = 'Warning: ' + text;
      if (typeof console !== 'undefined') {
        console.error(message);
      }
      try {
        throw new Error(message);
      } catch (x) {}
    };
  }
  function emptyFunctionThatReturnsNull() {
    return null;
  }
  var factoryWithTypeCheckers = function(isValidElement, throwOnDirectAccess) {
    var ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;
    var FAUX_ITERATOR_SYMBOL = '@@iterator';
    function getIteratorFn(maybeIterable) {
      var iteratorFn = maybeIterable && (ITERATOR_SYMBOL && maybeIterable[ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL]);
      if (typeof iteratorFn === 'function') {
        return iteratorFn;
      }
    }
    var ANONYMOUS = '<<anonymous>>';
    var ReactPropTypes = {
      array: createPrimitiveTypeChecker('array'),
      bool: createPrimitiveTypeChecker('boolean'),
      func: createPrimitiveTypeChecker('function'),
      number: createPrimitiveTypeChecker('number'),
      object: createPrimitiveTypeChecker('object'),
      string: createPrimitiveTypeChecker('string'),
      symbol: createPrimitiveTypeChecker('symbol'),
      any: createAnyTypeChecker(),
      arrayOf: createArrayOfTypeChecker,
      element: createElementTypeChecker(),
      instanceOf: createInstanceTypeChecker,
      node: createNodeChecker(),
      objectOf: createObjectOfTypeChecker,
      oneOf: createEnumTypeChecker,
      oneOfType: createUnionTypeChecker,
      shape: createShapeTypeChecker,
      exact: createStrictShapeTypeChecker,
    };
    function is(x, y) {
      if (x === y) {
        return x !== 0 || 1 / x === 1 / y;
      } else {
        return x !== x && y !== y;
      }
    }
    function PropTypeError(message) {
      this.message = message;
      this.stack = '';
    }
    PropTypeError.prototype = Error.prototype;
    function createChainableTypeChecker(validate) {
      {
        var manualPropTypeCallCache = {};
        var manualPropTypeWarningCount = 0;
      }
      function checkType(isRequired, props, propName, componentName, location, propFullName, secret) {
        componentName = componentName || ANONYMOUS;
        propFullName = propFullName || propName;
        if (secret !== ReactPropTypesSecret_1) {
          if (throwOnDirectAccess) {
            var err = new Error(
              'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
              'Use `PropTypes.checkPropTypes()` to call them. ' +
              'Read more at http://fb.me/use-check-prop-types'
            );
            err.name = 'Invariant Violation';
            throw err;
          } else if (typeof console !== 'undefined') {
            var cacheKey = componentName + ':' + propName;
            if (
              !manualPropTypeCallCache[cacheKey] &&
              manualPropTypeWarningCount < 3
            ) {
              printWarning$1(
                'You are manually calling a React.PropTypes validation ' +
                'function for the `' + propFullName + '` prop on `' + componentName  + '`. This is deprecated ' +
                'and will throw in the standalone `prop-types` package. ' +
                'You may be seeing this warning due to a third-party PropTypes ' +
                'library. See https://fb.me/react-warning-dont-call-proptypes ' + 'for details.'
              );
              manualPropTypeCallCache[cacheKey] = true;
              manualPropTypeWarningCount++;
            }
          }
        }
        if (props[propName] == null) {
          if (isRequired) {
            if (props[propName] === null) {
              return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required ' + ('in `' + componentName + '`, but its value is `null`.'));
            }
            return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required in ' + ('`' + componentName + '`, but its value is `undefined`.'));
          }
          return null;
        } else {
          return validate(props, propName, componentName, location, propFullName);
        }
      }
      var chainedCheckType = checkType.bind(null, false);
      chainedCheckType.isRequired = checkType.bind(null, true);
      return chainedCheckType;
    }
    function createPrimitiveTypeChecker(expectedType) {
      function validate(props, propName, componentName, location, propFullName, secret) {
        var propValue = props[propName];
        var propType = getPropType(propValue);
        if (propType !== expectedType) {
          var preciseType = getPreciseType(propValue);
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + preciseType + '` supplied to `' + componentName + '`, expected ') + ('`' + expectedType + '`.'));
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }
    function createAnyTypeChecker() {
      return createChainableTypeChecker(emptyFunctionThatReturnsNull);
    }
    function createArrayOfTypeChecker(typeChecker) {
      function validate(props, propName, componentName, location, propFullName) {
        if (typeof typeChecker !== 'function') {
          return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside arrayOf.');
        }
        var propValue = props[propName];
        if (!Array.isArray(propValue)) {
          var propType = getPropType(propValue);
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an array.'));
        }
        for (var i = 0; i < propValue.length; i++) {
          var error = typeChecker(propValue, i, componentName, location, propFullName + '[' + i + ']', ReactPropTypesSecret_1);
          if (error instanceof Error) {
            return error;
          }
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }
    function createElementTypeChecker() {
      function validate(props, propName, componentName, location, propFullName) {
        var propValue = props[propName];
        if (!isValidElement(propValue)) {
          var propType = getPropType(propValue);
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement.'));
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }
    function createInstanceTypeChecker(expectedClass) {
      function validate(props, propName, componentName, location, propFullName) {
        if (!(props[propName] instanceof expectedClass)) {
          var expectedClassName = expectedClass.name || ANONYMOUS;
          var actualClassName = getClassName(props[propName]);
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + actualClassName + '` supplied to `' + componentName + '`, expected ') + ('instance of `' + expectedClassName + '`.'));
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }
    function createEnumTypeChecker(expectedValues) {
      if (!Array.isArray(expectedValues)) {
        printWarning$1('Invalid argument supplied to oneOf, expected an instance of array.');
        return emptyFunctionThatReturnsNull;
      }
      function validate(props, propName, componentName, location, propFullName) {
        var propValue = props[propName];
        for (var i = 0; i < expectedValues.length; i++) {
          if (is(propValue, expectedValues[i])) {
            return null;
          }
        }
        var valuesString = JSON.stringify(expectedValues);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of value `' + propValue + '` ' + ('supplied to `' + componentName + '`, expected one of ' + valuesString + '.'));
      }
      return createChainableTypeChecker(validate);
    }
    function createObjectOfTypeChecker(typeChecker) {
      function validate(props, propName, componentName, location, propFullName) {
        if (typeof typeChecker !== 'function') {
          return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside objectOf.');
        }
        var propValue = props[propName];
        var propType = getPropType(propValue);
        if (propType !== 'object') {
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an object.'));
        }
        for (var key in propValue) {
          if (propValue.hasOwnProperty(key)) {
            var error = typeChecker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret_1);
            if (error instanceof Error) {
              return error;
            }
          }
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }
    function createUnionTypeChecker(arrayOfTypeCheckers) {
      if (!Array.isArray(arrayOfTypeCheckers)) {
        printWarning$1('Invalid argument supplied to oneOfType, expected an instance of array.');
        return emptyFunctionThatReturnsNull;
      }
      for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
        var checker = arrayOfTypeCheckers[i];
        if (typeof checker !== 'function') {
          printWarning$1(
            'Invalid argument supplied to oneOfType. Expected an array of check functions, but ' +
            'received ' + getPostfixForTypeWarning(checker) + ' at index ' + i + '.'
          );
          return emptyFunctionThatReturnsNull;
        }
      }
      function validate(props, propName, componentName, location, propFullName) {
        for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
          var checker = arrayOfTypeCheckers[i];
          if (checker(props, propName, componentName, location, propFullName, ReactPropTypesSecret_1) == null) {
            return null;
          }
        }
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`.'));
      }
      return createChainableTypeChecker(validate);
    }
    function createNodeChecker() {
      function validate(props, propName, componentName, location, propFullName) {
        if (!isNode(props[propName])) {
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`, expected a ReactNode.'));
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }
    function createShapeTypeChecker(shapeTypes) {
      function validate(props, propName, componentName, location, propFullName) {
        var propValue = props[propName];
        var propType = getPropType(propValue);
        if (propType !== 'object') {
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
        }
        for (var key in shapeTypes) {
          var checker = shapeTypes[key];
          if (!checker) {
            continue;
          }
          var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret_1);
          if (error) {
            return error;
          }
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }
    function createStrictShapeTypeChecker(shapeTypes) {
      function validate(props, propName, componentName, location, propFullName) {
        var propValue = props[propName];
        var propType = getPropType(propValue);
        if (propType !== 'object') {
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
        }
        var allKeys = objectAssign({}, props[propName], shapeTypes);
        for (var key in allKeys) {
          var checker = shapeTypes[key];
          if (!checker) {
            return new PropTypeError(
              'Invalid ' + location + ' `' + propFullName + '` key `' + key + '` supplied to `' + componentName + '`.' +
              '\nBad object: ' + JSON.stringify(props[propName], null, '  ') +
              '\nValid keys: ' +  JSON.stringify(Object.keys(shapeTypes), null, '  ')
            );
          }
          var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret_1);
          if (error) {
            return error;
          }
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }
    function isNode(propValue) {
      switch (typeof propValue) {
        case 'number':
        case 'string':
        case 'undefined':
          return true;
        case 'boolean':
          return !propValue;
        case 'object':
          if (Array.isArray(propValue)) {
            return propValue.every(isNode);
          }
          if (propValue === null || isValidElement(propValue)) {
            return true;
          }
          var iteratorFn = getIteratorFn(propValue);
          if (iteratorFn) {
            var iterator = iteratorFn.call(propValue);
            var step;
            if (iteratorFn !== propValue.entries) {
              while (!(step = iterator.next()).done) {
                if (!isNode(step.value)) {
                  return false;
                }
              }
            } else {
              while (!(step = iterator.next()).done) {
                var entry = step.value;
                if (entry) {
                  if (!isNode(entry[1])) {
                    return false;
                  }
                }
              }
            }
          } else {
            return false;
          }
          return true;
        default:
          return false;
      }
    }
    function isSymbol(propType, propValue) {
      if (propType === 'symbol') {
        return true;
      }
      if (propValue['@@toStringTag'] === 'Symbol') {
        return true;
      }
      if (typeof Symbol === 'function' && propValue instanceof Symbol) {
        return true;
      }
      return false;
    }
    function getPropType(propValue) {
      var propType = typeof propValue;
      if (Array.isArray(propValue)) {
        return 'array';
      }
      if (propValue instanceof RegExp) {
        return 'object';
      }
      if (isSymbol(propType, propValue)) {
        return 'symbol';
      }
      return propType;
    }
    function getPreciseType(propValue) {
      if (typeof propValue === 'undefined' || propValue === null) {
        return '' + propValue;
      }
      var propType = getPropType(propValue);
      if (propType === 'object') {
        if (propValue instanceof Date) {
          return 'date';
        } else if (propValue instanceof RegExp) {
          return 'regexp';
        }
      }
      return propType;
    }
    function getPostfixForTypeWarning(value) {
      var type = getPreciseType(value);
      switch (type) {
        case 'array':
        case 'object':
          return 'an ' + type;
        case 'boolean':
        case 'date':
        case 'regexp':
          return 'a ' + type;
        default:
          return type;
      }
    }
    function getClassName(propValue) {
      if (!propValue.constructor || !propValue.constructor.name) {
        return ANONYMOUS;
      }
      return propValue.constructor.name;
    }
    ReactPropTypes.checkPropTypes = checkPropTypes_1;
    ReactPropTypes.PropTypes = ReactPropTypes;
    return ReactPropTypes;
  };

  var propTypes = createCommonjsModule(function (module) {
  {
    var REACT_ELEMENT_TYPE = (typeof Symbol === 'function' &&
      Symbol.for &&
      Symbol.for('react.element')) ||
      0xeac7;
    var isValidElement = function(object) {
      return typeof object === 'object' &&
        object !== null &&
        object.$$typeof === REACT_ELEMENT_TYPE;
    };
    var throwOnDirectAccess = true;
    module.exports = factoryWithTypeCheckers(isValidElement, throwOnDirectAccess);
  }
  });

  function _classCallCheck(r,e){if(!(r instanceof e))throw new TypeError("Cannot call a class as a function")}var classCallCheck=_classCallCheck;function _defineProperty(r,e,t){return e in r?Object.defineProperty(r,e,{value:t,enumerable:!0,configurable:!0,writable:!0}):r[e]=t,r}var defineProperty=_defineProperty;function createCommonjsModule$1(r,e){return r(e={exports:{}},e.exports),e.exports}var colorName={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169],darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegreen:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]},isArrayish=function(r){return !(!r||"string"==typeof r)&&(r instanceof Array||Array.isArray(r)||r.length>=0&&(r.splice instanceof Function||Object.getOwnPropertyDescriptor(r,r.length-1)&&"String"!==r.constructor.name))},simpleSwizzle=createCommonjsModule$1(function(r){var e=Array.prototype.concat,t=Array.prototype.slice,o=r.exports=function(r){for(var o=[],n=0,a=r.length;n<a;n++){var i=r[n];isArrayish(i)?o=e.call(o,t.call(i)):o.push(i);}return o};o.wrap=function(r){return function(){return r(o(arguments))}};}),colorString=createCommonjsModule$1(function(r){var e={};for(var t in colorName)colorName.hasOwnProperty(t)&&(e[colorName[t]]=t);var o=r.exports={to:{},get:{}};function n(r,e,t){return Math.min(Math.max(e,r),t)}function a(r){var e=r.toString(16).toUpperCase();return e.length<2?"0"+e:e}o.get=function(r){var e,t;switch(r.substring(0,3).toLowerCase()){case"hsl":e=o.get.hsl(r),t="hsl";break;case"hwb":e=o.get.hwb(r),t="hwb";break;default:e=o.get.rgb(r),t="rgb";}return e?{model:t,value:e}:null},o.get.rgb=function(r){if(!r)return null;var e,t,o,a=[0,0,0,1];if(e=r.match(/^#([a-f0-9]{6})([a-f0-9]{2})?$/i)){for(o=e[2],e=e[1],t=0;t<3;t++){var i=2*t;a[t]=parseInt(e.slice(i,i+2),16);}o&&(a[3]=Math.round(parseInt(o,16)/255*100)/100);}else if(e=r.match(/^#([a-f0-9]{3,4})$/i)){for(o=(e=e[1])[3],t=0;t<3;t++)a[t]=parseInt(e[t]+e[t],16);o&&(a[3]=Math.round(parseInt(o+o,16)/255*100)/100);}else if(e=r.match(/^rgba?\(\s*([+-]?\d+)\s*,\s*([+-]?\d+)\s*,\s*([+-]?\d+)\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/)){for(t=0;t<3;t++)a[t]=parseInt(e[t+1],0);e[4]&&(a[3]=parseFloat(e[4]));}else{if(!(e=r.match(/^rgba?\(\s*([+-]?[\d\.]+)\%\s*,\s*([+-]?[\d\.]+)\%\s*,\s*([+-]?[\d\.]+)\%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/)))return (e=r.match(/(\D+)/))?"transparent"===e[1]?[0,0,0,0]:(a=colorName[e[1]])?(a[3]=1,a):null:null;for(t=0;t<3;t++)a[t]=Math.round(2.55*parseFloat(e[t+1]));e[4]&&(a[3]=parseFloat(e[4]));}for(t=0;t<3;t++)a[t]=n(a[t],0,255);return a[3]=n(a[3],0,1),a},o.get.hsl=function(r){if(!r)return null;var e=r.match(/^hsla?\(\s*([+-]?(?:\d*\.)?\d+)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/);if(e){var t=parseFloat(e[4]);return [(parseFloat(e[1])+360)%360,n(parseFloat(e[2]),0,100),n(parseFloat(e[3]),0,100),n(isNaN(t)?1:t,0,1)]}return null},o.get.hwb=function(r){if(!r)return null;var e=r.match(/^hwb\(\s*([+-]?\d*[\.]?\d+)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/);if(e){var t=parseFloat(e[4]);return [(parseFloat(e[1])%360+360)%360,n(parseFloat(e[2]),0,100),n(parseFloat(e[3]),0,100),n(isNaN(t)?1:t,0,1)]}return null},o.to.hex=function(){var r=simpleSwizzle(arguments);return "#"+a(r[0])+a(r[1])+a(r[2])+(r[3]<1?a(Math.round(255*r[3])):"")},o.to.rgb=function(){var r=simpleSwizzle(arguments);return r.length<4||1===r[3]?"rgb("+Math.round(r[0])+", "+Math.round(r[1])+", "+Math.round(r[2])+")":"rgba("+Math.round(r[0])+", "+Math.round(r[1])+", "+Math.round(r[2])+", "+r[3]+")"},o.to.rgb.percent=function(){var r=simpleSwizzle(arguments),e=Math.round(r[0]/255*100),t=Math.round(r[1]/255*100),o=Math.round(r[2]/255*100);return r.length<4||1===r[3]?"rgb("+e+"%, "+t+"%, "+o+"%)":"rgba("+e+"%, "+t+"%, "+o+"%, "+r[3]+")"},o.to.hsl=function(){var r=simpleSwizzle(arguments);return r.length<4||1===r[3]?"hsl("+r[0]+", "+r[1]+"%, "+r[2]+"%)":"hsla("+r[0]+", "+r[1]+"%, "+r[2]+"%, "+r[3]+")"},o.to.hwb=function(){var r=simpleSwizzle(arguments),e="";return r.length>=4&&1!==r[3]&&(e=", "+r[3]),"hwb("+r[0]+", "+r[1]+"%, "+r[2]+"%"+e+")"},o.to.keyword=function(r){return e[r.slice(0,3)]};}),colorString_1=colorString.to,colorString_2=colorString.get,conversions=createCommonjsModule$1(function(r){var e={};for(var t in colorName)colorName.hasOwnProperty(t)&&(e[colorName[t]]=t);var o=r.exports={rgb:{channels:3,labels:"rgb"},hsl:{channels:3,labels:"hsl"},hsv:{channels:3,labels:"hsv"},hwb:{channels:3,labels:"hwb"},cmyk:{channels:4,labels:"cmyk"},xyz:{channels:3,labels:"xyz"},lab:{channels:3,labels:"lab"},lch:{channels:3,labels:"lch"},hex:{channels:1,labels:["hex"]},keyword:{channels:1,labels:["keyword"]},ansi16:{channels:1,labels:["ansi16"]},ansi256:{channels:1,labels:["ansi256"]},hcg:{channels:3,labels:["h","c","g"]},apple:{channels:3,labels:["r16","g16","b16"]},gray:{channels:1,labels:["gray"]}};for(var n in o)if(o.hasOwnProperty(n)){if(!("channels"in o[n]))throw new Error("missing channels property: "+n);if(!("labels"in o[n]))throw new Error("missing channel labels property: "+n);if(o[n].labels.length!==o[n].channels)throw new Error("channel and label counts mismatch: "+n);var a=o[n].channels,i=o[n].labels;delete o[n].channels,delete o[n].labels,Object.defineProperty(o[n],"channels",{value:a}),Object.defineProperty(o[n],"labels",{value:i});}o.rgb.hsl=function(r){var e,t,o=r[0]/255,n=r[1]/255,a=r[2]/255,i=Math.min(o,n,a),l=Math.max(o,n,a),c=l-i;return l===i?e=0:o===l?e=(n-a)/c:n===l?e=2+(a-o)/c:a===l&&(e=4+(o-n)/c),(e=Math.min(60*e,360))<0&&(e+=360),t=(i+l)/2,[e,100*(l===i?0:t<=.5?c/(l+i):c/(2-l-i)),100*t]},o.rgb.hsv=function(r){var e,t,o,n,a,i=r[0]/255,l=r[1]/255,c=r[2]/255,s=Math.max(i,l,c),d=s-Math.min(i,l,c),g=function(r){return (s-r)/6/d+.5};return 0===d?n=a=0:(a=d/s,e=g(i),t=g(l),o=g(c),i===s?n=o-t:l===s?n=1/3+e-o:c===s&&(n=2/3+t-e),n<0?n+=1:n>1&&(n-=1)),[360*n,100*a,100*s]},o.rgb.hwb=function(r){var e=r[0],t=r[1],n=r[2];return [o.rgb.hsl(r)[0],1/255*Math.min(e,Math.min(t,n))*100,100*(n=1-1/255*Math.max(e,Math.max(t,n)))]},o.rgb.cmyk=function(r){var e,t=r[0]/255,o=r[1]/255,n=r[2]/255;return [100*((1-t-(e=Math.min(1-t,1-o,1-n)))/(1-e)||0),100*((1-o-e)/(1-e)||0),100*((1-n-e)/(1-e)||0),100*e]},o.rgb.keyword=function(r){var t=e[r];if(t)return t;var o,n,a,i=1/0;for(var l in colorName)if(colorName.hasOwnProperty(l)){var c=(n=r,a=colorName[l],Math.pow(n[0]-a[0],2)+Math.pow(n[1]-a[1],2)+Math.pow(n[2]-a[2],2));c<i&&(i=c,o=l);}return o},o.keyword.rgb=function(r){return colorName[r]},o.rgb.xyz=function(r){var e=r[0]/255,t=r[1]/255,o=r[2]/255;return [100*(.4124*(e=e>.04045?Math.pow((e+.055)/1.055,2.4):e/12.92)+.3576*(t=t>.04045?Math.pow((t+.055)/1.055,2.4):t/12.92)+.1805*(o=o>.04045?Math.pow((o+.055)/1.055,2.4):o/12.92)),100*(.2126*e+.7152*t+.0722*o),100*(.0193*e+.1192*t+.9505*o)]},o.rgb.lab=function(r){var e=o.rgb.xyz(r),t=e[0],n=e[1],a=e[2];return n/=100,a/=108.883,t=(t/=95.047)>.008856?Math.pow(t,1/3):7.787*t+16/116,[116*(n=n>.008856?Math.pow(n,1/3):7.787*n+16/116)-16,500*(t-n),200*(n-(a=a>.008856?Math.pow(a,1/3):7.787*a+16/116))]},o.hsl.rgb=function(r){var e,t,o,n,a,i=r[0]/360,l=r[1]/100,c=r[2]/100;if(0===l)return [a=255*c,a,a];e=2*c-(t=c<.5?c*(1+l):c+l-c*l),n=[0,0,0];for(var s=0;s<3;s++)(o=i+1/3*-(s-1))<0&&o++,o>1&&o--,a=6*o<1?e+6*(t-e)*o:2*o<1?t:3*o<2?e+(t-e)*(2/3-o)*6:e,n[s]=255*a;return n},o.hsl.hsv=function(r){var e=r[0],t=r[1]/100,o=r[2]/100,n=t,a=Math.max(o,.01);return t*=(o*=2)<=1?o:2-o,n*=a<=1?a:2-a,[e,100*(0===o?2*n/(a+n):2*t/(o+t)),(o+t)/2*100]},o.hsv.rgb=function(r){var e=r[0]/60,t=r[1]/100,o=r[2]/100,n=Math.floor(e)%6,a=e-Math.floor(e),i=255*o*(1-t),l=255*o*(1-t*a),c=255*o*(1-t*(1-a));switch(o*=255,n){case 0:return [o,c,i];case 1:return [l,o,i];case 2:return [i,o,c];case 3:return [i,l,o];case 4:return [c,i,o];case 5:return [o,i,l]}},o.hsv.hsl=function(r){var e,t,o,n=r[0],a=r[1]/100,i=r[2]/100,l=Math.max(i,.01);return o=(2-a)*i,t=a*l,[n,100*(t=(t/=(e=(2-a)*l)<=1?e:2-e)||0),100*(o/=2)]},o.hwb.rgb=function(r){var e,t,o,n,a,i,l,c=r[0]/360,s=r[1]/100,d=r[2]/100,g=s+d;switch(g>1&&(s/=g,d/=g),o=6*c-(e=Math.floor(6*c)),0!=(1&e)&&(o=1-o),n=s+o*((t=1-d)-s),e){default:case 6:case 0:a=t,i=n,l=s;break;case 1:a=n,i=t,l=s;break;case 2:a=s,i=t,l=n;break;case 3:a=s,i=n,l=t;break;case 4:a=n,i=s,l=t;break;case 5:a=t,i=s,l=n;}return [255*a,255*i,255*l]},o.cmyk.rgb=function(r){var e=r[0]/100,t=r[1]/100,o=r[2]/100,n=r[3]/100;return [255*(1-Math.min(1,e*(1-n)+n)),255*(1-Math.min(1,t*(1-n)+n)),255*(1-Math.min(1,o*(1-n)+n))]},o.xyz.rgb=function(r){var e,t,o,n=r[0]/100,a=r[1]/100,i=r[2]/100;return t=-.9689*n+1.8758*a+.0415*i,o=.0557*n+-.204*a+1.057*i,e=(e=3.2406*n+-1.5372*a+-.4986*i)>.0031308?1.055*Math.pow(e,1/2.4)-.055:12.92*e,t=t>.0031308?1.055*Math.pow(t,1/2.4)-.055:12.92*t,o=o>.0031308?1.055*Math.pow(o,1/2.4)-.055:12.92*o,[255*(e=Math.min(Math.max(0,e),1)),255*(t=Math.min(Math.max(0,t),1)),255*(o=Math.min(Math.max(0,o),1))]},o.xyz.lab=function(r){var e=r[0],t=r[1],o=r[2];return t/=100,o/=108.883,e=(e/=95.047)>.008856?Math.pow(e,1/3):7.787*e+16/116,[116*(t=t>.008856?Math.pow(t,1/3):7.787*t+16/116)-16,500*(e-t),200*(t-(o=o>.008856?Math.pow(o,1/3):7.787*o+16/116))]},o.lab.xyz=function(r){var e,t,o,n=r[0];e=r[1]/500+(t=(n+16)/116),o=t-r[2]/200;var a=Math.pow(t,3),i=Math.pow(e,3),l=Math.pow(o,3);return t=a>.008856?a:(t-16/116)/7.787,e=i>.008856?i:(e-16/116)/7.787,o=l>.008856?l:(o-16/116)/7.787,[e*=95.047,t*=100,o*=108.883]},o.lab.lch=function(r){var e,t=r[0],o=r[1],n=r[2];return (e=360*Math.atan2(n,o)/2/Math.PI)<0&&(e+=360),[t,Math.sqrt(o*o+n*n),e]},o.lch.lab=function(r){var e,t=r[0],o=r[1];return e=r[2]/360*2*Math.PI,[t,o*Math.cos(e),o*Math.sin(e)]},o.rgb.ansi16=function(r){var e=r[0],t=r[1],n=r[2],a=1 in arguments?arguments[1]:o.rgb.hsv(r)[2];if(0===(a=Math.round(a/50)))return 30;var i=30+(Math.round(n/255)<<2|Math.round(t/255)<<1|Math.round(e/255));return 2===a&&(i+=60),i},o.hsv.ansi16=function(r){return o.rgb.ansi16(o.hsv.rgb(r),r[2])},o.rgb.ansi256=function(r){var e=r[0],t=r[1],o=r[2];return e===t&&t===o?e<8?16:e>248?231:Math.round((e-8)/247*24)+232:16+36*Math.round(e/255*5)+6*Math.round(t/255*5)+Math.round(o/255*5)},o.ansi16.rgb=function(r){var e=r%10;if(0===e||7===e)return r>50&&(e+=3.5),[e=e/10.5*255,e,e];var t=.5*(1+~~(r>50));return [(1&e)*t*255,(e>>1&1)*t*255,(e>>2&1)*t*255]},o.ansi256.rgb=function(r){if(r>=232){var e=10*(r-232)+8;return [e,e,e]}var t;return r-=16,[Math.floor(r/36)/5*255,Math.floor((t=r%36)/6)/5*255,t%6/5*255]},o.rgb.hex=function(r){var e=(((255&Math.round(r[0]))<<16)+((255&Math.round(r[1]))<<8)+(255&Math.round(r[2]))).toString(16).toUpperCase();return "000000".substring(e.length)+e},o.hex.rgb=function(r){var e=r.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);if(!e)return [0,0,0];var t=e[0];3===e[0].length&&(t=t.split("").map(function(r){return r+r}).join(""));var o=parseInt(t,16);return [o>>16&255,o>>8&255,255&o]},o.rgb.hcg=function(r){var e,t=r[0]/255,o=r[1]/255,n=r[2]/255,a=Math.max(Math.max(t,o),n),i=Math.min(Math.min(t,o),n),l=a-i;return e=l<=0?0:a===t?(o-n)/l%6:a===o?2+(n-t)/l:4+(t-o)/l+4,e/=6,[360*(e%=1),100*l,100*(l<1?i/(1-l):0)]},o.hsl.hcg=function(r){var e,t=r[1]/100,o=r[2]/100,n=0;return (e=o<.5?2*t*o:2*t*(1-o))<1&&(n=(o-.5*e)/(1-e)),[r[0],100*e,100*n]},o.hsv.hcg=function(r){var e=r[1]/100,t=r[2]/100,o=e*t,n=0;return o<1&&(n=(t-o)/(1-o)),[r[0],100*o,100*n]},o.hcg.rgb=function(r){var e=r[0]/360,t=r[1]/100,o=r[2]/100;if(0===t)return [255*o,255*o,255*o];var n,a=[0,0,0],i=e%1*6,l=i%1,c=1-l;switch(Math.floor(i)){case 0:a[0]=1,a[1]=l,a[2]=0;break;case 1:a[0]=c,a[1]=1,a[2]=0;break;case 2:a[0]=0,a[1]=1,a[2]=l;break;case 3:a[0]=0,a[1]=c,a[2]=1;break;case 4:a[0]=l,a[1]=0,a[2]=1;break;default:a[0]=1,a[1]=0,a[2]=c;}return n=(1-t)*o,[255*(t*a[0]+n),255*(t*a[1]+n),255*(t*a[2]+n)]},o.hcg.hsv=function(r){var e=r[1]/100,t=e+r[2]/100*(1-e),o=0;return t>0&&(o=e/t),[r[0],100*o,100*t]},o.hcg.hsl=function(r){var e=r[1]/100,t=r[2]/100*(1-e)+.5*e,o=0;return t>0&&t<.5?o=e/(2*t):t>=.5&&t<1&&(o=e/(2*(1-t))),[r[0],100*o,100*t]},o.hcg.hwb=function(r){var e=r[1]/100,t=e+r[2]/100*(1-e);return [r[0],100*(t-e),100*(1-t)]},o.hwb.hcg=function(r){var e=r[1]/100,t=1-r[2]/100,o=t-e,n=0;return o<1&&(n=(t-o)/(1-o)),[r[0],100*o,100*n]},o.apple.rgb=function(r){return [r[0]/65535*255,r[1]/65535*255,r[2]/65535*255]},o.rgb.apple=function(r){return [r[0]/255*65535,r[1]/255*65535,r[2]/255*65535]},o.gray.rgb=function(r){return [r[0]/100*255,r[0]/100*255,r[0]/100*255]},o.gray.hsl=o.gray.hsv=function(r){return [0,0,r[0]]},o.gray.hwb=function(r){return [0,100,r[0]]},o.gray.cmyk=function(r){return [0,0,0,r[0]]},o.gray.lab=function(r){return [r[0],0,0]},o.gray.hex=function(r){var e=255&Math.round(r[0]/100*255),t=((e<<16)+(e<<8)+e).toString(16).toUpperCase();return "000000".substring(t.length)+t},o.rgb.gray=function(r){return [(r[0]+r[1]+r[2])/3/255*100]};}),conversions_1=conversions.rgb,conversions_2=conversions.hsl,conversions_3=conversions.hsv,conversions_4=conversions.hwb,conversions_5=conversions.cmyk,conversions_6=conversions.xyz,conversions_7=conversions.lab,conversions_8=conversions.lch,conversions_9=conversions.hex,conversions_10=conversions.keyword,conversions_11=conversions.ansi16,conversions_12=conversions.ansi256,conversions_13=conversions.hcg,conversions_14=conversions.apple,conversions_15=conversions.gray;function buildGraph(){for(var r={},e=Object.keys(conversions),t=e.length,o=0;o<t;o++)r[e[o]]={distance:-1,parent:null};return r}function deriveBFS(r){var e=buildGraph(),t=[r];for(e[r].distance=0;t.length;)for(var o=t.pop(),n=Object.keys(conversions[o]),a=n.length,i=0;i<a;i++){var l=n[i],c=e[l];-1===c.distance&&(c.distance=e[o].distance+1,c.parent=o,t.unshift(l));}return e}function link(r,e){return function(t){return e(r(t))}}function wrapConversion(r,e){for(var t=[e[r].parent,r],o=conversions[e[r].parent][r],n=e[r].parent;e[n].parent;)t.unshift(e[n].parent),o=link(conversions[e[n].parent][n],o),n=e[n].parent;return o.conversion=t,o}var route=function(r){for(var e=deriveBFS(r),t={},o=Object.keys(e),n=o.length,a=0;a<n;a++){var i=o[a];null!==e[i].parent&&(t[i]=wrapConversion(i,e));}return t},convert={},models=Object.keys(conversions);function wrapRaw(r){var e=function(e){return null==e?e:(arguments.length>1&&(e=Array.prototype.slice.call(arguments)),r(e))};return "conversion"in r&&(e.conversion=r.conversion),e}function wrapRounded(r){var e=function(e){if(null==e)return e;arguments.length>1&&(e=Array.prototype.slice.call(arguments));var t=r(e);if("object"==typeof t)for(var o=t.length,n=0;n<o;n++)t[n]=Math.round(t[n]);return t};return "conversion"in r&&(e.conversion=r.conversion),e}models.forEach(function(r){convert[r]={},Object.defineProperty(convert[r],"channels",{value:conversions[r].channels}),Object.defineProperty(convert[r],"labels",{value:conversions[r].labels});var e=route(r);Object.keys(e).forEach(function(t){var o=e[t];convert[r][t]=wrapRounded(o),convert[r][t].raw=wrapRaw(o);});});var colorConvert=convert,_slice=[].slice,skippedModels=["keyword","gray","hex"],hashedModelKeys={};Object.keys(colorConvert).forEach(function(r){hashedModelKeys[_slice.call(colorConvert[r].labels).sort().join("")]=r;});var limiters={};function Color(r,e){if(!(this instanceof Color))return new Color(r,e);if(e&&e in skippedModels&&(e=null),e&&!(e in colorConvert))throw new Error("Unknown model: "+e);var t,o;if(void 0===r)this.model="rgb",this.color=[0,0,0],this.valpha=1;else if(r instanceof Color)this.model=r.model,this.color=r.color.slice(),this.valpha=r.valpha;else if("string"==typeof r){var n=colorString.get(r);if(null===n)throw new Error("Unable to parse color from string: "+r);this.model=n.model,o=colorConvert[this.model].channels,this.color=n.value.slice(0,o),this.valpha="number"==typeof n.value[o]?n.value[o]:1;}else if(r.length){this.model=e||"rgb",o=colorConvert[this.model].channels;var a=_slice.call(r,0,o);this.color=zeroArray(a,o),this.valpha="number"==typeof r[o]?r[o]:1;}else if("number"==typeof r)r&=16777215,this.model="rgb",this.color=[r>>16&255,r>>8&255,255&r],this.valpha=1;else{this.valpha=1;var i=Object.keys(r);"alpha"in r&&(i.splice(i.indexOf("alpha"),1),this.valpha="number"==typeof r.alpha?r.alpha:0);var l=i.sort().join("");if(!(l in hashedModelKeys))throw new Error("Unable to parse color from object: "+JSON.stringify(r));this.model=hashedModelKeys[l];var c=colorConvert[this.model].labels,s=[];for(t=0;t<c.length;t++)s.push(r[c[t]]);this.color=zeroArray(s);}if(limiters[this.model])for(o=colorConvert[this.model].channels,t=0;t<o;t++){var d=limiters[this.model][t];d&&(this.color[t]=d(this.color[t]));}this.valpha=Math.max(0,Math.min(1,this.valpha)),Object.freeze&&Object.freeze(this);}function roundTo(r,e){return Number(r.toFixed(e))}function roundToPlace(r){return function(e){return roundTo(e,r)}}function getset(r,e,t){return (r=Array.isArray(r)?r:[r]).forEach(function(r){(limiters[r]||(limiters[r]=[]))[e]=t;}),r=r[0],function(o){var n;return arguments.length?(t&&(o=t(o)),(n=this[r]()).color[e]=o,n):(n=this[r]().color[e],t&&(n=t(n)),n)}}function maxfn(r){return function(e){return Math.max(0,Math.min(r,e))}}function assertArray(r){return Array.isArray(r)?r:[r]}function zeroArray(r,e){for(var t=0;t<e;t++)"number"!=typeof r[t]&&(r[t]=0);return r}Color.prototype={toString:function(){return this.string()},toJSON:function(){return this[this.model]()},string:function(r){var e=this.model in colorString.to?this:this.rgb(),t=1===(e=e.round("number"==typeof r?r:1)).valpha?e.color:e.color.concat(this.valpha);return colorString.to[e.model](t)},percentString:function(r){var e=this.rgb().round("number"==typeof r?r:1),t=1===e.valpha?e.color:e.color.concat(this.valpha);return colorString.to.rgb.percent(t)},array:function(){return 1===this.valpha?this.color.slice():this.color.concat(this.valpha)},object:function(){for(var r={},e=colorConvert[this.model].channels,t=colorConvert[this.model].labels,o=0;o<e;o++)r[t[o]]=this.color[o];return 1!==this.valpha&&(r.alpha=this.valpha),r},unitArray:function(){var r=this.rgb().color;return r[0]/=255,r[1]/=255,r[2]/=255,1!==this.valpha&&r.push(this.valpha),r},unitObject:function(){var r=this.rgb().object();return r.r/=255,r.g/=255,r.b/=255,1!==this.valpha&&(r.alpha=this.valpha),r},round:function(r){return r=Math.max(r||0,0),new Color(this.color.map(roundToPlace(r)).concat(this.valpha),this.model)},alpha:function(r){return arguments.length?new Color(this.color.concat(Math.max(0,Math.min(1,r))),this.model):this.valpha},red:getset("rgb",0,maxfn(255)),green:getset("rgb",1,maxfn(255)),blue:getset("rgb",2,maxfn(255)),hue:getset(["hsl","hsv","hsl","hwb","hcg"],0,function(r){return (r%360+360)%360}),saturationl:getset("hsl",1,maxfn(100)),lightness:getset("hsl",2,maxfn(100)),saturationv:getset("hsv",1,maxfn(100)),value:getset("hsv",2,maxfn(100)),chroma:getset("hcg",1,maxfn(100)),gray:getset("hcg",2,maxfn(100)),white:getset("hwb",1,maxfn(100)),wblack:getset("hwb",2,maxfn(100)),cyan:getset("cmyk",0,maxfn(100)),magenta:getset("cmyk",1,maxfn(100)),yellow:getset("cmyk",2,maxfn(100)),black:getset("cmyk",3,maxfn(100)),x:getset("xyz",0,maxfn(100)),y:getset("xyz",1,maxfn(100)),z:getset("xyz",2,maxfn(100)),l:getset("lab",0,maxfn(100)),a:getset("lab",1),b:getset("lab",2),keyword:function(r){return arguments.length?new Color(r):colorConvert[this.model].keyword(this.color)},hex:function(r){return arguments.length?new Color(r):colorString.to.hex(this.rgb().round().color)},rgbNumber:function(){var r=this.rgb().color;return (255&r[0])<<16|(255&r[1])<<8|255&r[2]},luminosity:function(){for(var r=this.rgb().color,e=[],t=0;t<r.length;t++){var o=r[t]/255;e[t]=o<=.03928?o/12.92:Math.pow((o+.055)/1.055,2.4);}return .2126*e[0]+.7152*e[1]+.0722*e[2]},contrast:function(r){var e=this.luminosity(),t=r.luminosity();return e>t?(e+.05)/(t+.05):(t+.05)/(e+.05)},level:function(r){var e=this.contrast(r);return e>=7.1?"AAA":e>=4.5?"AA":""},isDark:function(){var r=this.rgb().color;return (299*r[0]+587*r[1]+114*r[2])/1e3<128},isLight:function(){return !this.isDark()},negate:function(){for(var r=this.rgb(),e=0;e<3;e++)r.color[e]=255-r.color[e];return r},lighten:function(r){var e=this.hsl();return e.color[2]+=e.color[2]*r,e},darken:function(r){var e=this.hsl();return e.color[2]-=e.color[2]*r,e},saturate:function(r){var e=this.hsl();return e.color[1]+=e.color[1]*r,e},desaturate:function(r){var e=this.hsl();return e.color[1]-=e.color[1]*r,e},whiten:function(r){var e=this.hwb();return e.color[1]+=e.color[1]*r,e},blacken:function(r){var e=this.hwb();return e.color[2]+=e.color[2]*r,e},grayscale:function(){var r=this.rgb().color,e=.3*r[0]+.59*r[1]+.11*r[2];return Color.rgb(e,e,e)},fade:function(r){return this.alpha(this.valpha-this.valpha*r)},opaquer:function(r){return this.alpha(this.valpha+this.valpha*r)},rotate:function(r){var e=this.hsl(),t=e.color[0];return t=(t=(t+r)%360)<0?360+t:t,e.color[0]=t,e},mix:function(r,e){var t=r.rgb(),o=this.rgb(),n=void 0===e?.5:e,a=2*n-1,i=t.alpha()-o.alpha(),l=((a*i==-1?a:(a+i)/(1+a*i))+1)/2,c=1-l;return Color.rgb(l*t.red()+c*o.red(),l*t.green()+c*o.green(),l*t.blue()+c*o.blue(),t.alpha()*n+o.alpha()*(1-n))}},Object.keys(colorConvert).forEach(function(r){if(-1===skippedModels.indexOf(r)){var e=colorConvert[r].channels;Color.prototype[r]=function(){if(this.model===r)return new Color(this);if(arguments.length)return new Color(arguments,r);var t="number"==typeof arguments[e]?e:this.valpha;return new Color(assertArray(colorConvert[this.model][r].raw(this.color)).concat(t),r)},Color[r]=function(t){return "number"==typeof t&&(t=zeroArray(_slice.call(arguments),e)),new Color(t,r)};}});var color=Color,ColorMock=function r(e){var t=this;classCallCheck(this,r),defineProperty(this,"hsl",function(){return t}),defineProperty(this,"isLight",function(){return !1}),defineProperty(this,"isDark",function(){return !1}),defineProperty(this,"negate",function(){return t}),defineProperty(this,"lighten",function(){return t}),defineProperty(this,"darken",function(){return t}),defineProperty(this,"alpha",function(){return t}),defineProperty(this,"saturate",function(){return t}),defineProperty(this,"desaturate",function(){return t}),defineProperty(this,"grayscale",function(){return t}),defineProperty(this,"whiten",function(){return t}),defineProperty(this,"blacken",function(){return t}),defineProperty(this,"fade",function(){return t}),defineProperty(this,"opaquer",function(){return t}),defineProperty(this,"rotate",function(){return t}),defineProperty(this,"contrast",function(){return 10}),defineProperty(this,"luminosity",function(){return .5}),defineProperty(this,"mix",function(){return t}),defineProperty(this,"blue",function(){return t.toString()}),defineProperty(this,"green",function(){return t.toString()}),defineProperty(this,"red",function(){return t.toString()}),defineProperty(this,"hex",function(){return t.toString()}),defineProperty(this,"rgbNumber",function(){return t.toString()}),defineProperty(this,"rgb",function(){return t.toString()}),defineProperty(this,"toString",function(){return t.color}),this.color=e;};function ColorWrapper(r){return "string"==typeof r&&-1!==r.indexOf("linear-gradient")?new ColorMock(r):color(r)}var commonjsGlobal$1="undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function unwrapExports$1(r){return r&&r.__esModule&&Object.prototype.hasOwnProperty.call(r,"default")?r.default:r}function createCommonjsModule$1$1(r,e){return r(e={exports:{}},e.exports),e.exports}var unitUtils=createCommonjsModule$1$1(function(r,e){Object.defineProperty(e,"__esModule",{value:!0}),e.default=void 0;var t=new function r(){var e=this;!function(r,e){if(!(r instanceof e))throw new TypeError("Cannot call a class as a function")}(this,r),this.UNIT={EM:"em",REM:"rem",PX:"px",PERCENT:"%"},this.math={addition:function(r,e){var t=this.detectUnit(r)||this.detectUnit(e);return this.rmUnit(r)+this.rmUnit(e)+t}.bind(this),subtract:function(r,e){var t=this.detectUnit(r)||this.detectUnit(e);return this.rmUnit(r)-this.rmUnit(e)+t}.bind(this),multiply:function(r,e){var t=this.detectUnit(r)||this.detectUnit(e);return this.rmUnit(r)*this.rmUnit(e)+t}.bind(this),divide:function(r,e){var t=this.detectUnit(r)||this.detectUnit(e);return this.rmUnit(r)/this.rmUnit(e)+t}.bind(this)},this.detectUnit=function(r){var t,o=r.toString();if(o.match(e.UNIT.PX))t=e.UNIT.PX;else if(o.match(e.UNIT.REM))t=e.UNIT.REM;else if(o.match(e.UNIT.EM))t=e.UNIT.EM;else{if(!o.match(e.UNIT.PERCENT)){if(isNaN(r))throw new Error("detectUnit can't find unit for ".concat(r));return null}t=e.UNIT.PERCENT;}return t},this.rmUnit=function(r,t){var o=r.toString(),n=t||e.detectUnit(o),a=o.replace(n,"");return parseFloat(a)},this.toPercent=function(r){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:100,o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:2;return "".concat(Math.floor(r/t*100*Math.pow(10,o))/Math.pow(10,o)).concat(e.UNIT.PERCENT)};};e.default=t,r.exports=e.default;}),unitUtils$1=unwrapExports$1(unitUtils);function allowFalseValue(r,e){return !1===r?r:r||e}function assertAscending(r,e){var t,o,n=!0;return Object.keys(r).forEach(function(a){var i=r[a];null==o||(comparable(unitUtils$1.rmUnit(o),unitUtils$1.rmUnit(i))?unitUtils$1.rmUnit(o)>=unitUtils$1.rmUnit(i)&&(console.warn("Invalid value for ".concat(e,": This map must be in ascending order, but key '").concat(a,"' has value ").concat(i," which isn't greater than ").concat(o,", the value of the previous key '").concat(t,"' !")),n=!1):(console.warn("Potentially invalid value for ".concat(e,": This map must be in ascending order, but key '").concat(a,"' has value ").concat(i," whose unit makes it incomparable to ").concat(o,", the value of the previous key '").concat(t,"' !")),n=!1)),t=a,o=i;}),n}function assertStartAtZero(r){var e=Object.keys(r).map(function(e){return r[e]}),t=unitUtils$1.rmUnit(e[0]),o=!0;return 0!==t&&(console.warn("First breakpoint in $grid-breakpoints must start at 0, but starts at ".concat(t,".")),o=!1),o}function comparable(r,e){return !isNaN(r+e)}var detectUnit=unitUtils$1.detectUnit,rmUnit=unitUtils$1.rmUnit;function makeOriginal(){var r,e={},t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return e._name=t._name||"bootstrap-styled",e.$white=t.$white||"#fff",e.$black=t.$black||"#000",e.$red=t.$red||"#d9534f",e.$orange=t.$orange||"#f0ad4e",e.$yellow=t.$yellow||"#ffd500",e.$green=t.$green||"#5cb85c",e.$blue=t.$blue||"#0275d8",e.$teal=t.$teal||"#5bc0de",e.$pink=t.$pink||"#ff5b77",e.$purple=t.$purple||"#613d7c",e["$gray-dark"]=t["$gray-dark"]||"#292b2c",e.$gray=t.$gray||"#464a4c",e["$gray-light"]=t["$gray-light"]||"#636c72",e["$gray-lighter"]=t["$gray-lighter"]||"#eceeef",e["$gray-lightest"]=t["$gray-lightest"]||"#f7f7f9",e["$brand-primary"]=t["$brand-primary"]||e.$blue,e["$brand-success"]=t["$brand-success"]||e.$green,e["$brand-info"]=t["$brand-info"]||e.$teal,e["$brand-warning"]=t["$brand-warning"]||e.$orange,e["$brand-danger"]=t["$brand-danger"]||e.$red,e["$brand-inverse"]=t["$brand-inverse"]||e["$gray-dark"],e["$enable-rounded"]=allowFalseValue(t["$enable-rounded"],!0),e["$enable-shadows"]=allowFalseValue(t["$enable-shadows"],!1),e["$enable-gradients"]=allowFalseValue(t["$enable-gradients"],!1),e["$enable-transitions"]=allowFalseValue(t["$enable-transitions"],!0),e["$enable-hover-media-query"]=allowFalseValue(t["$enable-hover-media-query"],!1),e["$enable-grid-classes"]=allowFalseValue(t["$enable-grid-classes"],!0),e["$enable-print-styles"]=allowFalseValue(t["$enable-print-styles"],!0),e.$spacer=t.$spacer||"1rem",r=detectUnit(e.$spacer),e["$spacer-halved"]=t["$spacer-halved"]||rmUnit(e.$spacer,r)/2+r,e["$spacer-x"]=t["$spacer-x"]||e.$spacer,e["$spacer-y"]=t["$spacer-y"]||e.$spacer,e.$spacers=t.$spacers||{0:{x:0,y:0},1:{x:.25*rmUnit(e["$spacer-x"])+r,y:.25*rmUnit(e["$spacer-y"])+r},2:{x:.5*rmUnit(e["$spacer-x"])+r,y:.5*rmUnit(e["$spacer-y"])+r},3:{x:e["$spacer-x"],y:e["$spacer-y"]},4:{x:1.5*rmUnit(e["$spacer-x"])+r,y:1.5*rmUnit(e["$spacer-y"])+r},5:{x:3*rmUnit(e["$spacer-x"])+r,y:3*rmUnit(e["$spacer-y"])+r}},e["$border-width"]=t["$border-width"]||"1px",e.$sizes=t.$sizes||{25:"25%",50:"50%",75:"75%",100:"100%"},e["$body-bg"]=t["$body-bg"]||e.$white,e["$body-color"]=t["$body-color"]||e["$gray-dark"],e["$link-color"]=t["$link-color"]||e["$brand-primary"],e["$link-decoration"]=t["$link-decoration"]||"none",e["$link-hover-color"]=t["$link-hover-color"]||ColorWrapper(e["$link-color"]).darken(.35).toString(),e["$link-hover-decoration"]=t["$link-hover-decoration"]||"underline",e["$grid-breakpoints"]=t["$grid-breakpoints"]||{xs:"0",sm:"576px",md:"768px",lg:"992px",xl:"1200px",xxl:"1452px"},assertAscending(e["$grid-breakpoints"],"$grid-breakpoints"),assertStartAtZero(e["$grid-breakpoints"]),e["$container-max-widths"]=t["$container-max-widths"]||{sm:"540px",md:"720px",lg:"960px",xl:"1140px"},assertAscending(e["$container-max-widths"],"$container-max-widths"),e["$grid-columns"]=t["$grid-columns"]||"12",e["$grid-gutter-width-base"]=t["$grid-gutter-width-base"]||"30px",e["$grid-gutter-widths"]=t["$grid-gutter-widths"]||{xs:e["$grid-gutter-width-base"],sm:e["$grid-gutter-width-base"],md:e["$grid-gutter-width-base"],lg:e["$grid-gutter-width-base"],xl:e["$grid-gutter-width-base"]},e["$font-family-sans-serif"]=t["$font-family-sans-serif"]||'-apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif',e["$font-family-monospace"]=t["$font-family-monospace"]||'Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace',e["$font-family-base"]=t["$font-family-base"]||e["$font-family-sans-serif"],e["$font-size-base"]=t["$font-size-base"]||"1rem",e["$font-size-lg"]=t["$font-size-lg"]||"1.25rem",e["$font-size-sm"]=t["$font-size-sm"]||".875rem",e["$font-size-xs"]=t["$font-size-xs"]||".75rem",e["$font-weight-normal"]=t["$font-weight-normal"]||"normal",e["$font-weight-bold"]=t["$font-weight-bold"]||"bold",e["$font-weight-base"]=t["$font-weight-base"]||e["$font-weight-normal"],e["$line-height-base"]=t["$line-height-base"]||"1.5",e["$font-size-h1"]=t["$font-size-h1"]||"2.5rem",e["$font-size-h2"]=t["$font-size-h2"]||"2rem",e["$font-size-h3"]=t["$font-size-h3"]||"1.75rem",e["$font-size-h4"]=t["$font-size-h4"]||"1.5rem",e["$font-size-h5"]=t["$font-size-h5"]||"1.25rem",e["$font-size-h6"]=t["$font-size-h6"]||"1rem",r=detectUnit(e.$spacer),e["$headings-margin-bottom"]=t["$headings-margin-bottom"]||rmUnit(e.$spacer,r)/2+r,e["$headings-font-family"]=t["$headings-font-family"]||"inherit",e["$headings-font-weight"]=t["$headings-font-weight"]||"500",e["$headings-line-height"]=t["$headings-line-height"]||"1.1",e["$headings-color"]=t["$headings-color"]||"inherit",e["$display1-size"]=t["$display1-size"]||"6rem",e["$display2-size"]=t["$display2-size"]||"5.5rem",e["$display3-size"]=t["$display3-size"]||"4.5rem",e["$display4-size"]=t["$display4-size"]||"3.5rem",e["$display1-weight"]=t["$display1-weight"]||"300",e["$display2-weight"]=t["$display2-weight"]||"300",e["$display3-weight"]=t["$display3-weight"]||"300",e["$display4-weight"]=t["$display4-weight"]||"300",e["$display-line-height"]=t["$display-line-height"]||e["$headings-line-height"],e["$lead-font-size"]=t["$lead-font-size"]||"1.25rem",e["$lead-font-weight"]=t["$lead-font-weight"]||"300",e["$small-font-size"]=t["$small-font-size"]||"80%",e["$text-muted"]=t["$text-muted"]||e["$gray-light"],e["$blockquote-small-color"]=t["$blockquote-small-color"]||e["$gray-light"],r=detectUnit(e["$font-size-base"]),e["$blockquote-font-size"]=t["$blockquote-font-size"]||1.25*rmUnit(e["$font-size-base"],r)+r,e["$blockquote-border-color"]=t["$blockquote-border-color"]||e["$gray-lighter"],e["$blockquote-border-width"]=t["$blockquote-border-width"]||".25rem",e["$hr-border-color"]=t["$hr-border-color"]||ColorWrapper(e.$black).alpha(.1).toString(),e["$hr-border-width"]=t["$hr-border-width"]||e["$border-width"],e["$mark-padding"]=t["$mark-padding"]||".2em",e["$dt-font-weight"]=t["$dt-font-weight"]||e["$font-weight-bold"],e["$list-inline-padding"]=t["$list-inline-padding"]||"5px",e["$line-height-lg"]=t["$line-height-lg"]||"1.6",e["$line-height-sm"]=t["$line-height-sm"]||"1.3",e["$border-radius"]=t["$border-radius"]||".25rem",e["$border-radius-lg"]=t["$border-radius-lg"]||".3rem",e["$border-radius-sm"]=t["$border-radius-sm"]||".2rem",e["$component-active-color"]=t["$component-active-color"]||e.$white,e["$component-active-bg"]=t["$component-active-bg"]||e["$brand-primary"],e["$caret-width"]=t["$caret-width"]||".3em",e["$transition-base"]=t["$transition-base"]||"all .2s ease-in-out",e["$transition-fade"]=t["$transition-fade"]||"opacity .15s linear",e["$transition-collapse"]=t["$transition-collapse"]||"height .35s ease",e["$table-cell-padding"]=t["$table-cell-padding"]||".75rem",e["$table-sm-cell-padding"]=t["$table-sm-cell-padding"]||".3rem",e["$table-bg"]=t["$table-bg"]||"transparent",e["$table-inverse-bg"]=t["$table-inverse-bg"]||e["$gray-dark"],e["$table-inverse-bg-accent"]=t["$table-inverse-bg-accent"]||ColorWrapper(e.$white).alpha(.05).toString(),e["$table-inverse-bg-hover"]=t["$table-inverse-bg-hover"]||ColorWrapper(e.$white).alpha(.075).toString(),e["$table-inverse-color"]=t["$table-inverse-color"]||e["$body-bg"],e["$table-inverse-border"]=t["$table-inverse-border"]||ColorWrapper(e["$gray-dark"]).lighten(.075).toString(),e["$table-bg-accent"]=t["$table-bg-accent"]||ColorWrapper(e.$black).alpha(.05).toString(),e["$table-bg-hover"]=t["$table-bg-hover"]||ColorWrapper(e.$black).alpha(.075).toString(),e["$table-bg-active"]=t["$table-bg-active"]||e["$table-bg-hover"],e["$table-head-bg"]=t["$table-head-bg"]||e["$gray-lighter"],e["$table-head-color"]=t["$table-head-color"]||e.$gray,e["$table-border-width"]=t["$table-border-width"]||e["$border-width"],e["$table-border-color"]=t["$table-border-color"]||e["$gray-lighter"],e["$btn-padding-x"]=t["$btn-padding-x"]||"1rem",e["$btn-padding-y"]=t["$btn-padding-y"]||".5rem",e["$btn-line-height"]=t["$btn-line-height"]||"1.25",e["$btn-font-weight"]=t["$btn-font-weight"]||e["$font-weight-normal"],e["$btn-box-shadow"]=t["$btn-box-shadow"]||"inset 0 1px 0 ".concat(ColorWrapper(e.$white).alpha(.15).toString(),", 0 1px 1px ").concat(ColorWrapper(e.$black).alpha(.075).toString()),e["$btn-focus-box-shadow"]=t["$btn-focus-box-shadow"]||"0 0 0 2px ".concat(ColorWrapper(e["$brand-primary"]).alpha(.25).toString()),e["$btn-active-box-shadow"]=t["$btn-active-box-shadow"]||"inset 0 3px 5px ".concat(ColorWrapper(e.$black).alpha(.125).toString()),e["$btn-primary-color"]=t["$btn-primary-color"]||e.$white,e["$btn-primary-bg"]=t["$btn-primary-bg"]||e["$brand-primary"],e["$btn-primary-border"]=t["$btn-primary-border"]||e["$btn-primary-bg"],e["$btn-secondary-color"]=t["$btn-secondary-color"]||e["$gray-dark"],e["$btn-secondary-bg"]=t["$btn-secondary-bg"]||e.$white,e["$btn-secondary-border"]=t["$btn-secondary-border"]||"#ccc",e["$btn-info-color"]=t["$btn-info-color"]||e.$white,e["$btn-info-bg"]=t["$btn-info-bg"]||e["$brand-info"],e["$btn-info-border"]=t["$btn-info-border"]||e["$btn-info-bg"],e["$btn-success-color"]=t["$btn-success-color"]||e.$white,e["$btn-success-bg"]=t["$btn-success-bg"]||e["$brand-success"],e["$btn-success-border"]=t["$btn-success-border"]||e["$btn-success-bg"],e["$btn-warning-color"]=t["$btn-warning-color"]||e.$white,e["$btn-warning-bg"]=t["$btn-warning-bg"]||e["$brand-warning"],e["$btn-warning-border"]=t["$btn-warning-border"]||e["$btn-warning-bg"],e["$btn-danger-color"]=t["$btn-danger-color"]||e.$white,e["$btn-danger-bg"]=t["$btn-danger-bg"]||e["$brand-danger"],e["$btn-danger-border"]=t["$btn-danger-border"]||e["$btn-danger-bg"],e["$btn-link-disabled-color"]=t["$btn-link-disabled-color"]||e["$gray-light"],e["$btn-padding-x-sm"]=t["$btn-padding-x-sm"]||".5rem",e["$btn-padding-y-sm"]=t["$btn-padding-y-sm"]||".25rem",e["$btn-padding-x-lg"]=t["$btn-padding-x-lg"]||"1.5rem",e["$btn-padding-y-lg"]=t["$btn-padding-y-lg"]||".75rem",e["$btn-block-spacing-y"]=t["$btn-block-spacing-y"]||".5rem",e["$btn-border-radius"]=t["$btn-border-radius"]||e["$border-radius"],e["$btn-border-radius-lg"]=t["$btn-border-radius-lg"]||e["$border-radius-lg"],e["$btn-border-radius-sm"]=t["$btn-border-radius-sm"]||e["$border-radius-sm"],e["$btn-transition"]=t["$btn-transition"]||e["$transition-base"],e["$input-padding-x"]=t["$input-padding-x"]||".75rem",e["$input-padding-y"]=t["$input-padding-y"]||".5rem",e["$input-line-height"]=t["$input-line-height"]||"1.25",e["$input-bg"]=t["$input-bg"]||e.$white,e["$input-bg-disabled"]=t["$input-bg-disabled"]||e["$gray-lighter"],e["$input-color"]=t["$input-color"]||e.$gray,e["$input-border-color"]=t["$input-border-color"]||ColorWrapper(e.$black).alpha(.15).toString(),e["$input-btn-border-width"]=t["$input-btn-border-width"]||e["$border-width"],e["$input-box-shadow"]=t["$input-box-shadow"]||"inset 0 1px 1px ".concat(ColorWrapper(e.$black).alpha(.075).toString()),e["$input-border-radius"]=t["$input-border-radius"]||e["$border-radius"],e["$input-border-radius-lg"]=t["$input-border-radius-lg"]||e["$border-radius-lg"],e["$input-border-radius-sm"]=t["$input-border-radius-sm"]||e["$border-radius-sm"],e["$input-bg-focus"]=t["$input-bg-focus"]||e["$input-bg"],e["$input-border-focus"]=t["$input-border-focus"]||ColorWrapper(e["$brand-primary"]).lighten(.25).toString(),e["$input-box-shadow-focus"]=t["$input-box-shadow-focus"]||"".concat(e["$input-box-shadow"],", 0 0 8px rgba(").concat(e["$input-border-focus"],",.6)"),e["$input-color-focus"]=t["$input-color-focus"]||e["$input-color"],e["$input-color-placeholder"]=t["$input-color-placeholder"]||e["$gray-light"],e["$input-padding-x-sm"]=t["$input-padding-x-sm"]||".5rem",e["$input-padding-y-sm"]=t["$input-padding-y-sm"]||".25rem",e["$input-padding-x-lg"]=t["$input-padding-x-lg"]||"1.5rem",e["$input-padding-y-lg"]=t["$input-padding-y-lg"]||".75rem",r=detectUnit(e["$font-size-base"]),e["$input-height"]=t["$input-height"]||rmUnit(e["$font-size-base"],r)*e["$line-height-base"]+2*rmUnit(e["$input-padding-y"],r)+r,e["$input-height-sm"]=t["$input-height-sm"]||rmUnit(e["$font-size-sm"],r)*e["$line-height-sm"]+2*rmUnit(e["$input-padding-y-sm"],r)+r,e["$input-height-lg"]=t["$input-height-lg"]||rmUnit(e["$font-size-lg"],r)*e["$line-height-lg"]+2*rmUnit(e["$input-padding-y-lg"],r)+r,e["$input-transition"]=t["$input-transition"]||"border-color ease-in-out .15s, box-shadow ease-in-out .15s",e["$label-margin-bottom"]=t["$label-margin-bottom"]||".5rem",e["$form-text-margin-top"]=t["$form-text-margin-top"]||".25rem",e["$form-feedback-margin-top"]=t["$form-feedback-margin-top"]||e["$form-text-margin-top"],e["$form-check-margin-bottom"]=t["$form-check-margin-bottom"]||".5rem",e["$form-check-input-gutter"]=t["$form-check-input-gutter"]||"1.25rem",e["$form-check-input-margin-y"]=t["$form-check-input-margin-y"]||".25rem",e["$form-check-input-margin-x"]=t["$form-check-input-margin-x"]||".25rem",e["$form-check-inline-margin-x"]=t["$form-check-inline-margin-x"]||".75rem",e["$form-group-margin-bottom"]=t["$form-group-margin-bottom"]||e["$spacer-y"],e["$input-group-addon-bg"]=t["$input-group-addon-bg"]||e["$gray-lighter"],e["$input-group-addon-border-color"]=t["$input-group-addon-border-color"]||e["$input-border-color"],e["$cursor-disabled"]=t["$cursor-disabled"]||"not-allowed",e["$custom-control-gutter"]=t["$custom-control-gutter"]||"1.5rem",e["$custom-control-spacer-x"]=t["$custom-control-spacer-x"]||"1rem",e["$custom-control-spacer-y"]=t["$custom-control-spacer-y"]||".25rem",e["$custom-control-indicator-size"]=t["$custom-control-indicator-size"]||"1rem",e["$custom-control-indicator-bg"]=t["$custom-control-indicator-bg"]||"#ddd",e["$custom-control-indicator-bg-size"]=t["$custom-control-indicator-bg-size"]||"50% 50%",e["$custom-control-indicator-box-shadow"]=t["$custom-control-indicator-box-shadow"]||"inset 0 .25rem .25rem ".concat(ColorWrapper(e.$black).alpha(.1).toString()),e["$custom-control-disabled-cursor"]=t["$custom-control-disabled-cursor"]||e["$cursor-disabled"],e["$custom-control-disabled-indicator-bg"]=t["$custom-control-disabled-indicator-bg"]||e["$gray-lighter"],e["$custom-control-disabled-description-color"]=t["$custom-control-disabled-description-color"]||e["$gray-light"],e["$custom-control-checked-indicator-color"]=t["$custom-control-checked-indicator-color"]||e.$white,e["$custom-control-checked-indicator-bg"]=t["$custom-control-checked-indicator-bg"]||e["$brand-primary"],e["$custom-control-checked-indicator-box-shadow"]=t["$custom-control-checked-indicator-box-shadow"]||"none",e["$custom-control-focus-indicator-box-shadow"]=t["$custom-control-focus-indicator-box-shadow"]||"0 0 0 1px ".concat(e["$body-bg"],", 0 0 0 3px ").concat(e["$brand-primary"]),e["$custom-control-active-indicator-color"]=t["$custom-control-active-indicator-color"]||e.$white,e["$custom-control-active-indicator-bg"]=t["$custom-control-active-indicator-bg"]||ColorWrapper(e["$brand-primary"]).lighten(.35).toString(),e["$custom-control-active-indicator-box-shadow"]=t["$custom-control-active-indicator-box-shadow"]||"none",e["$custom-checkbox-radius"]=t["$custom-checkbox-radius"]||e["$border-radius"],e["$custom-checkbox-checked-icon"]=t["$custom-checkbox-checked-icon"]||'url(\'data:image/svg+xml;charset=utf8,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 8 8"%3E%3Cpath fill="'.concat(e["$custom-control-checked-indicator-color"],'" d="M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z"/%3E%3C/svg%3E\')'),e["$custom-checkbox-indeterminate-bg"]=t["$custom-checkbox-indeterminate-bg"]||e["$brand-primary"],e["$custom-checkbox-indeterminate-indicator-color"]=t["$custom-checkbox-indeterminate-indicator-color"]||e["$custom-control-checked-indicator-color"],e["$custom-checkbox-indeterminate-icon"]=t["$custom-checkbox-indeterminate-icon"]||'url(\'data:image/svg+xml;charset=utf8,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 4 4"%3E%3Cpath stroke="'.concat(e["$custom-checkbox-indeterminate-indicator-color"],'" d="M0 2h4"/%3E%3C/svg%3E\')'),e["$custom-checkbox-indeterminate-box-shadow"]=t["$custom-checkbox-indeterminate-box-shadow"]||"none",e["$custom-radio-radius"]=t["$custom-radio-radius"]||"50%",e["$custom-radio-checked-icon"]=t["$custom-radio-checked-icon"]||'url(\'data:image/svg+xml;charset=utf8,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="-4 -4 8 8"%3E%3Ccircle r="3" fill="'.concat(e["$custom-control-checked-indicator-color"],"\"/%3E%3C/svg%3E')"),e["$custom-select-padding-x"]=t["$custom-select-padding-x"]||".75rem ",e["$custom-select-padding-y"]=t["$custom-select-padding-y"]||".375rem",e["$custom-select-indicator-padding"]=t["$custom-select-indicator-padding"]||"1rem",e["$custom-select-line-height"]=t["$custom-select-line-height"]||e["$input-line-height"],e["$custom-select-color"]=t["$custom-select-color"]||e["$input-color"],e["$custom-select-disabled-color"]=t["$custom-select-disabled-color"]||e["$gray-light"],e["$custom-select-bg"]=t["$custom-select-bg"]||e.$white,e["$custom-select-disabled-bg"]=t["$custom-select-disabled-bg"]||e["$gray-lighter"],e["$custom-select-bg-size"]=t["$custom-select-bg-size"]||"8px 10px",e["$custom-select-indicator-color"]=t["$custom-select-indicator-color"]||"#333",e["$custom-select-indicator"]=t["$custom-select-indicator"]||'url(\'data:image/svg+xml;charset=utf8,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 4 5"%3E%3Cpath fill="'.concat(e["$custom-select-indicator-color"],'" d="M2 0L0 2h4zm0 5L0 3h4z"/%3E%3C/svg%3E\')'),e["$custom-select-border-width"]=t["$custom-select-border-width"]||e["$input-btn-border-width"],e["$custom-select-border-color"]=t["$custom-select-border-color"]||e["$input-border-color"],e["$custom-select-border-radius"]=t["$custom-select-border-radius"]||e["$border-radius"],e["$custom-select-focus-border-color"]=t["$custom-select-focus-border-color"]||ColorWrapper(e["$brand-primary"]).lighten(.25).toString(),e["$custom-select-focus-box-shadow"]=t["$custom-select-focus-box-shadow"]||"inset 0 1px 2px ".concat(ColorWrapper(e.$black).alpha(.75).toString(),", 0 0 5px rgba(").concat(e["$custom-select-focus-border-color"],", .5)"),e["$custom-select-sm-font-size"]=t["$custom-select-sm-font-size"]||"75%",e["$custom-file-height"]=t["$custom-file-height"]||"2.5rem",e["$custom-file-width"]=t["$custom-file-width"]||"14rem",e["$custom-file-focus-box-shadow"]=t["$custom-file-focus-box-shadow"]||"0 0 0 .075rem ".concat(e.$white,", 0 0 0 .2rem ").concat(e["$brand-primary"]),e["$custom-file-padding-x"]=t["$custom-file-padding-x"]||".5rem",e["$custom-file-padding-y"]=t["$custom-file-padding-y"]||"1rem",e["$custom-file-line-height"]=t["$custom-file-line-height"]||"1.5",e["$custom-file-color"]=t["$custom-file-color"]||e.$gray,e["$custom-file-bg"]=t["$custom-file-bg"]||e.$white,e["$custom-file-border-width"]=t["$custom-file-border-width"]||e["$border-width"],e["$custom-file-border-color"]=t["$custom-file-border-color"]||e["$input-border-color"],e["$custom-file-border-radius"]=t["$custom-file-border-radius"]||e["$border-radius"],e["$custom-file-box-shadow"]=t["$custom-file-box-shadow"]||"inset 0 .2rem .4rem ".concat(ColorWrapper(e.$black).alpha(.05).toString()),e["$custom-file-button-color"]=t["$custom-file-button-color"]||e["$custom-file-color"],e["$custom-file-button-bg"]=t["$custom-file-button-bg"]||e["$gray-lighter"],e["$custom-file-text"]=t["$custom-file-text"]||{placeholder:{en:"Choose file..."},"button-label":{en:"Browse"}},e["$form-icon-success-color"]=t["$form-icon-success-color"]||e["$brand-success"],e["$form-icon-success"]=t["$form-icon-success"]||'url(\'data:image/svg+xml;charset=utf8,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 8 8"%3E%3Cpath fill="'.concat(e["$form-icon-success-color"],'" d="M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z"/%3E%3C/svg%3E\')'),e["$form-icon-warning-color"]=t["$form-icon-warning-color"]||e["$brand-warning"],e["$form-icon-warning"]=t["$form-icon-warning"]||'url(\'data:image/svg+xml;charset=utf8,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 8 8"%3E%3Cpath fill="'.concat(e["$form-icon-warning-color"],'" d="M4.4 5.324h-.8v-2.46h.8zm0 1.42h-.8V5.89h.8zM3.76.63L.04 7.075c-.115.2.016.425.26.426h7.397c.242 0 .372-.226.258-.426C6.726 4.924 5.47 2.79 4.253.63c-.113-.174-.39-.174-.494 0z"/%3E%3C/svg%3E\')'),e["$form-icon-danger-color"]=t["$form-icon-danger-color"]||e["$brand-danger"],e["$form-icon-danger"]=t["$form-icon-danger"]||'url(\'data:image/svg+xml;charset=utf8,%3Csvg xmlns="http://www.w3.org/2000/svg" fill="'.concat(e["$form-icon-danger-color"],'" viewBox="-2 -2 7 7"%3E%3Cpath stroke="%23d9534f" d="M0 0l3 3m0-3L0 3"/%3E%3Ccircle r=".5"/%3E%3Ccircle cx="3" r=".5"/%3E%3Ccircle cy="3" r=".5"/%3E%3Ccircle cx="3" cy="3" r=".5"/%3E%3C/svg%3E\')'),e["$dropdown-min-width"]=t["$dropdown-min-width"]||"10rem",e["$dropdown-padding-y"]=t["$dropdown-padding-y"]||".5rem",e["$dropdown-margin-top"]=t["$dropdown-margin-top"]||".125rem",e["$dropdown-bg"]=t["$dropdown-bg"]||e.$white,e["$dropdown-border-color"]=t["$dropdown-border-color"]||ColorWrapper(e.$black).alpha(.15).toString(),e["$dropdown-border-width"]=t["$dropdown-border-width"]||e["$border-width"],e["$dropdown-divider-bg"]=t["$dropdown-divider-bg"]||e["$gray-lighter"],e["$dropdown-box-shadow"]=t["$dropdown-box-shadow"]||"0 .5rem 1rem rgba(".concat(e.$black,",.175)"),e["$dropdown-link-color"]=t["$dropdown-link-color"]||e["$gray-dark"],e["$dropdown-link-hover-color"]=t["$dropdown-link-hover-color"]||ColorWrapper(e["$gray-dark"]).darken(.05).toString(),e["$dropdown-link-hover-bg"]=t["$dropdown-link-hover-bg"]||e["$gray-lightest"],e["$dropdown-link-active-color"]=t["$dropdown-link-active-color"]||e["$component-active-color"],e["$dropdown-link-active-bg"]=t["$dropdown-link-active-bg"]||e["$component-active-bg"],e["$dropdown-link-disabled-color"]=t["$dropdown-link-disabled-color"]||e["$gray-light"],e["$dropdown-item-padding-x"]=t["$dropdown-item-padding-x"]||"1.5rem",e["$dropdown-header-color"]=t["$dropdown-header-color"]||e["$gray-light"],e["$zindex-dropdown-backdrop"]=t["$zindex-dropdown-backdrop"]||"990",e["$zindex-dropdown"]=t["$zindex-dropdown"]||"1000",e["$zindex-modal-backdrop"]=t["$zindex-modal-backdrop"]||"2040",e["$zindex-modal"]=t["$zindex-modal"]||"2050",e["$zindex-popover"]=t["$zindex-popover"]||"1060",e["$zindex-tooltip"]=t["$zindex-tooltip"]||"1070",e["$zindex-navbar"]=t["$zindex-navbar"]||"1000",e["$zindex-navbar-fixed"]=t["$zindex-navbar-fixed"]||"1030",e["$zindex-navbar-sticky"]=t["$zindex-navbar-sticky"]||"1030",e["$navbar-padding-x"]=t["$navbar-padding-x"]||e.$spacer,e["$navbar-padding-y"]=t["$navbar-padding-y"]||e["$spacer-halved"],e["$navbar-brand-padding-y"]=t["$navbar-brand-padding-y"]||".25rem",e["$navbar-divider-padding-y"]=t["$navbar-divider-padding-y"]||".425rem",e["$navbar-toggler-padding-x"]=t["$navbar-toggler-padding-x"]||".75rem",e["$navbar-toggler-padding-y"]=t["$navbar-toggler-padding-y"]||".25rem",e["$navbar-toggler-font-size"]=t["$navbar-toggler-font-size"]||e["$font-size-lg"],e["$navbar-toggler-border-radius"]=t["$navbar-toggler-border-radius"]||e["$btn-border-radius"],e["$navbar-inverse-color"]=t["$navbar-inverse-color"]||ColorWrapper(e.$white).alpha(.5).toString(),e["$navbar-inverse-hover-color"]=t["$navbar-inverse-hover-color"]||ColorWrapper(e.$white).alpha(.75).toString(),e["$navbar-inverse-active-color"]=t["$navbar-inverse-active-color"]||ColorWrapper(e.$white).alpha(1).toString(),e["$navbar-inverse-disabled-color"]=t["$navbar-inverse-disabled-color"]||ColorWrapper(e.$white).alpha(.25).toString(),e["$navbar-inverse-toggler-bg"]=t["$navbar-inverse-toggler-bg"]||'url(\'data:image/svg+xml;charset=utf8,%3Csvg viewBox="0 0 30 30" xmlns="http://www.w3.org/2000/svg"%3E%3Cpath stroke="'.concat(e["$navbar-inverse-color"],'" stroke-width="2" stroke-linecap="round" stroke-miterlimit="10" d="M4 7h22M4 15h22M4 23h22"/%3E%3C/svg%3E\')'),e["$navbar-inverse-toggler-border"]=t["$navbar-inverse-toggler-border"]||ColorWrapper(e.$white).alpha(.1).toString(),e["$navbar-light-color"]=t["$navbar-light-color"]||ColorWrapper(e.$black).alpha(.5).toString(),e["$navbar-light-hover-color"]=t["$navbar-light-hover-color"]||ColorWrapper(e.$black).alpha(.7).toString(),e["$navbar-light-active-color"]=t["$navbar-light-active-color"]||ColorWrapper(e.$black).alpha(.9).toString(),e["$navbar-light-disabled-color"]=t["$navbar-light-disabled-color"]||ColorWrapper(e.$black).alpha(.3).toString(),e["$navbar-light-toggler-bg"]=t["$navbar-light-toggler-bg"]||'url(\'data:image/svg+xml;charset=utf8,%3Csvg viewBox="0 0 30 30" xmlns="http://www.w3.org/2000/svg"%3E%3Cpath stroke="'.concat(e["$navbar-light-color"],'" stroke-width="2" stroke-linecap="round" stroke-miterlimit="10" d="M4 7h22M4 15h22M4 23h22"/%3E%3C/svg%3E\')'),e["$navbar-light-toggler-border"]=t["$navbar-light-toggler-border"]||ColorWrapper(e.$black).alpha(.1).toString(),e["$nav-link-padding"]=t["$nav-link-padding"]||".5em 1em",e["$nav-disabled-link-color"]=t["$nav-disabled-link-color"]||e["$gray-light"],e["$nav-tabs-border-color"]=t["$nav-tabs-border-color"]||"#ddd",e["$nav-tabs-border-width"]=t["$nav-tabs-border-width"]||e["$border-width"],e["$nav-tabs-border-radius"]=t["$nav-tabs-border-radius"]||e["$border-radius"],e["$nav-tabs-link-hover-border-color"]=t["$nav-tabs-link-hover-border-color"]||e["$gray-lighter"],e["$nav-tabs-active-link-hover-color"]=t["$nav-tabs-active-link-hover-color"]||e.$gray,e["$nav-tabs-active-link-hover-bg"]=t["$nav-tabs-active-link-hover-bg"]||e["$body-bg"],e["$nav-tabs-active-link-hover-border-color"]=t["$nav-tabs-active-link-hover-border-color"]||"#ddd",e["$nav-pills-border-radius"]=t["$nav-pills-border-radius"]||e["$border-radius"],e["$nav-pills-active-link-color"]=t["$nav-pills-active-link-color"]||e["$component-active-color"],e["$nav-pills-active-link-bg"]=t["$nav-pills-active-link-bg"]||e["$component-active-bg"],e["$pagination-padding-x"]=t["$pagination-padding-x"]||".75rem",e["$pagination-padding-y"]=t["$pagination-padding-y"]||".5rem",e["$pagination-padding-x-sm"]=t["$pagination-padding-x-sm"]||".5rem",e["$pagination-padding-y-sm"]=t["$pagination-padding-y-sm"]||".25rem",e["$pagination-padding-x-lg"]=t["$pagination-padding-x-lg"]||"1.5rem",e["$pagination-padding-y-lg"]=t["$pagination-padding-y-lg"]||".75rem",e["$pagination-line-height"]=t["$pagination-line-height"]||"1.25",e["$pagination-color"]=t["$pagination-color"]||e["$link-color"],e["$pagination-bg"]=t["$pagination-bg"]||e.$white,e["$pagination-border-width"]=t["$pagination-border-width"]||e["$border-width"],e["$pagination-border-color"]=t["$pagination-border-color"]||"#ddd",e["$pagination-hover-color"]=t["$pagination-hover-color"]||e["$link-hover-color"],e["$pagination-hover-bg"]=t["$pagination-hover-bg"]||e["$gray-lighter"],e["$pagination-hover-border"]=t["$pagination-hover-border"]||"#ddd",e["$pagination-active-color"]=t["$pagination-active-color"]||e.$white,e["$pagination-active-bg"]=t["$pagination-active-bg"]||e["$brand-primary"],e["$pagination-active-border"]=t["$pagination-active-border"]||e["$brand-primary"],e["$pagination-disabled-color"]=t["$pagination-disabled-color"]||e["$gray-light"],e["$pagination-disabled-bg"]=t["$pagination-disabled-bg"]||e.$white,e["$pagination-disabled-border"]=t["$pagination-disabled-border"]||"#ddd",e["$jumbotron-padding"]=t["$jumbotron-padding"]||"2rem",e["$jumbotron-bg"]=t["$jumbotron-bg"]||e["$gray-lighter"],e["$state-success-text"]=t["$state-success-text"]||"#3c763d",e["$state-success-bg"]=t["$state-success-bg"]||"#dff0d8",e["$state-success-border"]=t["$state-success-border"]||ColorWrapper(e["$state-success-bg"]).darken(.05).toString(),e["$state-info-text"]=t["$state-info-text"]||"#31708f",e["$state-info-bg"]=t["$state-info-bg"]||"#d9edf7",e["$state-info-border"]=t["$state-info-border"]||ColorWrapper(e["$state-info-bg"]).darken(.07).toString(),e["$state-warning-text"]=t["$state-warning-text"]||"#8a6d3b",e["$state-warning-bg"]=t["$state-warning-bg"]||"#fcf8e3",e["$state-warning-border"]=t["$state-warning-border"]||ColorWrapper(e["$state-warning-bg"]).darken(.05).toString(),e["$mark-bg"]=t["$mark-bg"]||e["$state-warning-bg"],e["$state-danger-text"]=t["$state-danger-text"]||"#a94442",e["$state-danger-bg"]=t["$state-danger-bg"]||"#f2dede",e["$state-danger-border"]=t["$state-danger-border"]||ColorWrapper(e["$state-danger-bg"]).darken(.05).toString(),e["$card-spacer-x"]=t["$card-spacer-x"]||"1.25rem",e["$card-spacer-y"]=t["$card-spacer-y"]||".75rem",e["$card-border-width"]=t["$card-border-width"]||"1px",e["$card-border-radius"]=t["$card-border-radius"]||e["$border-radius"],e["$card-border-color"]=t["$card-border-color"]||ColorWrapper(e.$black).alpha(.125).toString(),e["$card-border-radius-inner"]=t["$card-border-radius-inner"]||"calc(".concat(e["$card-border-radius"]," - ").concat(e["$card-border-width"],")"),e["$card-cap-bg"]=t["$card-cap-bg"]||e["$gray-lightest"],e["$card-bg"]=t["$card-bg"]||e.$white,e["$card-link-hover-color"]=t["$card-link-hover-color"]||e.$white,e["$card-img-overlay-padding"]=t["$card-img-overlay-padding"]||"1.25rem",r=detectUnit(e["$grid-gutter-width-base"]),e["$card-deck-margin"]=t["$card-deck-margin"]||rmUnit(e["$grid-gutter-width-base"],r)/2+r,e["$card-columns-count-md"]=t["$card-columns-count-md"]||"2",e["$card-columns-gap-md"]=t["$card-columns-gap-md"]||"1rem",e["$card-columns-margin-md"]=t["$card-columns-margin-md"]||e["$card-spacer-y"],e["$card-columns-count-lg"]=t["$card-columns-count-lg"]||"2",e["$card-columns-gap-lg"]=t["$card-columns-gap-lg"]||"1.15rem",e["$card-columns-margin-lg"]=t["$card-columns-margin-lg"]||e["$card-spacer-y"],e["$card-columns-count-xl"]=t["$card-columns-count-xl"]||"3",e["$card-columns-gap-xl"]=t["$card-columns-gap-xl"]||"1.25rem",e["$card-columns-margin-xl"]=t["$card-columns-margin-xl"]||e["$card-spacer-y"],e["$card-columns-count-xxl"]=t["$card-columns-count-xxl"]||"4",e["$card-columns-gap-xxl"]=t["$card-columns-gap-xxl"]||"1.25rem",e["$card-columns-margin-xxl"]=t["$card-columns-margin-xxl"]||e["$card-spacer-y"],e["$tooltip-max-width"]=t["$tooltip-max-width"]||"200px",e["$tooltip-color"]=t["$tooltip-color"]||e.$white,e["$tooltip-bg"]=t["$tooltip-bg"]||e.$black,e["$tooltip-opacity"]=t["$tooltip-opacity"]||".9",e["$tooltip-padding-y"]=t["$tooltip-padding-y"]||"3px",e["$tooltip-padding-x"]=t["$tooltip-padding-x"]||"8px",e["$tooltip-margin"]=t["$tooltip-margin"]||"3px",e["$tooltip-arrow-width"]=t["$tooltip-arrow-width"]||"5px",e["$tooltip-arrow-color"]=t["$tooltip-arrow-color"]||e["$tooltip-bg"],e["$popover-inner-padding"]=t["$popover-inner-padding"]||"1px",e["$popover-bg"]=t["$popover-bg"]||e.$white,e["$popover-max-width"]=t["$popover-max-width"]||"276px",e["$popover-border-width"]=t["$popover-border-width"]||e["$border-width"],e["$popover-border-color"]=t["$popover-border-color"]||ColorWrapper(e.$black).alpha(.2).toString(),e["$popover-box-shadow"]=t["$popover-box-shadow"]||"0 5px 10px ".concat(ColorWrapper(e.$black).alpha(.2).toString()),e["$popover-title-bg"]=t["$popover-title-bg"]||ColorWrapper(e["$popover-bg"]).darken(.03).toString(),e["$popover-title-padding-x"]=t["$popover-title-padding-x"]||"14px",e["$popover-title-padding-y"]=t["$popover-title-padding-y"]||"8px",e["$popover-content-padding-x"]=t["$popover-content-padding-x"]||"14px",e["$popover-content-padding-y"]=t["$popover-content-padding-y"]||"9px",e["$popover-arrow-width"]=t["$popover-arrow-width"]||"10px",e["$popover-arrow-color"]=t["$popover-arrow-color"]||e["$popover-bg"],r=detectUnit(e["$popover-arrow-width"]),e["$popover-arrow-outer-width"]=t["$popover-arrow-outer-width"]||rmUnit(e["$popover-arrow-width"],r)+1+r,e["$popover-arrow-outer-color"]=t["$popover-arrow-outer-color"]||ColorWrapper(e["$popover-border-color"]).fade(.5).toString(),e["$badge-default-bg"]=t["$badge-default-bg"]||e["$gray-light"],e["$badge-primary-bg"]=t["$badge-primary-bg"]||e["$brand-primary"],e["$badge-success-bg"]=t["$badge-success-bg"]||e["$brand-success"],e["$badge-info-bg"]=t["$badge-info-bg"]||e["$brand-info"],e["$badge-warning-bg"]=t["$badge-warning-bg"]||e["$brand-warning"],e["$badge-danger-bg"]=t["$badge-danger-bg"]||e["$brand-danger"],e["$badge-color"]=t["$badge-color"]||e.$white,e["$badge-link-hover-color"]=t["$badge-link-hover-color"]||e.$white,e["$badge-font-size"]=t["$badge-font-size"]||"75%",e["$badge-font-weight"]=t["$badge-font-weight"]||e["$font-weight-bold"],e["$badge-padding-x"]=t["$badge-padding-x"]||".4em",e["$badge-padding-y"]=t["$badge-padding-y"]||".25em",e["$badge-pill-padding-x"]=t["$badge-pill-padding-x"]||".6em",e["$badge-pill-border-radius"]=t["$badge-pill-border-radius"]||"10rem",e["$modal-inner-padding"]=t["$modal-inner-padding"]||"15px",e["$modal-dialog-margin"]=t["$modal-dialog-margin"]||"10px",e["$modal-dialog-sm-up-margin-y"]=t["$modal-dialog-sm-up-margin-y"]||"30px",e["$modal-title-line-height"]=t["$modal-title-line-height"]||e["$line-height-base"],e["$modal-content-bg"]=t["$modal-content-bg"]||e.$white,e["$modal-content-border-color"]=t["$modal-content-border-color"]||ColorWrapper(e.$black).alpha(.2).toString(),e["$modal-content-border-width"]=t["$modal-content-border-width"]||e["$border-width"],e["$modal-content-xs-box-shadow"]=t["$modal-content-xs-box-shadow"]||"0 3px 9px ".concat(ColorWrapper(e.$black).alpha(.5).toString()),e["$modal-content-sm-up-box-shadow"]=t["$modal-content-sm-up-box-shadow"]||"0 5px 15px ".concat(ColorWrapper(e.$black).alpha(.5).toString()),e["$modal-backdrop-bg"]=t["$modal-backdrop-bg"]||e.$black,e["$modal-backdrop-opacity"]=t["$modal-backdrop-opacity"]||".5",e["$modal-header-border-color"]=t["$modal-header-border-color"]||e["$gray-lighter"],e["$modal-footer-border-color"]=t["$modal-footer-border-color"]||e["$modal-header-border-color"],e["$modal-header-border-width"]=t["$modal-header-border-width"]||e["$modal-content-border-width"],e["$modal-footer-border-width"]=t["$modal-footer-border-width"]||e["$modal-header-border-width"],e["$modal-header-padding"]=t["$modal-header-padding"]||"15px",e["$modal-lg"]=t["$modal-lg"]||"800px",e["$modal-md"]=t["$modal-md"]||"500px",e["$modal-sm"]=t["$modal-sm"]||"300px",e["$modal-transition"]=t["$modal-transition"]||"transform .3s ease-out",e["$alert-padding-x"]=t["$alert-padding-x"]||"1.25rem",e["$alert-padding-y"]=t["$alert-padding-y"]||".75rem",e["$alert-margin-bottom"]=t["$alert-margin-bottom"]||e["$spacer-y"],e["$alert-border-radius"]=t["$alert-border-radius"]||e["$border-radius"],e["$alert-link-font-weight"]=t["$alert-link-font-weight"]||e["$font-weight-bold"],e["$alert-border-width"]=t["$alert-border-width"]||e["$border-width"],e["$alert-success-bg"]=t["$alert-success-bg"]||e["$state-success-bg"],e["$alert-success-text"]=t["$alert-success-text"]||e["$state-success-text"],e["$alert-success-border"]=t["$alert-success-border"]||e["$state-success-border"],e["$alert-info-bg"]=t["$alert-info-bg"]||e["$state-info-bg"],e["$alert-info-text"]=t["$alert-info-text"]||e["$state-info-text"],e["$alert-info-border"]=t["$alert-info-border"]||e["$state-info-border"],e["$alert-warning-bg"]=t["$alert-warning-bg"]||e["$state-warning-bg"],e["$alert-warning-text"]=t["$alert-warning-text"]||e["$state-warning-text"],e["$alert-warning-border"]=t["$alert-warning-border"]||e["$state-warning-border"],e["$alert-danger-bg"]=t["$alert-danger-bg"]||e["$state-danger-bg"],e["$alert-danger-text"]=t["$alert-danger-text"]||e["$state-danger-text"],e["$alert-danger-border"]=t["$alert-danger-border"]||e["$state-danger-border"],e["$progress-height"]=t["$progress-height"]||"1rem",e["$progress-font-size"]=t["$progress-font-size"]||".75rem",e["$progress-bg"]=t["$progress-bg"]||e["$gray-lighter"],e["$progress-border-radius"]=t["$progress-border-radius"]||e["$border-radius"],e["$progress-box-shadow"]=t["$progress-box-shadow"]||"inset 0 .1rem .1rem ".concat(ColorWrapper(e.$black).alpha(.1).toString()),e["$progress-bar-color"]=t["$progress-bar-color"]||e.$white,e["$progress-bar-bg"]=t["$progress-bar-bg"]||e["$brand-primary"],e["$progress-bar-animation-timing"]=t["$progress-bar-animation-timing"]||"1s linear infinite",e["$list-group-color"]=t["$list-group-color"]||e["$body-color"],e["$list-group-bg"]=t["$list-group-bg"]||e.$white,e["$list-group-border-color"]=t["$list-group-border-color"]||ColorWrapper(e.$black).alpha(.125).toString(),e["$list-group-border-width"]=t["$list-group-border-width"]||e["$border-width"],e["$list-group-border-radius"]=t["$list-group-border-radius"]||e["$border-radius"],e["$list-group-item-padding-x"]=t["$list-group-item-padding-x"]||"1.25rem",e["$list-group-item-padding-y"]=t["$list-group-item-padding-y"]||".75rem",e["$list-group-hover-bg"]=t["$list-group-hover-bg"]||e["$gray-lightest"],e["$list-group-active-color"]=t["$list-group-active-color"]||e["$component-active-color"],e["$list-group-active-bg"]=t["$list-group-active-bg"]||e["$component-active-bg"],e["$list-group-active-border"]=t["$list-group-active-border"]||e["$list-group-active-bg"],e["$list-group-disabled-color"]=t["$list-group-disabled-color"]||e["$gray-light"],e["$list-group-disabled-bg"]=t["$list-group-disabled-bg"]||e["$list-group-bg"],e["$list-group-link-color"]=t["$list-group-link-color"]||e.$gray,e["$list-group-link-hover-color"]=t["$list-group-link-hover-color"]||e["$list-group-link-color"],e["$list-group-link-active-color"]=t["$list-group-link-active-color"]||e["$list-group-color"],e["$list-group-link-active-bg"]=t["$list-group-link-active-bg"]||e["$gray-lighter"],e["$thumbnail-padding"]=t["$thumbnail-padding"]||".25rem",e["$thumbnail-bg"]=t["$thumbnail-bg"]||e["$body-bg"],e["$thumbnail-border-width"]=t["$thumbnail-border-width"]||e["$border-width"],e["$thumbnail-border-color"]=t["$thumbnail-border-color"]||"#ddd",e["$thumbnail-border-radius"]=t["$thumbnail-border-radius"]||e["$border-radius"],e["$thumbnail-box-shadow"]=t["$thumbnail-box-shadow"]||"0 1px 2px ".concat(ColorWrapper(e.$black).alpha(.75).toString()),e["$thumbnail-transition"]=t["$thumbnail-transition"]||"all .2s ease-in-out",e["$figure-caption-font-size"]=t["$figure-caption-font-size"]||"90%",e["$figure-caption-color"]=t["$figure-caption-color"]||e["$gray-light"],e["$breadcrumb-padding-y"]=t["$breadcrumb-padding-y"]||".75rem",e["$breadcrumb-padding-x"]=t["$breadcrumb-padding-x"]||"1rem",e["$breadcrumb-item-padding"]=t["$breadcrumb-item-padding"]||".5rem",e["$breadcrumb-bg"]=t["$breadcrumb-bg"]||e["$gray-lighter"],e["$breadcrumb-divider-color"]=t["$breadcrumb-divider-color"]||e["$gray-light"],e["$breadcrumb-active-color"]=t["$breadcrumb-active-color"]||e["$gray-light"],e["$breadcrumb-divider"]=t["$breadcrumb-divider"]||'"/"',e["$close-font-size"]=t["$close-font-size"]||1.5*rmUnit(e["$font-size-base"])+detectUnit(e["$font-size-base"]),e["$close-font-weight"]=t["$close-font-weight"]||e["$font-weight-bold"],e["$close-color"]=t["$close-color"]||e.$black,e["$close-text-shadow"]=t["$close-text-shadow"]||"0 1px 0 ".concat(e.$white),e["$code-font-size"]=t["$code-font-size"]||"90%",e["$code-padding-x"]=t["$code-padding-x"]||".4rem",e["$code-padding-y"]=t["$code-padding-y"]||".2rem",e["$code-color"]=t["$code-color"]||"#bd4147",e["$code-bg"]=t["$code-bg"]||e["$gray-lightest"],e["$kbd-color"]=t["$kbd-color"]||e.$white,e["$kbd-bg"]=t["$kbd-bg"]||e["$gray-dark"],e["$kbd-box-shadow"]=t["$kbd-box-shadow"]||"inset 0 -.1rem 0 ".concat(ColorWrapper(e.$black).alpha(.25).toString()),e["$nested-kbd-font-weight"]=t["$nested-kbd-font-weight"]||e["$font-weight-bold"],e["$pre-color"]=t["$pre-color"]||e["$gray-dark"],e["$pre-scrollable-max-height"]=t["$pre-scrollable-max-height"]||"340px",Object.assign({},t,e)}var makeTheme=makeOriginal,index=makeOriginal();function _defineProperty$1(r,e,t){return e in r?Object.defineProperty(r,e,{value:t,enumerable:!0,configurable:!0,writable:!0}):r[e]=t,r}function _objectSpread(r){for(var e=1;e<arguments.length;e++){var t=null!=arguments[e]?arguments[e]:{},o=Object.keys(t);"function"==typeof Object.getOwnPropertySymbols&&(o=o.concat(Object.getOwnPropertySymbols(t).filter(function(r){return Object.getOwnPropertyDescriptor(t,r).enumerable}))),o.forEach(function(e){_defineProperty$1(r,e,t[e]);});}return r}var lodash_merge=createCommonjsModule$1$1(function(r,e){var t=200,o="__lodash_hash_undefined__",n=800,a=16,i=9007199254740991,l="[object Arguments]",c="[object AsyncFunction]",s="[object Function]",d="[object GeneratorFunction]",g="[object Null]",u="[object Object]",b="[object Proxy]",$="[object Undefined]",h=/^\[object .+?Constructor\]$/,p=/^(?:0|[1-9]\d*)$/,m={};m["[object Float32Array]"]=m["[object Float64Array]"]=m["[object Int8Array]"]=m["[object Int16Array]"]=m["[object Int32Array]"]=m["[object Uint8Array]"]=m["[object Uint8ClampedArray]"]=m["[object Uint16Array]"]=m["[object Uint32Array]"]=!0,m[l]=m["[object Array]"]=m["[object ArrayBuffer]"]=m["[object Boolean]"]=m["[object DataView]"]=m["[object Date]"]=m["[object Error]"]=m[s]=m["[object Map]"]=m["[object Number]"]=m[u]=m["[object RegExp]"]=m["[object Set]"]=m["[object String]"]=m["[object WeakMap]"]=!1;var f="object"==typeof commonjsGlobal$1&&commonjsGlobal$1&&commonjsGlobal$1.Object===Object&&commonjsGlobal$1,v="object"==typeof self&&self&&self.Object===Object&&self,y=f||v||Function("return this")(),w=e&&!e.nodeType&&e,x=w&&r&&!r.nodeType&&r,k=x&&x.exports===w,_=k&&f.process,z=function(){try{return _&&_.binding&&_.binding("util")}catch(r){}}(),C=z&&z.isTypedArray;function M(r,e){return "__proto__"==e?void 0:r[e]}var S,j,U,P=Array.prototype,E=Function.prototype,O=Object.prototype,A=y["__core-js_shared__"],W=E.toString,N=O.hasOwnProperty,F=(S=/[^.]+$/.exec(A&&A.keys&&A.keys.IE_PROTO||""))?"Symbol(src)_1."+S:"",T=O.toString,I=W.call(Object),B=RegExp("^"+W.call(N).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),q=k?y.Buffer:void 0,G=y.Symbol,R=y.Uint8Array,L=q?q.allocUnsafe:void 0,V=(j=Object.getPrototypeOf,U=Object,function(r){return j(U(r))}),D=Object.create,H=O.propertyIsEnumerable,K=P.splice,X=G?G.toStringTag:void 0,J=function(){try{var r=wr(Object,"defineProperty");return r({},"",{}),r}catch(r){}}(),Z=q?q.isBuffer:void 0,Y=Math.max,Q=Date.now,rr=wr(y,"Map"),er=wr(Object,"create"),tr=function(){function r(){}return function(e){if(!Er(e))return {};if(D)return D(e);r.prototype=e;var t=new r;return r.prototype=void 0,t}}();function or(r){var e=-1,t=null==r?0:r.length;for(this.clear();++e<t;){var o=r[e];this.set(o[0],o[1]);}}function nr(r){var e=-1,t=null==r?0:r.length;for(this.clear();++e<t;){var o=r[e];this.set(o[0],o[1]);}}function ar(r){var e=-1,t=null==r?0:r.length;for(this.clear();++e<t;){var o=r[e];this.set(o[0],o[1]);}}function ir(r){var e=this.__data__=new nr(r);this.size=e.size;}function lr(r,e){var t=Mr(r),o=!t&&Cr(r),n=!t&&!o&&jr(r),a=!t&&!o&&!n&&Ar(r),i=t||o||n||a,l=i?function(r,e){for(var t=-1,o=Array(r);++t<r;)o[t]=e(t);return o}(r.length,String):[],c=l.length;for(var s in r)!e&&!N.call(r,s)||i&&("length"==s||n&&("offset"==s||"parent"==s)||a&&("buffer"==s||"byteLength"==s||"byteOffset"==s)||xr(s,c))||l.push(s);return l}function cr(r,e,t){(void 0===t||zr(r[e],t))&&(void 0!==t||e in r)||gr(r,e,t);}function sr(r,e,t){var o=r[e];N.call(r,e)&&zr(o,t)&&(void 0!==t||e in r)||gr(r,e,t);}function dr(r,e){for(var t=r.length;t--;)if(zr(r[t][0],e))return t;return -1}function gr(r,e,t){"__proto__"==e&&J?J(r,e,{configurable:!0,enumerable:!0,value:t,writable:!0}):r[e]=t;}or.prototype.clear=function(){this.__data__=er?er(null):{},this.size=0;},or.prototype.delete=function(r){var e=this.has(r)&&delete this.__data__[r];return this.size-=e?1:0,e},or.prototype.get=function(r){var e=this.__data__;if(er){var t=e[r];return t===o?void 0:t}return N.call(e,r)?e[r]:void 0},or.prototype.has=function(r){var e=this.__data__;return er?void 0!==e[r]:N.call(e,r)},or.prototype.set=function(r,e){var t=this.__data__;return this.size+=this.has(r)?0:1,t[r]=er&&void 0===e?o:e,this},nr.prototype.clear=function(){this.__data__=[],this.size=0;},nr.prototype.delete=function(r){var e=this.__data__,t=dr(e,r);return !(t<0||(t==e.length-1?e.pop():K.call(e,t,1),--this.size,0))},nr.prototype.get=function(r){var e=this.__data__,t=dr(e,r);return t<0?void 0:e[t][1]},nr.prototype.has=function(r){return dr(this.__data__,r)>-1},nr.prototype.set=function(r,e){var t=this.__data__,o=dr(t,r);return o<0?(++this.size,t.push([r,e])):t[o][1]=e,this},ar.prototype.clear=function(){this.size=0,this.__data__={hash:new or,map:new(rr||nr),string:new or};},ar.prototype.delete=function(r){var e=yr(this,r).delete(r);return this.size-=e?1:0,e},ar.prototype.get=function(r){return yr(this,r).get(r)},ar.prototype.has=function(r){return yr(this,r).has(r)},ar.prototype.set=function(r,e){var t=yr(this,r),o=t.size;return t.set(r,e),this.size+=t.size==o?0:1,this},ir.prototype.clear=function(){this.__data__=new nr,this.size=0;},ir.prototype.delete=function(r){var e=this.__data__,t=e.delete(r);return this.size=e.size,t},ir.prototype.get=function(r){return this.__data__.get(r)},ir.prototype.has=function(r){return this.__data__.has(r)},ir.prototype.set=function(r,e){var o=this.__data__;if(o instanceof nr){var n=o.__data__;if(!rr||n.length<t-1)return n.push([r,e]),this.size=++o.size,this;o=this.__data__=new ar(n);}return o.set(r,e),this.size=o.size,this};var br=function(r,e,t){for(var o=-1,n=Object(r),a=t(r),i=a.length;i--;){var l=a[++o];if(!1===e(n[l],l,n))break}return r};function $r(r){return null==r?void 0===r?$:g:X&&X in Object(r)?function(r){var e=N.call(r,X),t=r[X];try{r[X]=void 0;}catch(r){}var o=T.call(r);e?r[X]=t:delete r[X];return o}(r):function(r){return T.call(r)}(r)}function hr(r){return Or(r)&&$r(r)==l}function pr(r){return !(!Er(r)||(e=r,F&&F in e))&&(Ur(r)?B:h).test(function(r){if(null!=r){try{return W.call(r)}catch(r){}try{return r+""}catch(r){}}return ""}(r));var e;}function mr(r){if(!Er(r))return function(r){var e=[];if(null!=r)for(var t in Object(r))e.push(t);return e}(r);var e=kr(r),t=[];for(var o in r)("constructor"!=o||!e&&N.call(r,o))&&t.push(o);return t}function fr(r,e,t,o,n){r!==e&&br(e,function(a,i){if(Er(a))n||(n=new ir),function(r,e,t,o,n,a,i){var l=M(r,t),c=M(e,t),s=i.get(c);if(s)return void cr(r,t,s);var d=a?a(l,c,t+"",r,e,i):void 0,g=void 0===d;if(g){var b=Mr(c),$=!b&&jr(c),h=!b&&!$&&Ar(c);d=c,b||$||h?Mr(l)?d=l:Or(y=l)&&Sr(y)?d=function(r,e){var t=-1,o=r.length;e||(e=Array(o));for(;++t<o;)e[t]=r[t];return e}(l):$?(g=!1,d=function(r,e){if(e)return r.slice();var t=r.length,o=L?L(t):new r.constructor(t);return r.copy(o),o}(c,!0)):h?(g=!1,p=c,m=(f=p.buffer,v=new f.constructor(f.byteLength),new R(v).set(new R(f)),v),d=new p.constructor(m,p.byteOffset,p.length)):d=[]:function(r){if(!Or(r)||$r(r)!=u)return !1;var e=V(r);if(null===e)return !0;var t=N.call(e,"constructor")&&e.constructor;return "function"==typeof t&&t instanceof t&&W.call(t)==I}(c)||Cr(c)?(d=l,Cr(l)?d=function(r){return function(r,e,t,o){var n=!t;t||(t={});var a=-1,i=e.length;for(;++a<i;){var l=e[a],c=o?o(t[l],r[l],l,t,r):void 0;void 0===c&&(c=r[l]),n?gr(t,l,c):sr(t,l,c);}return t}(r,Wr(r))}(l):(!Er(l)||o&&Ur(l))&&(d=function(r){return "function"!=typeof r.constructor||kr(r)?{}:tr(V(r))}(c))):g=!1;}var p,m,f,v;var y;g&&(i.set(c,d),n(d,c,o,a,i),i.delete(c));cr(r,t,d);}(r,e,i,t,fr,o,n);else{var l=o?o(M(r,i),a,i+"",r,e,n):void 0;void 0===l&&(l=a),cr(r,i,l);}},Wr);}function vr(r,e){return _r(function(r,e,t){return e=Y(void 0===e?r.length-1:e,0),function(){for(var o=arguments,n=-1,a=Y(o.length-e,0),i=Array(a);++n<a;)i[n]=o[e+n];n=-1;for(var l=Array(e+1);++n<e;)l[n]=o[n];return l[e]=t(i),function(r,e,t){switch(t.length){case 0:return r.call(e);case 1:return r.call(e,t[0]);case 2:return r.call(e,t[0],t[1]);case 3:return r.call(e,t[0],t[1],t[2])}return r.apply(e,t)}(r,this,l)}}(r,e,Tr),r+"")}function yr(r,e){var t,o,n=r.__data__;return ("string"==(o=typeof(t=e))||"number"==o||"symbol"==o||"boolean"==o?"__proto__"!==t:null===t)?n["string"==typeof e?"string":"hash"]:n.map}function wr(r,e){var t=function(r,e){return null==r?void 0:r[e]}(r,e);return pr(t)?t:void 0}function xr(r,e){var t=typeof r;return !!(e=null==e?i:e)&&("number"==t||"symbol"!=t&&p.test(r))&&r>-1&&r%1==0&&r<e}function kr(r){var e=r&&r.constructor;return r===("function"==typeof e&&e.prototype||O)}var _r=function(r){var e=0,t=0;return function(){var o=Q(),i=a-(o-t);if(t=o,i>0){if(++e>=n)return arguments[0]}else e=0;return r.apply(void 0,arguments)}}(J?function(r,e){return J(r,"toString",{configurable:!0,enumerable:!1,value:(t=e,function(){return t}),writable:!0});var t;}:Tr);function zr(r,e){return r===e||r!=r&&e!=e}var Cr=hr(function(){return arguments}())?hr:function(r){return Or(r)&&N.call(r,"callee")&&!H.call(r,"callee")},Mr=Array.isArray;function Sr(r){return null!=r&&Pr(r.length)&&!Ur(r)}var jr=Z||function(){return !1};function Ur(r){if(!Er(r))return !1;var e=$r(r);return e==s||e==d||e==c||e==b}function Pr(r){return "number"==typeof r&&r>-1&&r%1==0&&r<=i}function Er(r){var e=typeof r;return null!=r&&("object"==e||"function"==e)}function Or(r){return null!=r&&"object"==typeof r}var Ar=C?function(r){return function(e){return r(e)}}(C):function(r){return Or(r)&&Pr(r.length)&&!!m[$r(r)]};function Wr(r){return Sr(r)?lr(r,!0):mr(r)}var Nr,Fr=(Nr=function(r,e,t){fr(r,e,t);},vr(function(r,e){var t=-1,o=e.length,n=o>1?e[o-1]:void 0,a=o>2?e[2]:void 0;for(n=Nr.length>3&&"function"==typeof n?(o--,n):void 0,a&&function(r,e,t){if(!Er(t))return !1;var o=typeof e;return !!("number"==o?Sr(t)&&xr(e,t.length):"string"==o&&e in t)&&zr(t[e],r)}(e[0],e[1],a)&&(n=o<3?void 0:n,o=1),r=Object(r);++t<o;){var i=e[t];i&&Nr(r,i,t,n);}return r}));function Tr(r){return r}r.exports=Fr;}),toMakeTheme=function(r){return function(e){return lodash_merge({},r,e)}};function makeThemeFromList(r,e){for(var t,o=[].concat(r),n=e;t=o.pop();)n=t(n);return n}function createMakeTheme(r){return function(e){return makeThemeFromList(r,e)}}function makeScopedTheme(r){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:_defineProperty$1({},r,{});if(void 0===r||"string"!=typeof r)return console.warn("You may have forgotten to set the scope name in the makeScopedTheme function.");var t=_defineProperty$1({},r,{})[r],o=e[r]||{};return Object.keys(e).forEach(function(r){t[r]=o[r]||e[r];}),_defineProperty$1({},r,_objectSpread({},e,t))}var reboot=createCommonjsModule$1$1(function(r,e){Object.defineProperty(e,"__esModule",{value:!0}),e.getGlobalStyles=o,e.getGlobalStyleNoBootstrapProvider=n,e.html=a,e.boxSizing=i,e.ie10FixViewport=l,e.body=c,e.bodyUtils=s,e.tabIndex=d,e.svg=g,e.ie10FixHidden=u,e.webkitFileUploadButton=b,e.default=e.defaultProps=void 0;var t={"$font-family-base":'-apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif',"$font-size-base":"1rem","$font-weight-base":"1.5","$line-height-base":"1.5","$body-color":"#292b2c","$body-bg":"#fff"};function o(){return "\n    html {\n      ".concat("\n    box-sizing: border-box;\n    font-family: sans-serif;\n    line-height: 1.15;\n    -ms-text-size-adjust: 100%;\n    -webkit-text-size-adjust: 100%;\n    -ms-overflow-style: scrollbar;\n    -webkit-tap-highlight-color: rgba(0,0,0,0);\n  ","\n    }\n    *,\n    *::before,\n    *::after {\n      ").concat("\n    box-sizing: inherit;\n  ","\n    }\n    @-ms-viewport { \n      ").concat("\n    width: device-width;\n  "," \n    }\n    body {\n      ").concat("\n    &.overflow {\n      overflow: hidden;\n    }\n  ","\n    }\n  ")}function n(){var r=arguments.length>0&&void 0!==arguments[0]?arguments[0]:t["$font-family-base"],e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:t["$font-size-base"],n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:t["$font-weight-base"],a=arguments.length>3&&void 0!==arguments[3]?arguments[3]:t["$line-height-base"],i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:t["$body-color"],l=arguments.length>5&&void 0!==arguments[5]?arguments[5]:t["$body-bg"];return "\n  ".concat(o(),"\n  body {\n  ").concat(c(r,e,n,a,i,l)," \n}")}function a(){return "\n    box-sizing: border-box;\n    font-family: sans-serif;\n    line-height: 1.15;\n    -ms-text-size-adjust: 100%;\n    -webkit-text-size-adjust: 100%;\n    -ms-overflow-style: scrollbar;\n    -webkit-tap-highlight-color: rgba(0,0,0,0);\n  "}function i(){return "\n    box-sizing: inherit;\n  "}function l(){return "\n    width: device-width;\n  "}function c(){var r=arguments.length>0&&void 0!==arguments[0]?arguments[0]:t["$font-family-base"],e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:t["$font-size-base"],o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:t["$font-weight-base"],n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:t["$line-height-base"],a=arguments.length>4&&void 0!==arguments[4]?arguments[4]:t["$body-color"],i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:t["$body-bg"];return "\n    margin: 0;\n    font-family: ".concat(r,";\n    font-size: ").concat(e,";\n    font-weight: ").concat(o,";\n    line-height: ").concat(n,";\n    color: ").concat(a,";\n    background-color: ").concat(i,";\n    \n    ").concat("\n    &.overflow {\n      overflow: hidden;\n    }\n  ",'\n    \n    [tabindex="-1"]:focus {\n      ').concat("\n    outline: none !important;\n  ","\n    }\n    svg:not(:root) {\n      ").concat("\n    overflow: hidden;\n  ","\n    }\n    [hidden] {\n      ").concat("\n    display: none !important;\n  ","\n    }\n    ::-webkit-file-upload-button {\n      ").concat("\n    font: inherit;\n    -webkit-appearance: button;\n  ","\n    }\n  ")}function s(){return "\n    &.overflow {\n      overflow: hidden;\n    }\n  "}function d(){return "\n    outline: none !important;\n  "}function g(){return "\n    overflow: hidden;\n  "}function u(){return "\n    display: none !important;\n  "}function b(){return "\n    font: inherit;\n    -webkit-appearance: button;\n  "}e.defaultProps=t;var $={html:a,boxSizing:i,ie10FixViewport:l,body:c,bodyUtils:s,tabIndex:d,svg:g,ie10FixHidden:u,getGlobalStyles:o,getGlobalStyleNoBootstrapProvider:n,webkitFileUploadButton:b};e.default=$;});unwrapExports$1(reboot);var reboot_1=reboot.getGlobalStyles,reboot_2=reboot.getGlobalStyleNoBootstrapProvider,reboot_3=reboot.html,reboot_4=reboot.boxSizing,reboot_5=reboot.ie10FixViewport,reboot_6=reboot.body,reboot_7=reboot.bodyUtils,reboot_8=reboot.tabIndex,reboot_9=reboot.svg,reboot_10=reboot.ie10FixHidden,reboot_11=reboot.webkitFileUploadButton,reboot_12=reboot.defaultProps;

  var bootstrapStyled_esm = /*#__PURE__*/Object.freeze({
    theme: index,
    makeTheme: makeTheme,
    createMakeTheme: createMakeTheme,
    makeScopedTheme: makeScopedTheme,
    toMakeTheme: toMakeTheme,
    getGlobalStyles: reboot_1,
    getGlobalStyleNoBootstrapProvider: reboot_2
  });

  var conditional = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.ifThen = ifThen;
  exports.ifElse = ifElse;
  exports.default = void 0;
  function ifThen(conditions, returnTrue) {
    return ifElse(conditions, returnTrue, '');
  }
  function ifElse(conditions, returnTrue, returnFalse) {
    return conditions ? returnTrue : returnFalse;
  }
  var _default = {
    ifThen: ifThen,
    ifElse: ifElse
  };
  exports.default = _default;
  });
  unwrapExports(conditional);
  var conditional_1 = conditional.ifThen;
  var conditional_2 = conditional.ifElse;

  var align = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getAlignUtilities = getAlignUtilities;
  exports.alignBaseline = alignBaseline;
  exports.alignTop = alignTop;
  exports.alignMiddle = alignMiddle;
  exports.alignBottom = alignBottom;
  exports.alignTextBottom = alignTextBottom;
  exports.alignTextTop = alignTextTop;
  exports.default = void 0;
  function getAlignUtilities() {
    return "\n   ".concat(alignBaseline(), "\n   ").concat(alignTop(), "\n   ").concat(alignMiddle(), "\n   ").concat(alignBottom(), "\n   ").concat(alignTextBottom(), "\n   ").concat(alignTextTop(), "\n  ");
  }
  function alignBaseline() {
    return "\n    .align-baseline { vertical-align: baseline !important; } /* Browser default */\n  ";
  }
  function alignTop() {
    return "\n    .align-top { vertical-align: top !important; }\n  ";
  }
  function alignMiddle() {
    return "\n    .align-middle { vertical-align: middle !important; }\n  ";
  }
  function alignBottom() {
    return "\n    .align-bottom { vertical-align: bottom !important; }\n  ";
  }
  function alignTextBottom() {
    return "\n    .align-text-bottom { vertical-align: text-bottom !important; }\n  ";
  }
  function alignTextTop() {
    return "\n    .align-text-top { vertical-align: text-top !important; }\n  ";
  }
  var _default = {
    getAlignUtilities: getAlignUtilities,
    alignBaseline: alignBaseline,
    alignTop: alignTop,
    alignMiddle: alignMiddle,
    alignBottom: alignBottom,
    alignTextBottom: alignTextBottom,
    alignTextTop: alignTextTop
  };
  exports.default = _default;
  });
  unwrapExports(align);
  var align_1 = align.getAlignUtilities;
  var align_2 = align.alignBaseline;
  var align_3 = align.alignTop;
  var align_4 = align.alignMiddle;
  var align_5 = align.alignBottom;
  var align_6 = align.alignTextBottom;
  var align_7 = align.alignTextTop;

  function _classCallCheck$1(r,e){if(!(r instanceof e))throw new TypeError("Cannot call a class as a function")}var classCallCheck$1=_classCallCheck$1;function _defineProperty$2(r,e,n){return e in r?Object.defineProperty(r,e,{value:n,enumerable:!0,configurable:!0,writable:!0}):r[e]=n,r}var defineProperty$1=_defineProperty$2;function createCommonjsModule$2(r,e){return r(e={exports:{}},e.exports),e.exports}var colorName$1={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169],darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegreen:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]},isArrayish$1=function(r){return !(!r||"string"==typeof r)&&(r instanceof Array||Array.isArray(r)||r.length>=0&&(r.splice instanceof Function||Object.getOwnPropertyDescriptor(r,r.length-1)&&"String"!==r.constructor.name))},simpleSwizzle$1=createCommonjsModule$2(function(r){var e=Array.prototype.concat,n=Array.prototype.slice,t=r.exports=function(r){for(var t=[],o=0,a=r.length;o<a;o++){var i=r[o];isArrayish$1(i)?t=e.call(t,n.call(i)):t.push(i);}return t};t.wrap=function(r){return function(){return r(t(arguments))}};}),colorString$1=createCommonjsModule$2(function(r){var e={};for(var n in colorName$1)colorName$1.hasOwnProperty(n)&&(e[colorName$1[n]]=n);var t=r.exports={to:{},get:{}};function o(r,e,n){return Math.min(Math.max(e,r),n)}function a(r){var e=r.toString(16).toUpperCase();return e.length<2?"0"+e:e}t.get=function(r){var e,n;switch(r.substring(0,3).toLowerCase()){case"hsl":e=t.get.hsl(r),n="hsl";break;case"hwb":e=t.get.hwb(r),n="hwb";break;default:e=t.get.rgb(r),n="rgb";}return e?{model:n,value:e}:null},t.get.rgb=function(r){if(!r)return null;var e,n,t,a=[0,0,0,1];if(e=r.match(/^#([a-f0-9]{6})([a-f0-9]{2})?$/i)){for(t=e[2],e=e[1],n=0;n<3;n++){var i=2*n;a[n]=parseInt(e.slice(i,i+2),16);}t&&(a[3]=Math.round(parseInt(t,16)/255*100)/100);}else if(e=r.match(/^#([a-f0-9]{3,4})$/i)){for(t=(e=e[1])[3],n=0;n<3;n++)a[n]=parseInt(e[n]+e[n],16);t&&(a[3]=Math.round(parseInt(t+t,16)/255*100)/100);}else if(e=r.match(/^rgba?\(\s*([+-]?\d+)\s*,\s*([+-]?\d+)\s*,\s*([+-]?\d+)\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/)){for(n=0;n<3;n++)a[n]=parseInt(e[n+1],0);e[4]&&(a[3]=parseFloat(e[4]));}else{if(!(e=r.match(/^rgba?\(\s*([+-]?[\d\.]+)\%\s*,\s*([+-]?[\d\.]+)\%\s*,\s*([+-]?[\d\.]+)\%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/)))return (e=r.match(/(\D+)/))?"transparent"===e[1]?[0,0,0,0]:(a=colorName$1[e[1]])?(a[3]=1,a):null:null;for(n=0;n<3;n++)a[n]=Math.round(2.55*parseFloat(e[n+1]));e[4]&&(a[3]=parseFloat(e[4]));}for(n=0;n<3;n++)a[n]=o(a[n],0,255);return a[3]=o(a[3],0,1),a},t.get.hsl=function(r){if(!r)return null;var e=r.match(/^hsla?\(\s*([+-]?(?:\d*\.)?\d+)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/);if(e){var n=parseFloat(e[4]);return [(parseFloat(e[1])+360)%360,o(parseFloat(e[2]),0,100),o(parseFloat(e[3]),0,100),o(isNaN(n)?1:n,0,1)]}return null},t.get.hwb=function(r){if(!r)return null;var e=r.match(/^hwb\(\s*([+-]?\d*[\.]?\d+)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/);if(e){var n=parseFloat(e[4]);return [(parseFloat(e[1])%360+360)%360,o(parseFloat(e[2]),0,100),o(parseFloat(e[3]),0,100),o(isNaN(n)?1:n,0,1)]}return null},t.to.hex=function(){var r=simpleSwizzle$1(arguments);return "#"+a(r[0])+a(r[1])+a(r[2])+(r[3]<1?a(Math.round(255*r[3])):"")},t.to.rgb=function(){var r=simpleSwizzle$1(arguments);return r.length<4||1===r[3]?"rgb("+Math.round(r[0])+", "+Math.round(r[1])+", "+Math.round(r[2])+")":"rgba("+Math.round(r[0])+", "+Math.round(r[1])+", "+Math.round(r[2])+", "+r[3]+")"},t.to.rgb.percent=function(){var r=simpleSwizzle$1(arguments),e=Math.round(r[0]/255*100),n=Math.round(r[1]/255*100),t=Math.round(r[2]/255*100);return r.length<4||1===r[3]?"rgb("+e+"%, "+n+"%, "+t+"%)":"rgba("+e+"%, "+n+"%, "+t+"%, "+r[3]+")"},t.to.hsl=function(){var r=simpleSwizzle$1(arguments);return r.length<4||1===r[3]?"hsl("+r[0]+", "+r[1]+"%, "+r[2]+"%)":"hsla("+r[0]+", "+r[1]+"%, "+r[2]+"%, "+r[3]+")"},t.to.hwb=function(){var r=simpleSwizzle$1(arguments),e="";return r.length>=4&&1!==r[3]&&(e=", "+r[3]),"hwb("+r[0]+", "+r[1]+"%, "+r[2]+"%"+e+")"},t.to.keyword=function(r){return e[r.slice(0,3)]};}),colorString_1$1=colorString$1.to,colorString_2$1=colorString$1.get,conversions$1=createCommonjsModule$2(function(r){var e={};for(var n in colorName$1)colorName$1.hasOwnProperty(n)&&(e[colorName$1[n]]=n);var t=r.exports={rgb:{channels:3,labels:"rgb"},hsl:{channels:3,labels:"hsl"},hsv:{channels:3,labels:"hsv"},hwb:{channels:3,labels:"hwb"},cmyk:{channels:4,labels:"cmyk"},xyz:{channels:3,labels:"xyz"},lab:{channels:3,labels:"lab"},lch:{channels:3,labels:"lch"},hex:{channels:1,labels:["hex"]},keyword:{channels:1,labels:["keyword"]},ansi16:{channels:1,labels:["ansi16"]},ansi256:{channels:1,labels:["ansi256"]},hcg:{channels:3,labels:["h","c","g"]},apple:{channels:3,labels:["r16","g16","b16"]},gray:{channels:1,labels:["gray"]}};for(var o in t)if(t.hasOwnProperty(o)){if(!("channels"in t[o]))throw new Error("missing channels property: "+o);if(!("labels"in t[o]))throw new Error("missing channel labels property: "+o);if(t[o].labels.length!==t[o].channels)throw new Error("channel and label counts mismatch: "+o);var a=t[o].channels,i=t[o].labels;delete t[o].channels,delete t[o].labels,Object.defineProperty(t[o],"channels",{value:a}),Object.defineProperty(t[o],"labels",{value:i});}t.rgb.hsl=function(r){var e,n,t=r[0]/255,o=r[1]/255,a=r[2]/255,i=Math.min(t,o,a),s=Math.max(t,o,a),l=s-i;return s===i?e=0:t===s?e=(o-a)/l:o===s?e=2+(a-t)/l:a===s&&(e=4+(t-o)/l),(e=Math.min(60*e,360))<0&&(e+=360),n=(i+s)/2,[e,100*(s===i?0:n<=.5?l/(s+i):l/(2-s-i)),100*n]},t.rgb.hsv=function(r){var e,n,t,o,a,i=r[0]/255,s=r[1]/255,l=r[2]/255,c=Math.max(i,s,l),h=c-Math.min(i,s,l),u=function(r){return (c-r)/6/h+.5};return 0===h?o=a=0:(a=h/c,e=u(i),n=u(s),t=u(l),i===c?o=t-n:s===c?o=1/3+e-t:l===c&&(o=2/3+n-e),o<0?o+=1:o>1&&(o-=1)),[360*o,100*a,100*c]},t.rgb.hwb=function(r){var e=r[0],n=r[1],o=r[2];return [t.rgb.hsl(r)[0],100*(1/255*Math.min(e,Math.min(n,o))),100*(o=1-1/255*Math.max(e,Math.max(n,o)))]},t.rgb.cmyk=function(r){var e,n=r[0]/255,t=r[1]/255,o=r[2]/255;return [100*((1-n-(e=Math.min(1-n,1-t,1-o)))/(1-e)||0),100*((1-t-e)/(1-e)||0),100*((1-o-e)/(1-e)||0),100*e]},t.rgb.keyword=function(r){var n=e[r];if(n)return n;var t,o,a,i=1/0;for(var s in colorName$1)if(colorName$1.hasOwnProperty(s)){var l=colorName$1[s],c=(o=r,a=l,Math.pow(o[0]-a[0],2)+Math.pow(o[1]-a[1],2)+Math.pow(o[2]-a[2],2));c<i&&(i=c,t=s);}return t},t.keyword.rgb=function(r){return colorName$1[r]},t.rgb.xyz=function(r){var e=r[0]/255,n=r[1]/255,t=r[2]/255;return [100*(.4124*(e=e>.04045?Math.pow((e+.055)/1.055,2.4):e/12.92)+.3576*(n=n>.04045?Math.pow((n+.055)/1.055,2.4):n/12.92)+.1805*(t=t>.04045?Math.pow((t+.055)/1.055,2.4):t/12.92)),100*(.2126*e+.7152*n+.0722*t),100*(.0193*e+.1192*n+.9505*t)]},t.rgb.lab=function(r){var e=t.rgb.xyz(r),n=e[0],o=e[1],a=e[2];return o/=100,a/=108.883,n=(n/=95.047)>.008856?Math.pow(n,1/3):7.787*n+16/116,[116*(o=o>.008856?Math.pow(o,1/3):7.787*o+16/116)-16,500*(n-o),200*(o-(a=a>.008856?Math.pow(a,1/3):7.787*a+16/116))]},t.hsl.rgb=function(r){var e,n,t,o,a,i=r[0]/360,s=r[1]/100,l=r[2]/100;if(0===s)return [a=255*l,a,a];e=2*l-(n=l<.5?l*(1+s):l+s-l*s),o=[0,0,0];for(var c=0;c<3;c++)(t=i+1/3*-(c-1))<0&&t++,t>1&&t--,a=6*t<1?e+6*(n-e)*t:2*t<1?n:3*t<2?e+(n-e)*(2/3-t)*6:e,o[c]=255*a;return o},t.hsl.hsv=function(r){var e=r[0],n=r[1]/100,t=r[2]/100,o=n,a=Math.max(t,.01);return n*=(t*=2)<=1?t:2-t,o*=a<=1?a:2-a,[e,100*(0===t?2*o/(a+o):2*n/(t+n)),100*((t+n)/2)]},t.hsv.rgb=function(r){var e=r[0]/60,n=r[1]/100,t=r[2]/100,o=Math.floor(e)%6,a=e-Math.floor(e),i=255*t*(1-n),s=255*t*(1-n*a),l=255*t*(1-n*(1-a));switch(t*=255,o){case 0:return [t,l,i];case 1:return [s,t,i];case 2:return [i,t,l];case 3:return [i,s,t];case 4:return [l,i,t];case 5:return [t,i,s]}},t.hsv.hsl=function(r){var e,n,t,o=r[0],a=r[1]/100,i=r[2]/100,s=Math.max(i,.01);return t=(2-a)*i,n=a*s,[o,100*(n=(n/=(e=(2-a)*s)<=1?e:2-e)||0),100*(t/=2)]},t.hwb.rgb=function(r){var e,n,t,o,a,i,s,l=r[0]/360,c=r[1]/100,h=r[2]/100,u=c+h;switch(u>1&&(c/=u,h/=u),t=6*l-(e=Math.floor(6*l)),0!=(1&e)&&(t=1-t),o=c+t*((n=1-h)-c),e){default:case 6:case 0:a=n,i=o,s=c;break;case 1:a=o,i=n,s=c;break;case 2:a=c,i=n,s=o;break;case 3:a=c,i=o,s=n;break;case 4:a=o,i=c,s=n;break;case 5:a=n,i=c,s=o;}return [255*a,255*i,255*s]},t.cmyk.rgb=function(r){var e=r[0]/100,n=r[1]/100,t=r[2]/100,o=r[3]/100;return [255*(1-Math.min(1,e*(1-o)+o)),255*(1-Math.min(1,n*(1-o)+o)),255*(1-Math.min(1,t*(1-o)+o))]},t.xyz.rgb=function(r){var e,n,t,o=r[0]/100,a=r[1]/100,i=r[2]/100;return n=-.9689*o+1.8758*a+.0415*i,t=.0557*o+-.204*a+1.057*i,e=(e=3.2406*o+-1.5372*a+-.4986*i)>.0031308?1.055*Math.pow(e,1/2.4)-.055:12.92*e,n=n>.0031308?1.055*Math.pow(n,1/2.4)-.055:12.92*n,t=t>.0031308?1.055*Math.pow(t,1/2.4)-.055:12.92*t,[255*(e=Math.min(Math.max(0,e),1)),255*(n=Math.min(Math.max(0,n),1)),255*(t=Math.min(Math.max(0,t),1))]},t.xyz.lab=function(r){var e=r[0],n=r[1],t=r[2];return n/=100,t/=108.883,e=(e/=95.047)>.008856?Math.pow(e,1/3):7.787*e+16/116,[116*(n=n>.008856?Math.pow(n,1/3):7.787*n+16/116)-16,500*(e-n),200*(n-(t=t>.008856?Math.pow(t,1/3):7.787*t+16/116))]},t.lab.xyz=function(r){var e,n,t,o=r[0];e=r[1]/500+(n=(o+16)/116),t=n-r[2]/200;var a=Math.pow(n,3),i=Math.pow(e,3),s=Math.pow(t,3);return n=a>.008856?a:(n-16/116)/7.787,e=i>.008856?i:(e-16/116)/7.787,t=s>.008856?s:(t-16/116)/7.787,[e*=95.047,n*=100,t*=108.883]},t.lab.lch=function(r){var e,n=r[0],t=r[1],o=r[2];return (e=360*Math.atan2(o,t)/2/Math.PI)<0&&(e+=360),[n,Math.sqrt(t*t+o*o),e]},t.lch.lab=function(r){var e,n=r[0],t=r[1];return e=r[2]/360*2*Math.PI,[n,t*Math.cos(e),t*Math.sin(e)]},t.rgb.ansi16=function(r){var e=r[0],n=r[1],o=r[2],a=1 in arguments?arguments[1]:t.rgb.hsv(r)[2];if(0===(a=Math.round(a/50)))return 30;var i=30+(Math.round(o/255)<<2|Math.round(n/255)<<1|Math.round(e/255));return 2===a&&(i+=60),i},t.hsv.ansi16=function(r){return t.rgb.ansi16(t.hsv.rgb(r),r[2])},t.rgb.ansi256=function(r){var e=r[0],n=r[1],t=r[2];return e===n&&n===t?e<8?16:e>248?231:Math.round((e-8)/247*24)+232:16+36*Math.round(e/255*5)+6*Math.round(n/255*5)+Math.round(t/255*5)},t.ansi16.rgb=function(r){var e=r%10;if(0===e||7===e)return r>50&&(e+=3.5),[e=e/10.5*255,e,e];var n=.5*(1+~~(r>50));return [(1&e)*n*255,(e>>1&1)*n*255,(e>>2&1)*n*255]},t.ansi256.rgb=function(r){if(r>=232){var e=10*(r-232)+8;return [e,e,e]}var n;return r-=16,[Math.floor(r/36)/5*255,Math.floor((n=r%36)/6)/5*255,n%6/5*255]},t.rgb.hex=function(r){var e=(((255&Math.round(r[0]))<<16)+((255&Math.round(r[1]))<<8)+(255&Math.round(r[2]))).toString(16).toUpperCase();return "000000".substring(e.length)+e},t.hex.rgb=function(r){var e=r.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);if(!e)return [0,0,0];var n=e[0];3===e[0].length&&(n=n.split("").map(function(r){return r+r}).join(""));var t=parseInt(n,16);return [t>>16&255,t>>8&255,255&t]},t.rgb.hcg=function(r){var e,n=r[0]/255,t=r[1]/255,o=r[2]/255,a=Math.max(Math.max(n,t),o),i=Math.min(Math.min(n,t),o),s=a-i;return e=s<=0?0:a===n?(t-o)/s%6:a===t?2+(o-n)/s:4+(n-t)/s+4,e/=6,[360*(e%=1),100*s,100*(s<1?i/(1-s):0)]},t.hsl.hcg=function(r){var e=r[1]/100,n=r[2]/100,t=1,o=0;return (t=n<.5?2*e*n:2*e*(1-n))<1&&(o=(n-.5*t)/(1-t)),[r[0],100*t,100*o]},t.hsv.hcg=function(r){var e=r[1]/100,n=r[2]/100,t=e*n,o=0;return t<1&&(o=(n-t)/(1-t)),[r[0],100*t,100*o]},t.hcg.rgb=function(r){var e=r[0]/360,n=r[1]/100,t=r[2]/100;if(0===n)return [255*t,255*t,255*t];var o,a=[0,0,0],i=e%1*6,s=i%1,l=1-s;switch(Math.floor(i)){case 0:a[0]=1,a[1]=s,a[2]=0;break;case 1:a[0]=l,a[1]=1,a[2]=0;break;case 2:a[0]=0,a[1]=1,a[2]=s;break;case 3:a[0]=0,a[1]=l,a[2]=1;break;case 4:a[0]=s,a[1]=0,a[2]=1;break;default:a[0]=1,a[1]=0,a[2]=l;}return o=(1-n)*t,[255*(n*a[0]+o),255*(n*a[1]+o),255*(n*a[2]+o)]},t.hcg.hsv=function(r){var e=r[1]/100,n=e+r[2]/100*(1-e),t=0;return n>0&&(t=e/n),[r[0],100*t,100*n]},t.hcg.hsl=function(r){var e=r[1]/100,n=r[2]/100*(1-e)+.5*e,t=0;return n>0&&n<.5?t=e/(2*n):n>=.5&&n<1&&(t=e/(2*(1-n))),[r[0],100*t,100*n]},t.hcg.hwb=function(r){var e=r[1]/100,n=e+r[2]/100*(1-e);return [r[0],100*(n-e),100*(1-n)]},t.hwb.hcg=function(r){var e=r[1]/100,n=1-r[2]/100,t=n-e,o=0;return t<1&&(o=(n-t)/(1-t)),[r[0],100*t,100*o]},t.apple.rgb=function(r){return [r[0]/65535*255,r[1]/65535*255,r[2]/65535*255]},t.rgb.apple=function(r){return [r[0]/255*65535,r[1]/255*65535,r[2]/255*65535]},t.gray.rgb=function(r){return [r[0]/100*255,r[0]/100*255,r[0]/100*255]},t.gray.hsl=t.gray.hsv=function(r){return [0,0,r[0]]},t.gray.hwb=function(r){return [0,100,r[0]]},t.gray.cmyk=function(r){return [0,0,0,r[0]]},t.gray.lab=function(r){return [r[0],0,0]},t.gray.hex=function(r){var e=255&Math.round(r[0]/100*255),n=((e<<16)+(e<<8)+e).toString(16).toUpperCase();return "000000".substring(n.length)+n},t.rgb.gray=function(r){return [(r[0]+r[1]+r[2])/3/255*100]};}),conversions_1$1=conversions$1.rgb,conversions_2$1=conversions$1.hsl,conversions_3$1=conversions$1.hsv,conversions_4$1=conversions$1.hwb,conversions_5$1=conversions$1.cmyk,conversions_6$1=conversions$1.xyz,conversions_7$1=conversions$1.lab,conversions_8$1=conversions$1.lch,conversions_9$1=conversions$1.hex,conversions_10$1=conversions$1.keyword,conversions_11$1=conversions$1.ansi16,conversions_12$1=conversions$1.ansi256,conversions_13$1=conversions$1.hcg,conversions_14$1=conversions$1.apple,conversions_15$1=conversions$1.gray;function buildGraph$1(){for(var r={},e=Object.keys(conversions$1),n=e.length,t=0;t<n;t++)r[e[t]]={distance:-1,parent:null};return r}function deriveBFS$1(r){var e=buildGraph$1(),n=[r];for(e[r].distance=0;n.length;)for(var t=n.pop(),o=Object.keys(conversions$1[t]),a=o.length,i=0;i<a;i++){var s=o[i],l=e[s];-1===l.distance&&(l.distance=e[t].distance+1,l.parent=t,n.unshift(s));}return e}function link$1(r,e){return function(n){return e(r(n))}}function wrapConversion$1(r,e){for(var n=[e[r].parent,r],t=conversions$1[e[r].parent][r],o=e[r].parent;e[o].parent;)n.unshift(e[o].parent),t=link$1(conversions$1[e[o].parent][o],t),o=e[o].parent;return t.conversion=n,t}var route$1=function(r){for(var e=deriveBFS$1(r),n={},t=Object.keys(e),o=t.length,a=0;a<o;a++){var i=t[a];null!==e[i].parent&&(n[i]=wrapConversion$1(i,e));}return n},convert$1={},models$1=Object.keys(conversions$1);function wrapRaw$1(r){var e=function(e){return null==e?e:(arguments.length>1&&(e=Array.prototype.slice.call(arguments)),r(e))};return "conversion"in r&&(e.conversion=r.conversion),e}function wrapRounded$1(r){var e=function(e){if(null==e)return e;arguments.length>1&&(e=Array.prototype.slice.call(arguments));var n=r(e);if("object"==typeof n)for(var t=n.length,o=0;o<t;o++)n[o]=Math.round(n[o]);return n};return "conversion"in r&&(e.conversion=r.conversion),e}models$1.forEach(function(r){convert$1[r]={},Object.defineProperty(convert$1[r],"channels",{value:conversions$1[r].channels}),Object.defineProperty(convert$1[r],"labels",{value:conversions$1[r].labels});var e=route$1(r);Object.keys(e).forEach(function(n){var t=e[n];convert$1[r][n]=wrapRounded$1(t),convert$1[r][n].raw=wrapRaw$1(t);});});var colorConvert$1=convert$1,_slice$1=[].slice,skippedModels$1=["keyword","gray","hex"],hashedModelKeys$1={};Object.keys(colorConvert$1).forEach(function(r){hashedModelKeys$1[_slice$1.call(colorConvert$1[r].labels).sort().join("")]=r;});var limiters$1={};function Color$1(r,e){if(!(this instanceof Color$1))return new Color$1(r,e);if(e&&e in skippedModels$1&&(e=null),e&&!(e in colorConvert$1))throw new Error("Unknown model: "+e);var n,t;if(void 0===r)this.model="rgb",this.color=[0,0,0],this.valpha=1;else if(r instanceof Color$1)this.model=r.model,this.color=r.color.slice(),this.valpha=r.valpha;else if("string"==typeof r){var o=colorString$1.get(r);if(null===o)throw new Error("Unable to parse color from string: "+r);this.model=o.model,t=colorConvert$1[this.model].channels,this.color=o.value.slice(0,t),this.valpha="number"==typeof o.value[t]?o.value[t]:1;}else if(r.length){this.model=e||"rgb",t=colorConvert$1[this.model].channels;var a=_slice$1.call(r,0,t);this.color=zeroArray$1(a,t),this.valpha="number"==typeof r[t]?r[t]:1;}else if("number"==typeof r)r&=16777215,this.model="rgb",this.color=[r>>16&255,r>>8&255,255&r],this.valpha=1;else{this.valpha=1;var i=Object.keys(r);"alpha"in r&&(i.splice(i.indexOf("alpha"),1),this.valpha="number"==typeof r.alpha?r.alpha:0);var s=i.sort().join("");if(!(s in hashedModelKeys$1))throw new Error("Unable to parse color from object: "+JSON.stringify(r));this.model=hashedModelKeys$1[s];var l=colorConvert$1[this.model].labels,c=[];for(n=0;n<l.length;n++)c.push(r[l[n]]);this.color=zeroArray$1(c);}if(limiters$1[this.model])for(t=colorConvert$1[this.model].channels,n=0;n<t;n++){var h=limiters$1[this.model][n];h&&(this.color[n]=h(this.color[n]));}this.valpha=Math.max(0,Math.min(1,this.valpha)),Object.freeze&&Object.freeze(this);}function roundTo$1(r,e){return Number(r.toFixed(e))}function roundToPlace$1(r){return function(e){return roundTo$1(e,r)}}function getset$1(r,e,n){return (r=Array.isArray(r)?r:[r]).forEach(function(r){(limiters$1[r]||(limiters$1[r]=[]))[e]=n;}),r=r[0],function(t){var o;return arguments.length?(n&&(t=n(t)),(o=this[r]()).color[e]=t,o):(o=this[r]().color[e],n&&(o=n(o)),o)}}function maxfn$1(r){return function(e){return Math.max(0,Math.min(r,e))}}function assertArray$1(r){return Array.isArray(r)?r:[r]}function zeroArray$1(r,e){for(var n=0;n<e;n++)"number"!=typeof r[n]&&(r[n]=0);return r}Color$1.prototype={toString:function(){return this.string()},toJSON:function(){return this[this.model]()},string:function(r){var e=this.model in colorString$1.to?this:this.rgb(),n=1===(e=e.round("number"==typeof r?r:1)).valpha?e.color:e.color.concat(this.valpha);return colorString$1.to[e.model](n)},percentString:function(r){var e=this.rgb().round("number"==typeof r?r:1),n=1===e.valpha?e.color:e.color.concat(this.valpha);return colorString$1.to.rgb.percent(n)},array:function(){return 1===this.valpha?this.color.slice():this.color.concat(this.valpha)},object:function(){for(var r={},e=colorConvert$1[this.model].channels,n=colorConvert$1[this.model].labels,t=0;t<e;t++)r[n[t]]=this.color[t];return 1!==this.valpha&&(r.alpha=this.valpha),r},unitArray:function(){var r=this.rgb().color;return r[0]/=255,r[1]/=255,r[2]/=255,1!==this.valpha&&r.push(this.valpha),r},unitObject:function(){var r=this.rgb().object();return r.r/=255,r.g/=255,r.b/=255,1!==this.valpha&&(r.alpha=this.valpha),r},round:function(r){return r=Math.max(r||0,0),new Color$1(this.color.map(roundToPlace$1(r)).concat(this.valpha),this.model)},alpha:function(r){return arguments.length?new Color$1(this.color.concat(Math.max(0,Math.min(1,r))),this.model):this.valpha},red:getset$1("rgb",0,maxfn$1(255)),green:getset$1("rgb",1,maxfn$1(255)),blue:getset$1("rgb",2,maxfn$1(255)),hue:getset$1(["hsl","hsv","hsl","hwb","hcg"],0,function(r){return (r%360+360)%360}),saturationl:getset$1("hsl",1,maxfn$1(100)),lightness:getset$1("hsl",2,maxfn$1(100)),saturationv:getset$1("hsv",1,maxfn$1(100)),value:getset$1("hsv",2,maxfn$1(100)),chroma:getset$1("hcg",1,maxfn$1(100)),gray:getset$1("hcg",2,maxfn$1(100)),white:getset$1("hwb",1,maxfn$1(100)),wblack:getset$1("hwb",2,maxfn$1(100)),cyan:getset$1("cmyk",0,maxfn$1(100)),magenta:getset$1("cmyk",1,maxfn$1(100)),yellow:getset$1("cmyk",2,maxfn$1(100)),black:getset$1("cmyk",3,maxfn$1(100)),x:getset$1("xyz",0,maxfn$1(100)),y:getset$1("xyz",1,maxfn$1(100)),z:getset$1("xyz",2,maxfn$1(100)),l:getset$1("lab",0,maxfn$1(100)),a:getset$1("lab",1),b:getset$1("lab",2),keyword:function(r){return arguments.length?new Color$1(r):colorConvert$1[this.model].keyword(this.color)},hex:function(r){return arguments.length?new Color$1(r):colorString$1.to.hex(this.rgb().round().color)},rgbNumber:function(){var r=this.rgb().color;return (255&r[0])<<16|(255&r[1])<<8|255&r[2]},luminosity:function(){for(var r=this.rgb().color,e=[],n=0;n<r.length;n++){var t=r[n]/255;e[n]=t<=.03928?t/12.92:Math.pow((t+.055)/1.055,2.4);}return .2126*e[0]+.7152*e[1]+.0722*e[2]},contrast:function(r){var e=this.luminosity(),n=r.luminosity();return e>n?(e+.05)/(n+.05):(n+.05)/(e+.05)},level:function(r){var e=this.contrast(r);return e>=7.1?"AAA":e>=4.5?"AA":""},isDark:function(){var r=this.rgb().color;return (299*r[0]+587*r[1]+114*r[2])/1e3<128},isLight:function(){return !this.isDark()},negate:function(){for(var r=this.rgb(),e=0;e<3;e++)r.color[e]=255-r.color[e];return r},lighten:function(r){var e=this.hsl();return e.color[2]+=e.color[2]*r,e},darken:function(r){var e=this.hsl();return e.color[2]-=e.color[2]*r,e},saturate:function(r){var e=this.hsl();return e.color[1]+=e.color[1]*r,e},desaturate:function(r){var e=this.hsl();return e.color[1]-=e.color[1]*r,e},whiten:function(r){var e=this.hwb();return e.color[1]+=e.color[1]*r,e},blacken:function(r){var e=this.hwb();return e.color[2]+=e.color[2]*r,e},grayscale:function(){var r=this.rgb().color,e=.3*r[0]+.59*r[1]+.11*r[2];return Color$1.rgb(e,e,e)},fade:function(r){return this.alpha(this.valpha-this.valpha*r)},opaquer:function(r){return this.alpha(this.valpha+this.valpha*r)},rotate:function(r){var e=this.hsl(),n=e.color[0];return n=(n=(n+r)%360)<0?360+n:n,e.color[0]=n,e},mix:function(r,e){var n=r.rgb(),t=this.rgb(),o=void 0===e?.5:e,a=2*o-1,i=n.alpha()-t.alpha(),s=((a*i==-1?a:(a+i)/(1+a*i))+1)/2,l=1-s;return Color$1.rgb(s*n.red()+l*t.red(),s*n.green()+l*t.green(),s*n.blue()+l*t.blue(),n.alpha()*o+t.alpha()*(1-o))}},Object.keys(colorConvert$1).forEach(function(r){if(-1===skippedModels$1.indexOf(r)){var e=colorConvert$1[r].channels;Color$1.prototype[r]=function(){if(this.model===r)return new Color$1(this);if(arguments.length)return new Color$1(arguments,r);var n="number"==typeof arguments[e]?e:this.valpha;return new Color$1(assertArray$1(colorConvert$1[this.model][r].raw(this.color)).concat(n),r)},Color$1[r]=function(n){return "number"==typeof n&&(n=zeroArray$1(_slice$1.call(arguments),e)),new Color$1(n,r)};}});var color$1=Color$1,ColorMock$1=function r(e){var n=this;classCallCheck$1(this,r),defineProperty$1(this,"hsl",function(){return n}),defineProperty$1(this,"isLight",function(){return !1}),defineProperty$1(this,"isDark",function(){return !1}),defineProperty$1(this,"negate",function(){return n}),defineProperty$1(this,"lighten",function(){return n}),defineProperty$1(this,"darken",function(){return n}),defineProperty$1(this,"alpha",function(){return n}),defineProperty$1(this,"saturate",function(){return n}),defineProperty$1(this,"desaturate",function(){return n}),defineProperty$1(this,"grayscale",function(){return n}),defineProperty$1(this,"whiten",function(){return n}),defineProperty$1(this,"blacken",function(){return n}),defineProperty$1(this,"fade",function(){return n}),defineProperty$1(this,"opaquer",function(){return n}),defineProperty$1(this,"rotate",function(){return n}),defineProperty$1(this,"contrast",function(){return 10}),defineProperty$1(this,"luminosity",function(){return .5}),defineProperty$1(this,"mix",function(){return n}),defineProperty$1(this,"blue",function(){return n.toString()}),defineProperty$1(this,"green",function(){return n.toString()}),defineProperty$1(this,"red",function(){return n.toString()}),defineProperty$1(this,"hex",function(){return n.toString()}),defineProperty$1(this,"rgbNumber",function(){return n.toString()}),defineProperty$1(this,"rgb",function(){return n.toString()}),defineProperty$1(this,"toString",function(){return n.color}),this.color=e;};function ColorWrapper$1(r){return "string"==typeof r&&-1!==r.indexOf("linear-gradient")?new ColorMock$1(r):color$1(r)}

  var hover_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.hover = hover;
  exports.hoverFocus = hoverFocus;
  exports.plainHoverFocus = plainHoverFocus;
  exports.hoverFocusActive = hoverFocusActive;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$enable-hover-media-query': false
  };
  exports.defaultProps = defaultProps;
  function hover(content) {
    return "\n    &:hover { ".concat(content, " }\n  ");
  }
  function hoverFocus() {
    var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
    var content = arguments.length > 1 ? arguments[1] : undefined;
    if (enableHoverMediaQuery) {
      return " \n      &:focus { ".concat(content, " }\n      ").concat(hover(content), "\n    ");
    }
    return "\n    &:focus,\n    &:hover {\n      ".concat(content, "\n    }\n  ");
  }
  function plainHoverFocus() {
    var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
    var content = arguments.length > 1 ? arguments[1] : undefined;
    if (enableHoverMediaQuery) {
      return "\n      &, &:focus {\n        ".concat(content, "\n      }\n      ").concat(hover(content), "\n    ");
    }
    return " \n    &, &:focus, &:hover {\n      ".concat(content, "\n    }\n  ");
  }
  function hoverFocusActive() {
    var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
    var content = arguments.length > 1 ? arguments[1] : undefined;
    if (enableHoverMediaQuery) {
      return "\n      &:focus,\n      &:active {\n        ".concat(content, "\n      }\n      ").concat(hover(content), "\n    ");
    }
    return "\n    &:focus, &:active, &:hover {\n     ".concat(content, "\n    }\n  ");
  }
  hover.focus = hoverFocus;
  hover.plainFocus = plainHoverFocus;
  hover.activeFocus = hoverFocusActive;
  var _default = {
    defaultProps: defaultProps,
    hover: hover,
    hoverFocus: hoverFocus,
    plainHoverFocus: plainHoverFocus,
    hoverFocusActive: hoverFocusActive
  };
  exports.default = _default;
  });
  unwrapExports(hover_1);
  var hover_2 = hover_1.hover;
  var hover_3 = hover_1.hoverFocus;
  var hover_4 = hover_1.plainHoverFocus;
  var hover_5 = hover_1.hoverFocusActive;
  var hover_6 = hover_1.defaultProps;

  var backgroundVariant = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.bgVariant = bgVariant;
  exports.default = exports.defaultProps = void 0;
  var _color = _interopRequireDefault(ColorWrapper$1);
  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
  var defaultProps = {
    '$enable-hover-media-query': false
  };
  exports.defaultProps = defaultProps;
  function bgVariant() {
    var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
    var selector = arguments.length > 1 ? arguments[1] : undefined;
    var bgColor = arguments.length > 2 ? arguments[2] : undefined;
    return "\n    ".concat(selector, " {\n      background-color: ").concat(bgColor, " !important;\n    }\n    a").concat(selector, " {\n      ").concat((0, hover_1.hoverFocus)(enableHoverMediaQuery, "background-color: ".concat((0, _color.default)(bgColor).darken(0.2).rgb(), " !important;")), "\n    }\n  ");
  }
  var _default = {
    bgVariant: bgVariant
  };
  exports.default = _default;
  });
  unwrapExports(backgroundVariant);
  var backgroundVariant_1 = backgroundVariant.bgVariant;
  var backgroundVariant_2 = backgroundVariant.defaultProps;

  var background = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getBackgroundUtilities = getBackgroundUtilities;
  exports.default = exports.bgFaded = exports.bgInverse = exports.bgDanger = exports.bgWarning = exports.bgInfo = exports.bgSuccess = exports.bgPrimary = exports.defaultProps = void 0;
  var defaultProps = {
    '$enable-hover-media-query': false,
    '$brand-primary': '#0275d8',
    '$brand-success': '#5cb85c',
    '$brand-info': '#5bc0de',
    '$brand-warning': '#f0ad4e',
    '$brand-danger': '#d9543f',
    '$brand-inverse': '#373a3c',
    '$gray-lightest': '#f7f7f9'
  };
  exports.defaultProps = defaultProps;
  function getBackgroundUtilities() {
    var $enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
    var $brandPrimary = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$brand-primary'];
    var $brandSuccess = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps['$brand-success'];
    var $brandInfo = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps['$brand-info'];
    var $brandWarning = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps['$brand-warning'];
    var $brandDanger = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps['$brand-danger'];
    var $brandInverse = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps['$brand-inverse'];
    var $grayLightest = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps['$gray-lightest'];
    return "\n    ".concat((0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-primary', $brandPrimary), "\n    ").concat((0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-success', $brandSuccess), "\n    ").concat((0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-info', $brandInfo), "\n    ").concat((0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-warning', $brandWarning), "\n    ").concat((0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-danger', $brandDanger), "\n    ").concat((0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-inverse', $brandInverse), "\n    ").concat((0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-faded', $grayLightest), "\n  ");
  }
  var bgPrimary = function bgPrimary($enableHoverMediaQuery) {
    var bgColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$brand-primary'];
    return (0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-primary', bgColor);
  };
  exports.bgPrimary = bgPrimary;
  var bgSuccess = function bgSuccess($enableHoverMediaQuery) {
    var bgColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$brand-success'];
    return (0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-success', bgColor);
  };
  exports.bgSuccess = bgSuccess;
  var bgInfo = function bgInfo($enableHoverMediaQuery) {
    var bgColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$brand-info'];
    return (0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-info', bgColor);
  };
  exports.bgInfo = bgInfo;
  var bgWarning = function bgWarning($enableHoverMediaQuery) {
    var bgColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$brand-warning'];
    return (0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-warning', bgColor);
  };
  exports.bgWarning = bgWarning;
  var bgDanger = function bgDanger($enableHoverMediaQuery) {
    var bgColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$brand-danger'];
    return (0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-danger', bgColor);
  };
  exports.bgDanger = bgDanger;
  var bgInverse = function bgInverse($enableHoverMediaQuery) {
    var bgColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$brand-inverse'];
    return (0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-inverse', bgColor);
  };
  exports.bgInverse = bgInverse;
  var bgFaded = function bgFaded($enableHoverMediaQuery) {
    var bgColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$gray-lightest'];
    return (0, backgroundVariant.bgVariant)($enableHoverMediaQuery, '.bg-faded', bgColor);
  };
  exports.bgFaded = bgFaded;
  var _default = {
    defaultProps: defaultProps,
    getBackgroundUtilities: getBackgroundUtilities,
    bgFaded: bgFaded,
    bgPrimary: bgPrimary,
    bgSuccess: bgSuccess,
    bgInfo: bgInfo,
    bgWarning: bgWarning,
    bgDanger: bgDanger,
    bgInverse: bgInverse
  };
  exports.default = _default;
  });
  unwrapExports(background);
  var background_1 = background.getBackgroundUtilities;
  var background_2 = background.bgFaded;
  var background_3 = background.bgInverse;
  var background_4 = background.bgDanger;
  var background_5 = background.bgWarning;
  var background_6 = background.bgInfo;
  var background_7 = background.bgSuccess;
  var background_8 = background.bgPrimary;
  var background_9 = background.defaultProps;

  var borderRadius_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.borderRadius = borderRadius;
  exports.borderTopRadius = borderTopRadius;
  exports.borderRightRadius = borderRightRadius;
  exports.borderBottomRadius = borderBottomRadius;
  exports.borderLeftRadius = borderLeftRadius;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$border-radius': '.25rem',
    '$enable-rounded': true
  };
  exports.defaultProps = defaultProps;
  function borderRadius() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    if (enableRounded) {
      return "\n      border-radius: ".concat(radius, ";\n    ");
    }
    return '';
  }
  function borderTopRadius() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    if (enableRounded) {
      return "\n      border-top-right-radius: ".concat(radius, ";\n      border-top-left-radius: ").concat(radius, ";\n    ");
    }
    return '';
  }
  function borderRightRadius() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    if (enableRounded) {
      return "\n      border-bottom-right-radius: ".concat(radius, ";\n      border-top-right-radius: ").concat(radius, ";\n    ");
    }
    return '';
  }
  function borderBottomRadius() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    if (enableRounded) {
      return "\n      border-bottom-right-radius: ".concat(radius, ";\n      border-bottom-left-radius: ").concat(radius, ";\n    ");
    }
    return '';
  }
  function borderLeftRadius() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    if (enableRounded) {
      return "\n      border-bottom-left-radius: ".concat(radius, ";\n      border-top-left-radius: ").concat(radius, ";\n    ");
    }
    return '';
  }
  var _default = {
    defaultProps: defaultProps,
    all: borderRadius,
    top: borderTopRadius,
    right: borderRightRadius,
    bottom: borderBottomRadius,
    left: borderLeftRadius
  };
  exports.default = _default;
  });
  unwrapExports(borderRadius_1);
  var borderRadius_2 = borderRadius_1.borderRadius;
  var borderRadius_3 = borderRadius_1.borderTopRadius;
  var borderRadius_4 = borderRadius_1.borderRightRadius;
  var borderRadius_5 = borderRadius_1.borderBottomRadius;
  var borderRadius_6 = borderRadius_1.borderLeftRadius;
  var borderRadius_7 = borderRadius_1.defaultProps;

  var borders = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getBordersUtilities = getBordersUtilities;
  exports.rounded = rounded;
  exports.roundedTop = roundedTop;
  exports.roundedRight = roundedRight;
  exports.roundedBottom = roundedBottom;
  exports.roundedLeft = roundedLeft;
  exports.roundedCircle = roundedCircle;
  exports.resetBorder = resetBorder;
  exports.resetBorderTop = resetBorderTop;
  exports.resetBorderRight = resetBorderRight;
  exports.resetBorderBottom = resetBorderBottom;
  exports.resetBorderLeft = resetBorderLeft;
  exports.resetRounded = resetRounded;
  exports.resetRoundedTop = resetRoundedTop;
  exports.resetRoundedBottom = resetRoundedBottom;
  exports.resetRoundedLeft = resetRoundedLeft;
  exports.resetRoundedRight = resetRoundedRight;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$border-radius': '.25rem',
    '$enable-rounded': true
  };
  exports.defaultProps = defaultProps;
  function getBordersUtilities() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    return "\n    ".concat(rounded(enableRounded, radius), "\n    ").concat(roundedTop(enableRounded, radius), "\n    ").concat(roundedRight(enableRounded, radius), "\n    ").concat(roundedBottom(enableRounded, radius), "\n    ").concat(roundedLeft(enableRounded, radius), "\n    ").concat(roundedCircle(), "\n    ").concat(resetRounded(), "\n    ").concat(resetRoundedTop(), "\n    ").concat(resetRoundedRight(), "\n    ").concat(resetRoundedLeft(), "\n    ").concat(resetRoundedBottom(), "\n    ").concat(resetBorder(), "\n    ").concat(resetBorderTop(), "\n    ").concat(resetBorderRight(), "\n    ").concat(resetBorderLeft(), "\n    ").concat(resetBorderBottom(), "\n  ");
  }
  function rounded() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    return "\n    .rounded {\n      ".concat((0, borderRadius_1.borderRadius)(enableRounded, radius), "\n    }\n  ");
  }
  function roundedTop() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    return "\n    .rounded-top {\n      ".concat((0, borderRadius_1.borderTopRadius)(enableRounded, radius), "\n    }\n  ");
  }
  function roundedRight() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    return "\n    .rounded-right {\n      ".concat((0, borderRadius_1.borderRightRadius)(enableRounded, radius), "\n    }\n  ");
  }
  function roundedBottom() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    return "\n    .rounded-bottom {\n      ".concat((0, borderRadius_1.borderBottomRadius)(enableRounded, radius), "\n    }\n  ");
  }
  function roundedLeft() {
    var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-rounded'];
    var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$border-radius'];
    return "\n    .rounded-left {\n      ".concat((0, borderRadius_1.borderLeftRadius)(enableRounded, radius), "\n    }\n  ");
  }
  function roundedCircle() {
    return "\n    .rounded-circle {\n      border-radius: 50%;\n    }\n  ";
  }
  function resetBorder() {
    return "\n    .border-0 {\n      border: 0 !important;\n    }\n  ";
  }
  function resetBorderTop() {
    return "\n    .border-top-0 {\n      border-top: 0 !important;\n    }\n  ";
  }
  function resetBorderRight() {
    return "\n    .border-right-0 {\n      border-right: 0 !important;\n    }\n  ";
  }
  function resetBorderBottom() {
    return "\n    .border-bottom-0 {\n      border-bottom: 0 !important;\n    }\n  ";
  }
  function resetBorderLeft() {
    return "\n    .border-left-0 {\n      border-left: 0 !important;\n    }\n  ";
  }
  function resetRounded() {
    return "\n    .rounded-0 {\n      border-radius: 0 !important;\n    }\n  ";
  }
  function resetRoundedTop() {
    return "\n    .rounded-top-0 {\n      border-top-left-radius: 0 !important;\n      border-top-right-radius: 0 !important;\n    }\n  ";
  }
  function resetRoundedBottom() {
    return "\n    .rounded-bottom-0 {\n      border-bottom-left-radius: 0 !important;\n      border-bottom-right-radius: 0 !important;\n    }\n  ";
  }
  function resetRoundedLeft() {
    return "\n    .rounded-left-0 {\n      border-bottom-left-radius: 0 !important;\n      border-top-left-radius: 0 !important;\n    }\n  ";
  }
  function resetRoundedRight() {
    return "\n    .rounded-right-0 {\n      border-bottom-right-radius: 0 !important;\n      border-top-right-radius: 0 !important;\n    }\n  ";
  }
  var _default = {
    defaultProps: defaultProps,
    getBordersUtilities: getBordersUtilities,
    rounded: rounded,
    roundedTop: roundedTop,
    roundedRight: roundedRight,
    roundedBottom: roundedBottom,
    roundedLeft: roundedLeft,
    roundedCircle: roundedCircle
  };
  exports.default = _default;
  });
  unwrapExports(borders);
  var borders_1 = borders.getBordersUtilities;
  var borders_2 = borders.rounded;
  var borders_3 = borders.roundedTop;
  var borders_4 = borders.roundedRight;
  var borders_5 = borders.roundedBottom;
  var borders_6 = borders.roundedLeft;
  var borders_7 = borders.roundedCircle;
  var borders_8 = borders.resetBorder;
  var borders_9 = borders.resetBorderTop;
  var borders_10 = borders.resetBorderRight;
  var borders_11 = borders.resetBorderBottom;
  var borders_12 = borders.resetBorderLeft;
  var borders_13 = borders.resetRounded;
  var borders_14 = borders.resetRoundedTop;
  var borders_15 = borders.resetRoundedBottom;
  var borders_16 = borders.resetRoundedLeft;
  var borders_17 = borders.resetRoundedRight;
  var borders_18 = borders.defaultProps;

  var clearfix_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.clearfix = clearfix;
  exports.default = void 0;
  function clearfix() {
    return "\n    &::after {\n      content: \"\";\n      display: table;\n      clear: both;\n    }\n  ";
  }
  var _default = {
    clearfix: clearfix
  };
  exports.default = _default;
  });
  unwrapExports(clearfix_1);
  var clearfix_2 = clearfix_1.clearfix;

  var clearfix$1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getClearfixUtilities = getClearfixUtilities;
  exports.getClearfix = getClearfix;
  exports.default = void 0;
  function getClearfixUtilities() {
    return "\n   ".concat(getClearfix(), "\n  ");
  }
  function getClearfix() {
    return "\n    .clearfix {\n      ".concat((0, clearfix_1.clearfix)(), "\n    }\n  ");
  }
  var _default = {
    getClearfixUtilities: getClearfixUtilities,
    getClearfix: getClearfix
  };
  exports.default = _default;
  });
  unwrapExports(clearfix$1);
  var clearfix_1$1 = clearfix$1.getClearfixUtilities;
  var clearfix_2$1 = clearfix$1.getClearfix;

  var cursor = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getCursorUtilities = getCursorUtilities;
  exports.default = void 0;
  function getCursorUtilities() {
    return "\n    .cursor-alias {\n      cursor: alias;\n    }\n    \n    .cursor-all-scroll {\n      cursor: all-scroll;\n    }\n    \n    .cursor-auto {\n      cursor: auto;\n    }\n    \n    .cursor-cell {\n      cursor: cell;\n    }\n    \n    .cursor-context-menu {\n      cursor: context-menu;\n    }\n    \n    .cursor-col-resize {\n      cursor: col-resize;\n    }\n    \n    .cursor-copy {\n      cursor: copy;\n    }\n    \n    .cursor-crosshair {\n      cursor: crosshair;\n    }\n    \n    .cursor-default {\n      cursor: default;\n    }\n    \n    .cursor-e-resize {\n      cursor: e-resize;\n    }\n    \n    .cursor-ew-resize {\n      cursor: ew-resize;\n    }\n    \n    .cursor-grab {\n      cursor: grab;\n    }\n    \n    .cursor-grabbing {\n      cursor: grabbing;\n    }\n    \n    .cursor-help {\n      cursor: help;\n    }\n    \n    .cursor-move {\n      cursor: move;\n    }\n    \n    .cursor-n-resize {\n      cursor: n-resize;\n    }\n    \n    .cursor-ne-resize {\n      cursor: ne-resize;\n    }\n    \n    .cursor-nesw-resize {\n      cursor: nesw-resize;\n    }\n    \n    .cursor-ns-resize {\n      cursor: ns-resize;\n    }\n    \n    .cursor-nw-resize {\n      cursor: nw-resize;\n    }\n    \n    .cursor-nwse-resize {\n      cursor: nwse-resize;\n    }\n    \n    .cursor-no-drop {\n      cursor: no-drop;\n    }\n    \n    .cursor-none {\n      cursor: none;\n    }\n    \n    .cursor-not-allowed {\n      cursor: not-allowed;\n    }\n    \n    .cursor-pointer {\n      cursor: pointer;\n    }\n    \n    .cursor-progress {\n      cursor: progress;\n    }\n    \n    .cursor-row-resize {\n      cursor: row-resize;\n    }\n    \n    .cursor-s-resize {\n      cursor: s-resize;\n    }\n    \n    .cursor-se-resize {\n      cursor: se-resize;\n    }\n    \n    .cursor-sw-resize {\n      cursor: sw-resize;\n    }\n    \n    .cursor-text {\n      cursor: text;\n    }\n    \n    .cursor-vertical-text {\n      cursor: vertical-text;\n    }\n    \n    .cursor-w-resize {\n      cursor: w-resize;\n    }\n    \n    .cursor-wait {\n      cursor: wait;\n    }\n    \n    .cursor-zoom-in {\n      cursor: zoom-in;\n    }\n    \n    .cursor-zoom-out {\n      cursor: zoom-out;\n    }\n    \n    .cursor-initial {\n      cursor: initial;\n    }\n  ";
  }
  var _default = {
    getCursorUtilities: getCursorUtilities
  };
  exports.default = _default;
  });
  unwrapExports(cursor);
  var cursor_1 = cursor.getCursorUtilities;

  var unitUtils$2 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = void 0;
  function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
  var UnitUtils = function UnitUtils() {
    var _this = this;
    _classCallCheck(this, UnitUtils);
    this.UNIT = {
      EM: 'em',
      REM: 'rem',
      PX: 'px',
      PERCENT: '%'
    };
    this.math = {
      addition: function addition(a, b) {
        var unit = this.detectUnit(a) || this.detectUnit(b);
        return this.rmUnit(a) + this.rmUnit(b) + unit;
      }.bind(this),
      subtract: function subtract(a, b) {
        var unit = this.detectUnit(a) || this.detectUnit(b);
        return this.rmUnit(a) - this.rmUnit(b) + unit;
      }.bind(this),
      multiply: function multiply(a, b) {
        var unit = this.detectUnit(a) || this.detectUnit(b);
        return this.rmUnit(a) * this.rmUnit(b) + unit;
      }.bind(this),
      divide: function divide(a, b) {
        var unit = this.detectUnit(a) || this.detectUnit(b);
        return this.rmUnit(a) / this.rmUnit(b) + unit;
      }.bind(this)
    };
    this.detectUnit = function (value) {
      var ext;
      var valueStr = value.toString();
      if (valueStr.match(_this.UNIT.PX)) {
        ext = _this.UNIT.PX;
      } else if (valueStr.match(_this.UNIT.REM)) {
        ext = _this.UNIT.REM;
      } else if (valueStr.match(_this.UNIT.EM)) {
        ext = _this.UNIT.EM;
      } else if (valueStr.match(_this.UNIT.PERCENT)) {
        ext = _this.UNIT.PERCENT;
      } else if (!isNaN(value)) {
        return null;
      } else {
        throw new Error("detectUnit can't find unit for ".concat(value));
      }
      return ext;
    };
    this.rmUnit = function (value, unit) {
      var valueStr = value.toString();
      var ext = unit || _this.detectUnit(valueStr);
      var number = valueStr.replace(ext, '');
      return parseFloat(number);
    };
    this.toPercent = function (value) {
      var total = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 100;
      var decimal = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 2;
      return "".concat(Math.floor(value / total * 100 * Math.pow(10, decimal)) / Math.pow(10, decimal)).concat(_this.UNIT.PERCENT);
    };
  };
  var _default = new UnitUtils();
  exports.default = _default;
  module.exports = exports.default;
  });
  unwrapExports(unitUtils$2);

  var breakpoints = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.breakpointNext = breakpointNext;
  exports.breakpointMin = breakpointMin;
  exports.breakpointMax = breakpointMax;
  exports.breakpointInfix = breakpointInfix;
  exports.mediaBreakpointUp = mediaBreakpointUp;
  exports.mediaBreakpointDown = mediaBreakpointDown;
  exports.mediaBreakpointBetween = mediaBreakpointBetween;
  exports.mediaBreakpointOnly = mediaBreakpointOnly;
  exports.default = exports.defaultProps = void 0;
  var _unitUtils = _interopRequireDefault(unitUtils$2);
  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
  var defaultProps = {
    '$grid-breakpoints': {
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    }
  };
  exports.defaultProps = defaultProps;
  function breakpointNext(name) {
    var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$grid-breakpoints'];
    var breakpointNames = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : Object.keys(breakpoints);
    var n = breakpointNames.indexOf(name);
    if (n !== -1 && n + 1 < breakpointNames.length) {
      return breakpointNames[n + 1];
    }
    return null;
  }
  function breakpointMin(name) {
    var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$grid-breakpoints'];
    var min = breakpoints[name];
    return min !== '0' ? min : null;
  }
  function breakpointMax(name) {
    var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$grid-breakpoints'];
    var next = breakpointNext(name, breakpoints);
    if (next) {
      var min = _unitUtils.default.rmUnit(breakpointMin(next, breakpoints), _unitUtils.default.UNIT.PX);
      return (min - 1).toString() + _unitUtils.default.UNIT.PX;
    }
    return null;
  }
  function breakpointInfix(name) {
    var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$grid-breakpoints'];
    return breakpointMin(name, breakpoints) == null ? '' : "-".concat(name);
  }
  function mediaBreakpointUp(name) {
    var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$grid-breakpoints'];
    var content = arguments.length > 2 ? arguments[2] : undefined;
    var min = breakpointMin(name, breakpoints);
    if (min) {
      return "\n      @media (min-width: ".concat(min, ") {\n        ").concat(content, "\n      }\n    ");
    }
    return "\n    ".concat(content, "\n  ");
  }
  function mediaBreakpointDown(name) {
    var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$grid-breakpoints'];
    var content = arguments.length > 2 ? arguments[2] : undefined;
    var max = breakpointMax(name, breakpoints);
    if (max) {
      return "\n      @media (max-width: ".concat(max, ") {\n        ").concat(content, "\n      }\n    ");
    }
    return "\n    ".concat(content, "\n  ");
  }
  function mediaBreakpointBetween(lower, upper) {
    var breakpoints = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps['$grid-breakpoints'];
    var content = arguments.length > 3 ? arguments[3] : undefined;
    var min = breakpointMin(lower, breakpoints);
    var max = breakpointMax(upper, breakpoints);
    if (min && max) {
      return "\n      @media (min-width: ".concat(min, ") and (max-width: ").concat(max, ") {\n        ").concat(content, "\n      }\n    ");
    } else if (min) {
      return "\n      @media (min-width: ".concat(min, ") {\n        ").concat(content, "\n      }\n    ");
    } else if (max) {
      return "\n      @media (max-width: ".concat(max, ") {\n        ").concat(content, "\n      }\n    ");
    }
    return "\n    ".concat(content, "\n  ");
  }
  function mediaBreakpointOnly(name) {
    var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$grid-breakpoints'];
    var content = arguments.length > 2 ? arguments[2] : undefined;
    return mediaBreakpointBetween(name, name, breakpoints, content);
  }
  var _default = {
    defaultProps: defaultProps,
    up: mediaBreakpointUp,
    down: mediaBreakpointDown,
    between: mediaBreakpointBetween,
    only: mediaBreakpointOnly
  };
  exports.default = _default;
  });
  unwrapExports(breakpoints);
  var breakpoints_1 = breakpoints.breakpointNext;
  var breakpoints_2 = breakpoints.breakpointMin;
  var breakpoints_3 = breakpoints.breakpointMax;
  var breakpoints_4 = breakpoints.breakpointInfix;
  var breakpoints_5 = breakpoints.mediaBreakpointUp;
  var breakpoints_6 = breakpoints.mediaBreakpointDown;
  var breakpoints_7 = breakpoints.mediaBreakpointBetween;
  var breakpoints_8 = breakpoints.mediaBreakpointOnly;
  var breakpoints_9 = breakpoints.defaultProps;

  var display = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getDisplayUtilities = getDisplayUtilities;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$grid-breakpoints': {
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    }
  };
  exports.defaultProps = defaultProps;
  function getDisplayUtilities() {
    var gridBreakpoints = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$grid-breakpoints'];
    var utilityList = [];
    Object.keys(gridBreakpoints).forEach(function (breakpoint) {
      var infix = (0, breakpoints.breakpointInfix)(breakpoint, gridBreakpoints);
      utilityList.push("\n      ".concat((0, breakpoints.mediaBreakpointUp)(breakpoint, gridBreakpoints, "\n        .d".concat(infix, "-none { display: none !important; }\n        .d").concat(infix, "-inline { display: inline !important; }\n        .d").concat(infix, "-inline-block { display: inline-block !important; }\n        .d").concat(infix, "-block { display: block !important; }\n        .d").concat(infix, "-table { display: table !important; }\n        .d").concat(infix, "-table-cell { display: table-cell !important; }\n        .d").concat(infix, "-flex { display: flex !important; }\n        .d").concat(infix, "-inline-flex { display: inline-flex !important; }\n      ")), "\n    "));
    });
    utilityList.push("\n    .d-print-block {\n      display: none !important;\n    \n      @media print {\n        display: block !important;\n      }\n    }\n    \n    .d-print-inline {\n      display: none !important;\n    \n      @media print {\n        display: inline !important;\n      }\n    }\n    \n    .d-print-inline-block {\n      display: none !important;\n    \n      @media print {\n        display: inline-block !important;\n      }\n    }\n    \n    .d-print-none {\n      @media print {\n        display: none !important;\n      }\n    }\n  ");
    return utilityList.join('\n');
  }
  var _default = {
    defaultProps: defaultProps,
    getDisplayUtilities: getDisplayUtilities
  };
  exports.default = _default;
  });
  unwrapExports(display);
  var display_1 = display.getDisplayUtilities;
  var display_2 = display.defaultProps;

  var flex = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getFlexUtilities = getFlexUtilities;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$grid-breakpoints': {
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    }
  };
  exports.defaultProps = defaultProps;
  function getFlexUtilities() {
    var gridBreakpoints = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$grid-breakpoints'];
    var flexUtilityList = [];
    Object.keys(gridBreakpoints).forEach(function (breakpoint) {
      var infix = (0, breakpoints.breakpointInfix)(breakpoint, gridBreakpoints);
      flexUtilityList.push("\n      /* Flex column reordering */\n      ".concat((0, breakpoints.mediaBreakpointUp)(breakpoint, gridBreakpoints, "\n        .flex".concat(infix, "-first { order: -1; }\n        .flex").concat(infix, "-last { order: 1; }\n        .flex").concat(infix, "-unordered { order: 0; }\n      ")), "\n  \n      /* Flex direction */ \n      ").concat((0, breakpoints.mediaBreakpointUp)(breakpoint, gridBreakpoints, "\n        .flex".concat(infix, "-row            { flex-direction: row !important; }\n        .flex").concat(infix, "-column         { flex-direction: column !important; }\n        .flex").concat(infix, "-row-reverse    { flex-direction: row-reverse !important; }\n        .flex").concat(infix, "-column-reverse { flex-direction: column-reverse !important; }\n      ")), "\n      \n      /* Flex wrap */ \n      ").concat((0, breakpoints.mediaBreakpointUp)(breakpoint, gridBreakpoints, "\n        .flex".concat(infix, "-wrap         { flex-wrap: wrap !important; }\n        .flex").concat(infix, "-nowrap       { flex-wrap: nowrap !important; }\n        .flex").concat(infix, "-wrap-reverse { flex-wrap: wrap-reverse !important; }\n      ")), "\n      /* Flex justify-content */ \n      ").concat((0, breakpoints.mediaBreakpointUp)(breakpoint, gridBreakpoints, "\n        .justify-content".concat(infix, "-start   { justify-content: flex-start !important; }\n        .justify-content").concat(infix, "-end     { justify-content: flex-end !important; }\n        .justify-content").concat(infix, "-center  { justify-content: center !important; }\n        .justify-content").concat(infix, "-between { justify-content: space-between !important; }\n        .justify-content").concat(infix, "-around  { justify-content: space-around !important; }\n        .justify-content").concat(infix, "-evenly  { justify-content: space-evenly !important; }\n      ")), "\n      /* Flex align-items */ \n      ").concat((0, breakpoints.mediaBreakpointUp)(breakpoint, gridBreakpoints, "\n        .align-items".concat(infix, "-start    { align-items: flex-start !important; }\n        .align-items").concat(infix, "-end      { align-items: flex-end !important; }\n        .align-items").concat(infix, "-center   { align-items: center !important; }\n        .align-items").concat(infix, "-baseline { align-items: baseline !important; }\n        .align-items").concat(infix, "-stretch  { align-items: stretch !important; }\n      ")), "\n      /* Flex align-content */ \n      ").concat((0, breakpoints.mediaBreakpointUp)(breakpoint, gridBreakpoints, "\n        .align-content".concat(infix, "-start   { align-content: flex-start !important; }\n        .align-content").concat(infix, "-end     { align-content: flex-end !important; }\n        .align-content").concat(infix, "-center  { align-content: center !important; }\n        .align-content").concat(infix, "-between { align-content: space-between !important; }\n        .align-content").concat(infix, "-around  { align-content: space-around !important; }\n        .align-content").concat(infix, "-stretch { align-content: stretch !important; }\n      ")), "\n      /* Flex align-self */ \n      ").concat((0, breakpoints.mediaBreakpointUp)(breakpoint, gridBreakpoints, "\n        .align-self".concat(infix, "-auto     { align-self: auto !important; }\n        .align-self").concat(infix, "-start    { align-self: flex-start !important; }\n        .align-self").concat(infix, "-end      { align-self: flex-end !important; }\n        .align-self").concat(infix, "-center   { align-self: center !important; }\n        .align-self").concat(infix, "-baseline { align-self: baseline !important; }\n        .align-self").concat(infix, "-stretch  { align-self: stretch !important; }\n      ")), " \n    "));
    });
    return flexUtilityList.join('\n');
  }
  var _default = {
    defaultProps: defaultProps,
    getFlexUtilities: getFlexUtilities
  };
  exports.default = _default;
  });
  unwrapExports(flex);
  var flex_1 = flex.getFlexUtilities;
  var flex_2 = flex.defaultProps;

  var float_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.floatLeft = floatLeft;
  exports.floatRight = floatRight;
  exports.floatNone = floatNone;
  exports.default = void 0;
  function floatLeft() {
    return "\n    float: left !important;\n  ";
  }
  function floatRight() {
    return "\n    float: right !important;\n  ";
  }
  function floatNone() {
    return "\n    float: none !important;\n  ";
  }
  var _default = {
    floatLeft: floatLeft,
    floatRight: floatRight,
    floatNone: floatNone
  };
  exports.default = _default;
  });
  unwrapExports(float_1);
  var float_2 = float_1.floatLeft;
  var float_3 = float_1.floatRight;
  var float_4 = float_1.floatNone;

  var float_1$1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getFloatUtilities = getFloatUtilities;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$grid-breakpoints': {
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    }
  };
  exports.defaultProps = defaultProps;
  function getFloatUtilities() {
    var gridBreakpoints = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$grid-breakpoints'];
    var floatUtilityList = [];
    Object.keys(gridBreakpoints).forEach(function (breakpoint) {
      var infix = (0, breakpoints.breakpointInfix)(breakpoint, gridBreakpoints);
      var floatUtility = (0, breakpoints.mediaBreakpointUp)(breakpoint, gridBreakpoints, "\n      .float".concat(infix, "-left {\n        ").concat((0, float_1.floatLeft)(), "\n      }\n      .float").concat(infix, "-right {\n        ").concat((0, float_1.floatRight)(), "\n      }\n      .float").concat(infix, "-none {\n        ").concat((0, float_1.floatNone)(), "\n      }\n    "));
      floatUtilityList.push(floatUtility);
    });
    return floatUtilityList.join('\n');
  }
  var _default = {
    defaultProps: defaultProps,
    getFloatUtilities: getFloatUtilities
  };
  exports.default = _default;
  });
  unwrapExports(float_1$1);
  var float_2$1 = float_1$1.getFloatUtilities;
  var float_3$1 = float_1$1.defaultProps;

  var position = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getPositionUtilities = getPositionUtilities;
  exports.fixedTop = fixedTop;
  exports.fixedBottom = fixedBottom;
  exports.stickTop = stickTop;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$zindex-fixed': '1030',
    '$zindex-sticky': '1030'
  };
  exports.defaultProps = defaultProps;
  function getPositionUtilities() {
    var zindexFixed = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$zindex-fixed'];
    var zindexSticky = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$zindex-sticky'];
    return "\n    ".concat(fixedTop(zindexFixed), "\n    ").concat(fixedBottom(zindexFixed), "\n    ").concat(stickTop(zindexSticky), "\n  ");
  }
  function fixedTop() {
    var zindexFixed = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$zindex-fixed'];
    return "\n  .fixed-top {\n    position: fixed !important;\n    top: 0;\n    right: 0;\n    left: 0;\n    z-index: ".concat(zindexFixed, ";\n  }\n  ");
  }
  function fixedBottom() {
    var zindexFixed = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$zindex-fixed'];
    return "\n    .fixed-bottom {\n      position: fixed !important;\n      right: 0;\n      bottom: 0;\n      left: 0;\n      z-index: ".concat(zindexFixed, ";\n    }\n  ");
  }
  function stickTop() {
    var zindexSticky = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$zindex-sticky'];
    return "\n    .sticky-top {\n      position: sticky !important;\n      top: 0;\n      z-index: ".concat(zindexSticky, ";\n    }\n  ");
  }
  var _default = {
    defaultProps: defaultProps,
    getPositionUtilities: getPositionUtilities,
    fixedTop: fixedTop,
    fixedBottom: fixedBottom,
    stickTop: stickTop
  };
  exports.default = _default;
  });
  unwrapExports(position);
  var position_1 = position.getPositionUtilities;
  var position_2 = position.fixedTop;
  var position_3 = position.fixedBottom;
  var position_4 = position.stickTop;
  var position_5 = position.defaultProps;

  var reboot$1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getGlobalStyles = getGlobalStyles;
  exports.getGlobalStyleNoBootstrapProvider = getGlobalStyleNoBootstrapProvider;
  exports.html = html;
  exports.boxSizing = boxSizing;
  exports.ie10FixViewport = ie10FixViewport;
  exports.body = body;
  exports.bodyUtils = bodyUtils;
  exports.tabIndex = tabIndex;
  exports.svg = svg;
  exports.ie10FixHidden = ie10FixHidden;
  exports.webkitFileUploadButton = webkitFileUploadButton;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$font-family-base': '-apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif',
    '$font-size-base': '1rem',
    '$font-weight-base': '1.5',
    '$line-height-base': '1.5',
    '$body-color': '#292b2c',
    '$body-bg': '#fff'
  };
  exports.defaultProps = defaultProps;
  function getGlobalStyles() {
    return "\n    html {\n      ".concat(html(), "\n    }\n    *,\n    *::before,\n    *::after {\n      ").concat(boxSizing(), "\n    }\n    @-ms-viewport { \n      ").concat(ie10FixViewport(), " \n    }\n    body {\n      ").concat(bodyUtils(), "\n    }\n  ");
  }
  function getGlobalStyleNoBootstrapProvider() {
    var fontFamilyBase = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$font-family-base'];
    var fontSizeBase = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$font-size-base'];
    var fontWeightBase = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps['$font-weight-base'];
    var lineHeightBase = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps['$line-height-base'];
    var bodyColor = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps['$body-color'];
    var bodyBg = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps['$body-bg'];
    return "\n  ".concat(getGlobalStyles(), "\n  body {\n  ").concat(body(fontFamilyBase, fontSizeBase, fontWeightBase, lineHeightBase, bodyColor, bodyBg), " \n}");
  }
  function html() {
    return "\n    box-sizing: border-box;\n    font-family: sans-serif;\n    line-height: 1.15;\n    -ms-text-size-adjust: 100%;\n    -webkit-text-size-adjust: 100%;\n    -ms-overflow-style: scrollbar;\n    -webkit-tap-highlight-color: rgba(0,0,0,0);\n  ";
  }
  function boxSizing() {
    return "\n    box-sizing: inherit;\n  ";
  }
  function ie10FixViewport() {
    return "\n    width: device-width;\n  ";
  }
  function body() {
    var fontFamilyBase = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$font-family-base'];
    var fontSizeBase = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$font-size-base'];
    var fontWeightBase = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps['$font-weight-base'];
    var lineHeightBase = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps['$line-height-base'];
    var bodyColor = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps['$body-color'];
    var bodyBg = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps['$body-bg'];
    return "\n    margin: 0;\n    font-family: ".concat(fontFamilyBase, ";\n    font-size: ").concat(fontSizeBase, ";\n    font-weight: ").concat(fontWeightBase, ";\n    line-height: ").concat(lineHeightBase, ";\n    color: ").concat(bodyColor, ";\n    background-color: ").concat(bodyBg, ";\n    \n    ").concat(bodyUtils(), "\n    \n    [tabindex=\"-1\"]:focus {\n      ").concat(tabIndex(), "\n    }\n    svg:not(:root) {\n      ").concat(svg(), "\n    }\n    [hidden] {\n      ").concat(ie10FixHidden(), "\n    }\n    ::-webkit-file-upload-button {\n      ").concat(webkitFileUploadButton(), "\n    }\n  ");
  }
  function bodyUtils() {
    return "\n    &.overflow {\n      overflow: hidden;\n    }\n  ";
  }
  function tabIndex() {
    return "\n    outline: none !important;\n  ";
  }
  function svg() {
    return "\n    overflow: hidden;\n  ";
  }
  function ie10FixHidden() {
    return "\n    display: none !important;\n  ";
  }
  function webkitFileUploadButton() {
    return "\n    font: inherit;\n    -webkit-appearance: button;\n  ";
  }
  var _default = {
    html: html,
    boxSizing: boxSizing,
    ie10FixViewport: ie10FixViewport,
    body: body,
    bodyUtils: bodyUtils,
    tabIndex: tabIndex,
    svg: svg,
    ie10FixHidden: ie10FixHidden,
    getGlobalStyles: getGlobalStyles,
    getGlobalStyleNoBootstrapProvider: getGlobalStyleNoBootstrapProvider,
    webkitFileUploadButton: webkitFileUploadButton
  };
  exports.default = _default;
  });
  unwrapExports(reboot$1);
  var reboot_1$1 = reboot$1.getGlobalStyles;
  var reboot_2$1 = reboot$1.getGlobalStyleNoBootstrapProvider;
  var reboot_3$1 = reboot$1.html;
  var reboot_4$1 = reboot$1.boxSizing;
  var reboot_5$1 = reboot$1.ie10FixViewport;
  var reboot_6$1 = reboot$1.body;
  var reboot_7$1 = reboot$1.bodyUtils;
  var reboot_8$1 = reboot$1.tabIndex;
  var reboot_9$1 = reboot$1.svg;
  var reboot_10$1 = reboot$1.ie10FixHidden;
  var reboot_11$1 = reboot$1.webkitFileUploadButton;
  var reboot_12$1 = reboot$1.defaultProps;

  var screenReader = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.srOnly = srOnly;
  exports.srOnlyFocusable = srOnlyFocusable;
  exports.default = void 0;
  function srOnly() {
    return "\n    position: absolute !important;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0,0,0,0);\n    border: 0;\n  ";
  }
  function srOnlyFocusable() {
    return "\n    &:active,\n    &:focus {\n      position: static;\n      width: auto;\n      height: auto;\n      margin: 0;\n      overflow: visible;\n      clip: auto;\n    }\n  ";
  }
  var _default = {
    srOnly: srOnly,
    srOnlyFocusable: srOnlyFocusable
  };
  exports.default = _default;
  });
  unwrapExports(screenReader);
  var screenReader_1 = screenReader.srOnly;
  var screenReader_2 = screenReader.srOnlyFocusable;

  var screenreaders = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getScreenReadersUtilities = getScreenReadersUtilities;
  exports.default = void 0;
  function getScreenReadersUtilities() {
    return "\n    .sr-only {\n      ".concat((0, screenReader.srOnly)(), "\n    }\n    \n    .sr-only-focusable {\n      ").concat((0, screenReader.srOnlyFocusable)(), "\n    }\n  ");
  }
  var _default = {
    getScreenReadersUtilities: getScreenReadersUtilities
  };
  exports.default = _default;
  });
  unwrapExports(screenreaders);
  var screenreaders_1 = screenreaders.getScreenReadersUtilities;

  var sizing = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getSizingUtilities = getSizingUtilities;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    $sizes: {
      25: '25%',
      50: '50%',
      75: '75%',
      100: '100%'
    }
  };
  exports.defaultProps = defaultProps;
  function getSizingUtilities() {
    var sizes = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$sizes'];
    var abbrev = {
      width: 'w',
      height: 'h'
    };
    var sizingList = [];
    Object.keys(abbrev).forEach(function (cssProp) {
      Object.keys(sizes).forEach(function (size) {
        sizingList.push("\n        .".concat(abbrev[cssProp], "-").concat(size, " { ").concat(cssProp, ": ").concat(sizes[size], " !important; }\n      "));
      });
    });
    return "\n    ".concat(sizingList.join('\n'), "\n    .mw-100 { max-width: 100% !important; }\n    .mh-100 { max-height: 100% !important; }\n  ");
  }
  var _default = {
    defaultProps: defaultProps,
    getSizingUtilities: getSizingUtilities
  };
  exports.default = _default;
  });
  unwrapExports(sizing);
  var sizing_1 = sizing.getSizingUtilities;
  var sizing_2 = sizing.defaultProps;

  var spacing = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getSpacingUtilities = getSpacingUtilities;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$grid-breakpoints': {
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    },
    '$spacers': {
      0: {
        x: 0,
        y: 0
      },
      1: {
        x: '0.25rem',
        y: '0.25rem'
      },
      2: {
        x: '0.5rem',
        y: '0.5rem'
      },
      3: {
        x: '1rem',
        y: '1rem'
      },
      4: {
        x: '1.5rem',
        y: '1.5rem'
      },
      5: {
        x: '3rem',
        y: '3rem'
      }
    }
  };
  exports.defaultProps = defaultProps;
  function getSpacingUtilities()
  {
    var gridBreakpoints = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$grid-breakpoints'];
    var spacers = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$spacers'];
    var abbrevs = {
      margin: 'm',
      padding: 'p'
    };
    var spacingUtilityList = [];
    var infixList = [];
    Object.keys(gridBreakpoints).forEach(function (breakpoint) {
      var infix = (0, breakpoints.breakpointInfix)(breakpoint, gridBreakpoints);
      infixList.push(infix);
      Object.keys(abbrevs).forEach(function (prop) {
        var abbrev = abbrevs[prop];
        Object.keys(spacers).forEach(function (size) {
          var lengths = spacers[size];
          spacingUtilityList.push((0, breakpoints.mediaBreakpointUp)(breakpoint, gridBreakpoints, "\n          .".concat(abbrev).concat(infix, "-").concat(size, " { ").concat(prop, ":        ").concat(lengths.y, " ").concat(lengths.x, " !important; } /* a = All sides */\n          .").concat(abbrev, "t").concat(infix, "-").concat(size, " { ").concat(prop, "-top:    ").concat(lengths.y, " !important; }\n          .").concat(abbrev, "r").concat(infix, "-").concat(size, " { ").concat(prop, "-right:  ").concat(lengths.x, " !important; }\n          .").concat(abbrev, "b").concat(infix, "-").concat(size, " { ").concat(prop, "-bottom: ").concat(lengths.y, " !important; }\n          .").concat(abbrev, "l").concat(infix, "-").concat(size, " { ").concat(prop, "-left:   ").concat(lengths.x, " !important; }\n          .").concat(abbrev, "x").concat(infix, "-").concat(size, " {\n            ").concat(prop, "-right:  ").concat(lengths.x, " !important;\n            ").concat(prop, "-left:   ").concat(lengths.x, " !important;\n          }\n          .").concat(abbrev, "y").concat(infix, "-").concat(size, " {\n            ").concat(prop, "-top:    ").concat(lengths.y, " !important;\n            ").concat(prop, "-bottom: ").concat(lengths.y, " !important;\n          }\n        ")));
        });
      });
    });
    var infixUtilityList = infixList.map(function (infix) {
      return "\n    .m".concat(infix, "-auto  { margin:        auto !important; }\n    .mt").concat(infix, "-auto { margin-top:    auto !important; }\n    .mr").concat(infix, "-auto { margin-right:  auto !important; }\n    .mb").concat(infix, "-auto { margin-bottom: auto !important; }\n    .ml").concat(infix, "-auto { margin-left:   auto !important; }\n    .mx").concat(infix, "-auto {\n      margin-right: auto !important;\n      margin-left:  auto !important;\n    }\n    .my").concat(infix, "-auto {\n      margin-top:    auto !important;\n      margin-bottom: auto !important;\n    }\n  ");
    });
    return "\n    ".concat(infixUtilityList.join('\n'), "\n    ").concat(spacingUtilityList.join('\n'), "\n  ");
  }
  var _default = {
    defaultProps: defaultProps,
    getSpacingUtilities: getSpacingUtilities
  };
  exports.default = _default;
  });
  unwrapExports(spacing);
  var spacing_1 = spacing.getSpacingUtilities;
  var spacing_2 = spacing.defaultProps;

  var textTruncate_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.textTruncate = textTruncate;
  exports.default = void 0;
  function textTruncate() {
    return "\n    overflow: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n  ";
  }
  var _default = {
    textTruncate: textTruncate
  };
  exports.default = _default;
  });
  unwrapExports(textTruncate_1);
  var textTruncate_2 = textTruncate_1.textTruncate;

  var textHide_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.textHide = textHide;
  exports.default = void 0;
  function textHide() {
    return "\n    font: 0/0 a;\n    color: transparent;\n    text-shadow: none;\n    background-color: transparent;\n    border: 0;\n  ";
  }
  var _default = {
    textHide: textHide
  };
  exports.default = _default;
  });
  unwrapExports(textHide_1);
  var textHide_2 = textHide_1.textHide;

  var textEmphasis = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.textEmphasisVariant = textEmphasisVariant;
  exports.default = exports.defaultProps = void 0;
  var _color = _interopRequireDefault(ColorWrapper$1);
  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
  var defaultProps = {
    '$enable-hover-media-query': false
  };
  exports.defaultProps = defaultProps;
  function textEmphasisVariant() {
    var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
    var parent = arguments.length > 1 ? arguments[1] : undefined;
    var textColor = arguments.length > 2 ? arguments[2] : undefined;
    return "\n  ".concat(parent, " {\n    color: ").concat(textColor, " !important;\n  }\n  a").concat(parent, " {\n  ").concat((0, hover_1.hoverFocus)(enableHoverMediaQuery, "color: ".concat((0, _color.default)(textColor).darken(0.20).rgb(), " !important;")), "\n  }\n");
  }
  var _default = {
    defaultProps: defaultProps,
    textEmphasisVariant: textEmphasisVariant
  };
  exports.default = _default;
  });
  unwrapExports(textEmphasis);
  var textEmphasis_1 = textEmphasis.textEmphasisVariant;
  var textEmphasis_2 = textEmphasis.defaultProps;

  var text = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getTextUtilities = getTextUtilities;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$grid-breakpoints': {
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    },
    '$enable-hover-media-query': false,
    '$font-weight-normal': 'normal',
    '$font-weight-bold': 'bold',
    '$text-muted': '#818a91',
    '$brand-primary': '#0275d8',
    '$brand-success': '#5cb85c',
    '$brand-info': '#5bc0de',
    '$brand-warning': '#f0ad4e',
    '$brand-danger': '#d9534f',
    '$gray-dark': '#373a3c'
  };
  exports.defaultProps = defaultProps;
  function getTextUtilities() {
    var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
    var gridBreakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$grid-breakpoints'];
    var fontWeightNormal = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps['$font-weight-normal'];
    var fontWeightBold = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps['$font-weight-bold'];
    var textMuted = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps['$text-muted'];
    var brandPrimary = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps['$brand-primary'];
    var brandSuccess = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps['$brand-success'];
    var brandInfo = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps['$brand-info'];
    var brandWarning = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultProps['$brand-warning'];
    var brandDanger = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : defaultProps['$brand-danger'];
    var grayDark = arguments.length > 10 && arguments[10] !== undefined ? arguments[10] : defaultProps['$gray-dark'];
    var responseAlignmentList = [];
    Object.keys(gridBreakpoints).forEach(function (bp) {
      var infix = (0, breakpoints.breakpointInfix)(bp, gridBreakpoints);
      var responsiveAlignement = (0, breakpoints.mediaBreakpointUp)(bp, gridBreakpoints, "\n      .text".concat(infix, "-left { text-align: left !important; }\n      .text").concat(infix, "-right  { text-align: right !important; }\n      .text").concat(infix, "-center { text-align: center !important; }\n    "));
      responseAlignmentList.push(responsiveAlignement);
    });
    return "\n    /* Text */\n\n    /* Alignment */\n\n    .text-justify        { text-align: justify !important; }\n    .text-nowrap         { white-space: nowrap !important; }\n    .text-truncate       { ".concat((0, textTruncate_1.textTruncate)(), " }\n\n    /* Responsive alignment */\n\n    ").concat(responseAlignmentList.join('\n'), "\n\n    /* Transformation */\n\n    .text-lowercase      { text-transform: lowercase !important; }\n    .text-uppercase      { text-transform: uppercase !important; }\n    .text-capitalize     { text-transform: capitalize !important; }\n\n    /* Weight and italics */\n\n    .font-weight-normal  { font-weight: ").concat(fontWeightNormal, "; }\n    .font-weight-bold    { font-weight: ").concat(fontWeightBold, "; }\n    .font-italic         { font-style: italic; }\n\n    /* Contextual colors */\n\n    .text-white {\n      color: #fff !important;\n    }\n\n    ").concat((0, textEmphasis.textEmphasisVariant)(enableHoverMediaQuery, '.text-muted', textMuted), "\n\n    ").concat((0, textEmphasis.textEmphasisVariant)(enableHoverMediaQuery, '.text-primary', brandPrimary), "\n\n    ").concat((0, textEmphasis.textEmphasisVariant)(enableHoverMediaQuery, '.text-success', brandSuccess), "\n\n    ").concat((0, textEmphasis.textEmphasisVariant)(enableHoverMediaQuery, '.text-info', brandInfo), "\n\n    ").concat((0, textEmphasis.textEmphasisVariant)(enableHoverMediaQuery, '.text-warning', brandWarning), "\n\n    ").concat((0, textEmphasis.textEmphasisVariant)(enableHoverMediaQuery, '.text-danger', brandDanger), "\n\n    /* Font color */\n\n    ").concat((0, textEmphasis.textEmphasisVariant)(enableHoverMediaQuery, '.text-gray-dark', grayDark), "\n\n    /* Misc */\n\n    .text-hide {\n      ").concat((0, textHide_1.textHide)(), "\n    }\n\n  ");
  }
  var _default = {
    defaultProps: defaultProps,
    getTextUtilities: getTextUtilities
  };
  exports.default = _default;
  });
  unwrapExports(text);
  var text_1 = text.getTextUtilities;
  var text_2 = text.defaultProps;

  var parseTransition_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = void 0;
  var parseTransition = function parseTransition(transitions) {
    if (!transitions) {
      return [];
    }
    var sample = transitions;
    var RULE_DELIMITER = ',';
    var PROPERTY_DELIMITER = ' ';
    var MS_UNIT = 'ms';
    var TMP_STR = 'TMP';
    var DEFAULT_PROPERTY = 'all';
    var DEFAULT_DURATION = 0;
    var DEFAULT_TIMING_FUNCTION = 'ease';
    var DEFAULT_DELAY = 0;
    var BEZIER_REGEX = /cubic-bezier\([^\)]+\)/gi;
    var cubicBezierList = transitions.match(BEZIER_REGEX);
    if (cubicBezierList) {
      sample = sample.replace(BEZIER_REGEX, TMP_STR);
    }
    var transitionList = sample.split(RULE_DELIMITER).map(function (rule) {
      var properties = rule.trim().split(PROPERTY_DELIMITER);
      return {
        property: properties[0] || DEFAULT_PROPERTY,
        duration: properties[1] && !(properties[1].indexOf(MS_UNIT) !== -1) ? parseFloat(properties[1]) * 1000 : parseFloat(properties[1]) || DEFAULT_DURATION,
        timingFunction: properties[2] && properties[2] !== TMP_STR ? properties[2] : cubicBezierList ? cubicBezierList.shift() : DEFAULT_TIMING_FUNCTION,
        delay: properties[3] && !(properties[3].indexOf(MS_UNIT) !== -1) ? parseFloat(properties[3]) * 1000 : parseFloat(properties[3]) || DEFAULT_DELAY
      };
    });
    return transitionList;
  };
  var _default = parseTransition;
  exports.default = _default;
  module.exports = exports.default;
  });
  unwrapExports(parseTransition_1);

  var transition_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.transition = transition;
  exports.default = exports.defaultProps = void 0;
  var defaultProps = {
    '$enable-transitions': true
  };
  exports.defaultProps = defaultProps;
  function transition() {
    var enableTransitions = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-transitions'];
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }
    if (enableTransitions && args.length) {
      return "\n      transition: ".concat(args.join(' '), ";\n    ");
    }
    return '';
  }
  var _default = {
    transition: transition
  };
  exports.default = _default;
  });
  unwrapExports(transition_1);
  var transition_2 = transition_1.transition;
  var transition_3 = transition_1.defaultProps;

  var transition$1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getTransitionUtilities = getTransitionUtilities;
  exports.fade = fade;
  exports.collapse = collapse;
  exports.getReactTransition = getReactTransition;
  exports.default = exports.defaultProps = void 0;
  var _parseTransition = _interopRequireDefault(parseTransition_1);
  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
  var defaultProps = {
    '$enable-transitions': true,
    '$transition-fade': 'opacity .15s linear',
    '$transition-collapse': 'height .35s ease'
  };
  exports.defaultProps = defaultProps;
  function getTransitionUtilities() {
    var enableTransitions = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-transitions'];
    var transitionFade = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$transition-fade'];
    var transitionCollapse = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps['$transition-collapse'];
    return "\n    ".concat(fade(enableTransitions, transitionFade), "\n    ").concat(collapse(enableTransitions, transitionCollapse), "\n  ");
  }
  function fade() {
    var enableTransitions = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-transitions'];
    var transitionFade = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$transition-fade'];
    return "\n    .fade,\n     &.fade {\n      opacity: 0;\n      ".concat((0, transition_1.transition)(enableTransitions, transitionFade), "\n    \n      &.show {\n        opacity: 1;\n      }\n    }\n  ");
  }
  function collapse() {
    var enableTransitions = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-transitions'];
    var transitionCollapse = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps['$transition-collapse'];
    return "\n    .collapse {\n      display: none;\n      &.show {\n        display: block;\n      }\n    }\n    \n    tr {\n      &.collapse.show {\n        display: table-row;\n      }\n    }\n    \n    tbody {\n      &.collapse.show {\n        display: table-row-group;\n      }\n    }\n    \n    .collapsing {\n      position: relative;\n      height: 0;\n      overflow: hidden;\n      ".concat((0, transition_1.transition)(enableTransitions, transitionCollapse), "\n    }\n  ");
  }
  function getReactTransition(enableTransition, transition) {
    var transitionList = (0, _parseTransition.default)(transition);
    var _transitionList$ = transitionList[0],
        property = _transitionList$.property,
        duration = _transitionList$.duration,
        timingFunction = _transitionList$.timingFunction,
        delay = _transitionList$.delay;
    return (0, transition_1.transition)(enableTransition, "".concat(property, " ").concat(duration, "ms ").concat(timingFunction, " ").concat(delay, "ms"));
  }
  var _default = {
    defaultProps: defaultProps,
    getTransitionUtilities: getTransitionUtilities,
    getReactTransition: getReactTransition,
    fade: fade,
    collapse: collapse
  };
  exports.default = _default;
  });
  unwrapExports(transition$1);
  var transition_1$1 = transition$1.getTransitionUtilities;
  var transition_2$1 = transition$1.fade;
  var transition_3$1 = transition$1.collapse;
  var transition_4 = transition$1.getReactTransition;
  var transition_5 = transition$1.defaultProps;

  var visibility = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.invisible = invisible;
  exports.default = void 0;
  function invisible(visibility) {
    return "\n    visibility: ".concat(visibility, " !important;\n  ");
  }
  var _default = {
    invisible: invisible
  };
  exports.default = _default;
  });
  unwrapExports(visibility);
  var visibility_1 = visibility.invisible;

  var visibility$2 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getVisibilityUtilities = getVisibilityUtilities;
  exports.default = void 0;
  function getVisibilityUtilities() {
    return "\n    .visible {\n      ".concat((0, visibility.invisible)('visible'), "\n    }\n    \n    .invisible {\n      ").concat((0, visibility.invisible)('hidden'), "\n    }\n   \n  ");
  }
  var _default = {
    getVisibilityUtilities: getVisibilityUtilities
  };
  exports.default = _default;
  });
  unwrapExports(visibility$2);
  var visibility_1$1 = visibility$2.getVisibilityUtilities;

  var utils = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.allowFalseValue = allowFalseValue;
  exports.assertAscending = assertAscending;
  exports.assertStartAtZero = assertStartAtZero;
  exports.comparable = comparable;
  exports.default = void 0;
  var _unitUtils = _interopRequireDefault(unitUtils$2);
  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
  function allowFalseValue(userValue, defaultValue) {
    return userValue === false ? userValue : userValue || defaultValue;
  }
  function assertAscending(map, mapName) {
    var prevKey;
    var prevNum;
    var asserted = true;
    Object.keys(map).forEach(function (key) {
      var num = map[key];
      if (prevNum == null) ; else if (!comparable(_unitUtils.default.rmUnit(prevNum), _unitUtils.default.rmUnit(num))) {
        {
          console.warn("Potentially invalid value for ".concat(mapName, ": This map must be in ascending order, but key '").concat(key, "' has value ").concat(num, " whose unit makes it incomparable to ").concat(prevNum, ", the value of the previous key '").concat(prevKey, "' !"));
        }
        asserted = false;
      } else if (_unitUtils.default.rmUnit(prevNum) >= _unitUtils.default.rmUnit(num)) {
        {
          console.warn("Invalid value for ".concat(mapName, ": This map must be in ascending order, but key '").concat(key, "' has value ").concat(num, " which isn't greater than ").concat(prevNum, ", the value of the previous key '").concat(prevKey, "' !"));
        }
        asserted = false;
      }
      prevKey = key;
      prevNum = num;
    });
    return asserted;
  }
  function assertStartAtZero(map) {
    var values = Object.keys(map).map(function (key) {
      return map[key];
    });
    var firstValue = _unitUtils.default.rmUnit(values[0]);
    var asserted = true;
    if (firstValue !== 0) {
      {
        console.warn("First breakpoint in $grid-breakpoints must start at 0, but starts at ".concat(firstValue, "."));
      }
      asserted = false;
    }
    return asserted;
  }
  function comparable(a, b) {
    return !isNaN(a + b);
  }
  var _default = {
    assertAscending: assertAscending,
    assertStartAtZero: assertStartAtZero,
    comparable: comparable
  };
  exports.default = _default;
  });
  unwrapExports(utils);
  var utils_1 = utils.allowFalseValue;
  var utils_2 = utils.assertAscending;
  var utils_3 = utils.assertStartAtZero;
  var utils_4 = utils.comparable;

  var theme = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = exports.makeTheme = void 0;
  var _color = _interopRequireDefault(ColorWrapper$1);
  var _unitUtils = _interopRequireDefault(unitUtils$2);
  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
  var detectUnit = _unitUtils.default.detectUnit,
      rmUnit = _unitUtils.default.rmUnit;
  function makeOriginal() {
    var userTheme = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    var v = {};
    var u = userTheme;
    var detectedUnit;
    v._name = u._name || 'bootstrap-styled';
    v['$white'] = u['$white'] || '#fff';
    v['$black'] = u['$black'] || '#000';
    v['$red'] = u['$red'] || '#d9534f';
    v['$orange'] = u['$orange'] || '#f0ad4e';
    v['$yellow'] = u['$yellow'] || '#ffd500';
    v['$green'] = u['$green'] || '#5cb85c';
    v['$blue'] = u['$blue'] || '#0275d8';
    v['$teal'] = u['$teal'] || '#5bc0de';
    v['$pink'] = u['$pink'] || '#ff5b77';
    v['$purple'] = u['$purple'] || '#613d7c';
    v['$gray-dark'] = u['$gray-dark'] || '#292b2c';
    v['$gray'] = u['$gray'] || '#464a4c';
    v['$gray-light'] = u['$gray-light'] || '#636c72';
    v['$gray-lighter'] = u['$gray-lighter'] || '#eceeef';
    v['$gray-lightest'] = u['$gray-lightest'] || '#f7f7f9';
    v['$brand-primary'] = u['$brand-primary'] || v['$blue'];
    v['$brand-success'] = u['$brand-success'] || v['$green'];
    v['$brand-info'] = u['$brand-info'] || v['$teal'];
    v['$brand-warning'] = u['$brand-warning'] || v['$orange'];
    v['$brand-danger'] = u['$brand-danger'] || v['$red'];
    v['$brand-inverse'] = u['$brand-inverse'] || v['$gray-dark'];
    v['$enable-rounded'] = (0, utils.allowFalseValue)(u['$enable-rounded'], true);
    v['$enable-shadows'] = (0, utils.allowFalseValue)(u['$enable-shadows'], false);
    v['$enable-gradients'] = (0, utils.allowFalseValue)(u['$enable-gradients'], false);
    v['$enable-transitions'] = (0, utils.allowFalseValue)(u['$enable-transitions'], true);
    v['$enable-hover-media-query'] = (0, utils.allowFalseValue)(u['$enable-hover-media-query'], false);
    v['$enable-grid-classes'] = (0, utils.allowFalseValue)(u['$enable-grid-classes'], true);
    v['$enable-print-styles'] = (0, utils.allowFalseValue)(u['$enable-print-styles'], true);
    v['$spacer'] = u['$spacer'] || '1rem';
    detectedUnit = detectUnit(v['$spacer']);
    v['$spacer-halved'] = u['$spacer-halved'] || rmUnit(v['$spacer'], detectedUnit) / 2 + detectedUnit;
    v['$spacer-x'] = u['$spacer-x'] || v['$spacer'];
    v['$spacer-y'] = u['$spacer-y'] || v['$spacer'];
    v['$spacers'] = u['$spacers'] || {
      0: {
        x: 0,
        y: 0
      },
      1: {
        x: rmUnit(v['$spacer-x']) * 0.25 + detectedUnit,
        y: rmUnit(v['$spacer-y']) * 0.25 + detectedUnit
      },
      2: {
        x: rmUnit(v['$spacer-x']) * 0.5 + detectedUnit,
        y: rmUnit(v['$spacer-y']) * 0.5 + detectedUnit
      },
      3: {
        x: v['$spacer-x'],
        y: v['$spacer-y']
      },
      4: {
        x: rmUnit(v['$spacer-x']) * 1.5 + detectedUnit,
        y: rmUnit(v['$spacer-y']) * 1.5 + detectedUnit
      },
      5: {
        x: rmUnit(v['$spacer-x']) * 3 + detectedUnit,
        y: rmUnit(v['$spacer-y']) * 3 + detectedUnit
      }
    };
    v['$border-width'] = u['$border-width'] || '1px';
    v['$sizes'] = u['$sizes'] || {
      25: '25%',
      50: '50%',
      75: '75%',
      100: '100%'
    };
    v['$body-bg'] = u['$body-bg'] || v['$white'];
    v['$body-color'] = u['$body-color'] || v['$gray-dark'];
    v['$link-color'] = u['$link-color'] || v['$brand-primary'];
    v['$link-decoration'] = u['$link-decoration'] || 'none';
    v['$link-hover-color'] = u['$link-hover-color'] || (0, _color.default)(v['$link-color']).darken(0.35).toString();
    v['$link-hover-decoration'] = u['$link-hover-decoration'] || 'underline';
    v['$grid-breakpoints'] = u['$grid-breakpoints'] || {
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px',
      xxl: '1452px'
    };
    (0, utils.assertAscending)(v['$grid-breakpoints'], '$grid-breakpoints');
    (0, utils.assertStartAtZero)(v['$grid-breakpoints']);
    v['$container-max-widths'] = u['$container-max-widths'] || {
      sm: '540px',
      md: '720px',
      lg: '960px',
      xl: '1140px'
    };
    (0, utils.assertAscending)(v['$container-max-widths'], '$container-max-widths');
    v['$grid-columns'] = u['$grid-columns'] || '12';
    v['$grid-gutter-width-base'] = u['$grid-gutter-width-base'] || '30px';
    v['$grid-gutter-widths'] = u['$grid-gutter-widths'] || {
      xs: v['$grid-gutter-width-base'],
      sm: v['$grid-gutter-width-base'],
      md: v['$grid-gutter-width-base'],
      lg: v['$grid-gutter-width-base'],
      xl: v['$grid-gutter-width-base']
    };
    v['$font-family-sans-serif'] = u['$font-family-sans-serif'] || '-apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif';
    v['$font-family-monospace'] = u['$font-family-monospace'] || 'Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace';
    v['$font-family-base'] = u['$font-family-base'] || v['$font-family-sans-serif'];
    v['$font-size-base'] = u['$font-size-base'] || '1rem';
    v['$font-size-lg'] = u['$font-size-lg'] || '1.25rem';
    v['$font-size-sm'] = u['$font-size-sm'] || '.875rem';
    v['$font-size-xs'] = u['$font-size-xs'] || '.75rem';
    v['$font-weight-normal'] = u['$font-weight-normal'] || 'normal';
    v['$font-weight-bold'] = u['$font-weight-bold'] || 'bold';
    v['$font-weight-base'] = u['$font-weight-base'] || v['$font-weight-normal'];
    v['$line-height-base'] = u['$line-height-base'] || '1.5';
    v['$font-size-h1'] = u['$font-size-h1'] || '2.5rem';
    v['$font-size-h2'] = u['$font-size-h2'] || '2rem';
    v['$font-size-h3'] = u['$font-size-h3'] || '1.75rem';
    v['$font-size-h4'] = u['$font-size-h4'] || '1.5rem';
    v['$font-size-h5'] = u['$font-size-h5'] || '1.25rem';
    v['$font-size-h6'] = u['$font-size-h6'] || '1rem';
    detectedUnit = detectUnit(v['$spacer']);
    v['$headings-margin-bottom'] = u['$headings-margin-bottom'] || rmUnit(v['$spacer'], detectedUnit) / 2 + detectedUnit;
    v['$headings-font-family'] = u['$headings-font-family'] || 'inherit';
    v['$headings-font-weight'] = u['$headings-font-weight'] || '500';
    v['$headings-line-height'] = u['$headings-line-height'] || '1.1';
    v['$headings-color'] = u['$headings-color'] || 'inherit';
    v['$display1-size'] = u['$display1-size'] || '6rem';
    v['$display2-size'] = u['$display2-size'] || '5.5rem';
    v['$display3-size'] = u['$display3-size'] || '4.5rem';
    v['$display4-size'] = u['$display4-size'] || '3.5rem';
    v['$display1-weight'] = u['$display1-weight'] || '300';
    v['$display2-weight'] = u['$display2-weight'] || '300';
    v['$display3-weight'] = u['$display3-weight'] || '300';
    v['$display4-weight'] = u['$display4-weight'] || '300';
    v['$display-line-height'] = u['$display-line-height'] || v['$headings-line-height'];
    v['$lead-font-size'] = u['$lead-font-size'] || '1.25rem';
    v['$lead-font-weight'] = u['$lead-font-weight'] || '300';
    v['$small-font-size'] = u['$small-font-size'] || '80%';
    v['$text-muted'] = u['$text-muted'] || v['$gray-light'];
    v['$blockquote-small-color'] = u['$blockquote-small-color'] || v['$gray-light'];
    detectedUnit = detectUnit(v['$font-size-base']);
    v['$blockquote-font-size'] = u['$blockquote-font-size'] || rmUnit(v['$font-size-base'], detectedUnit) * 1.25 + detectedUnit;
    v['$blockquote-border-color'] = u['$blockquote-border-color'] || v['$gray-lighter'];
    v['$blockquote-border-width'] = u['$blockquote-border-width'] || '.25rem';
    v['$hr-border-color'] = u['$hr-border-color'] || (0, _color.default)(v['$black']).alpha(0.1).toString();
    v['$hr-border-width'] = u['$hr-border-width'] || v['$border-width'];
    v['$mark-padding'] = u['$mark-padding'] || '.2em';
    v['$dt-font-weight'] = u['$dt-font-weight'] || v['$font-weight-bold'];
    v['$list-inline-padding'] = u['$list-inline-padding'] || '5px';
    v['$line-height-lg'] = u['$line-height-lg'] || '1.6';
    v['$line-height-sm'] = u['$line-height-sm'] || '1.3';
    v['$border-radius'] = u['$border-radius'] || '.25rem';
    v['$border-radius-lg'] = u['$border-radius-lg'] || '.3rem';
    v['$border-radius-sm'] = u['$border-radius-sm'] || '.2rem';
    v['$component-active-color'] = u['$component-active-color'] || v['$white'];
    v['$component-active-bg'] = u['$component-active-bg'] || v['$brand-primary'];
    v['$caret-width'] = u['$caret-width'] || '.3em';
    v['$transition-base'] = u['$transition-base'] || 'all .2s ease-in-out';
    v['$transition-fade'] = u['$transition-fade'] || 'opacity .15s linear';
    v['$transition-collapse'] = u['$transition-collapse'] || 'height .35s ease';
    v['$table-cell-padding'] = u['$table-cell-padding'] || '.75rem';
    v['$table-sm-cell-padding'] = u['$table-sm-cell-padding'] || '.3rem';
    v['$table-bg'] = u['$table-bg'] || 'transparent';
    v['$table-inverse-bg'] = u['$table-inverse-bg'] || v['$gray-dark'];
    v['$table-inverse-bg-accent'] = u['$table-inverse-bg-accent'] || (0, _color.default)(v['$white']).alpha(0.05).toString();
    v['$table-inverse-bg-hover'] = u['$table-inverse-bg-hover'] || (0, _color.default)(v['$white']).alpha(0.075).toString();
    v['$table-inverse-color'] = u['$table-inverse-color'] || v['$body-bg'];
    v['$table-inverse-border'] = u['$table-inverse-border'] || (0, _color.default)(v['$gray-dark']).lighten(0.075).toString();
    v['$table-bg-accent'] = u['$table-bg-accent'] || (0, _color.default)(v['$black']).alpha(0.05).toString();
    v['$table-bg-hover'] = u['$table-bg-hover'] || (0, _color.default)(v['$black']).alpha(0.075).toString();
    v['$table-bg-active'] = u['$table-bg-active'] || v['$table-bg-hover'];
    v['$table-head-bg'] = u['$table-head-bg'] || v['$gray-lighter'];
    v['$table-head-color'] = u['$table-head-color'] || v['$gray'];
    v['$table-border-width'] = u['$table-border-width'] || v['$border-width'];
    v['$table-border-color'] = u['$table-border-color'] || v['$gray-lighter'];
    v['$btn-padding-x'] = u['$btn-padding-x'] || '1rem';
    v['$btn-padding-y'] = u['$btn-padding-y'] || '.5rem';
    v['$btn-line-height'] = u['$btn-line-height'] || '1.25';
    v['$btn-font-weight'] = u['$btn-font-weight'] || v['$font-weight-normal'];
    v['$btn-box-shadow'] = u['$btn-box-shadow'] || "inset 0 1px 0 ".concat((0, _color.default)(v['$white']).alpha(0.15).toString(), ", 0 1px 1px ").concat((0, _color.default)(v['$black']).alpha(0.075).toString());
    v['$btn-focus-box-shadow'] = u['$btn-focus-box-shadow'] || "0 0 0 2px ".concat((0, _color.default)(v['$brand-primary']).alpha(0.25).toString());
    v['$btn-active-box-shadow'] = u['$btn-active-box-shadow'] || "inset 0 3px 5px ".concat((0, _color.default)(v['$black']).alpha(0.125).toString());
    v['$btn-primary-color'] = u['$btn-primary-color'] || v['$white'];
    v['$btn-primary-bg'] = u['$btn-primary-bg'] || v['$brand-primary'];
    v['$btn-primary-border'] = u['$btn-primary-border'] || v['$btn-primary-bg'];
    v['$btn-secondary-color'] = u['$btn-secondary-color'] || v['$gray-dark'];
    v['$btn-secondary-bg'] = u['$btn-secondary-bg'] || v['$white'];
    v['$btn-secondary-border'] = u['$btn-secondary-border'] || '#ccc';
    v['$btn-info-color'] = u['$btn-info-color'] || v['$white'];
    v['$btn-info-bg'] = u['$btn-info-bg'] || v['$brand-info'];
    v['$btn-info-border'] = u['$btn-info-border'] || v['$btn-info-bg'];
    v['$btn-success-color'] = u['$btn-success-color'] || v['$white'];
    v['$btn-success-bg'] = u['$btn-success-bg'] || v['$brand-success'];
    v['$btn-success-border'] = u['$btn-success-border'] || v['$btn-success-bg'];
    v['$btn-warning-color'] = u['$btn-warning-color'] || v['$white'];
    v['$btn-warning-bg'] = u['$btn-warning-bg'] || v['$brand-warning'];
    v['$btn-warning-border'] = u['$btn-warning-border'] || v['$btn-warning-bg'];
    v['$btn-danger-color'] = u['$btn-danger-color'] || v['$white'];
    v['$btn-danger-bg'] = u['$btn-danger-bg'] || v['$brand-danger'];
    v['$btn-danger-border'] = u['$btn-danger-border'] || v['$btn-danger-bg'];
    v['$btn-link-disabled-color'] = u['$btn-link-disabled-color'] || v['$gray-light'];
    v['$btn-padding-x-sm'] = u['$btn-padding-x-sm'] || '.5rem';
    v['$btn-padding-y-sm'] = u['$btn-padding-y-sm'] || '.25rem';
    v['$btn-padding-x-lg'] = u['$btn-padding-x-lg'] || '1.5rem';
    v['$btn-padding-y-lg'] = u['$btn-padding-y-lg'] || '.75rem';
    v['$btn-block-spacing-y'] = u['$btn-block-spacing-y'] || '.5rem';
    v['$btn-border-radius'] = u['$btn-border-radius'] || v['$border-radius'];
    v['$btn-border-radius-lg'] = u['$btn-border-radius-lg'] || v['$border-radius-lg'];
    v['$btn-border-radius-sm'] = u['$btn-border-radius-sm'] || v['$border-radius-sm'];
    v['$btn-transition'] = u['$btn-transition'] || v['$transition-base'];
    v['$input-padding-x'] = u['$input-padding-x'] || '.75rem';
    v['$input-padding-y'] = u['$input-padding-y'] || '.5rem';
    v['$input-line-height'] = u['$input-line-height'] || '1.25';
    v['$input-bg'] = u['$input-bg'] || v['$white'];
    v['$input-bg-disabled'] = u['$input-bg-disabled'] || v['$gray-lighter'];
    v['$input-color'] = u['$input-color'] || v['$gray'];
    v['$input-border-color'] = u['$input-border-color'] || (0, _color.default)(v['$black']).alpha(0.15).toString();
    v['$input-btn-border-width'] = u['$input-btn-border-width'] || v['$border-width'];
    v['$input-box-shadow'] = u['$input-box-shadow'] || "inset 0 1px 1px ".concat((0, _color.default)(v['$black']).alpha(0.075).toString());
    v['$input-border-radius'] = u['$input-border-radius'] || v['$border-radius'];
    v['$input-border-radius-lg'] = u['$input-border-radius-lg'] || v['$border-radius-lg'];
    v['$input-border-radius-sm'] = u['$input-border-radius-sm'] || v['$border-radius-sm'];
    v['$input-bg-focus'] = u['$input-bg-focus'] || v['$input-bg'];
    v['$input-border-focus'] = u['$input-border-focus'] || (0, _color.default)(v['$brand-primary']).lighten(0.25).toString();
    v['$input-box-shadow-focus'] = u['$input-box-shadow-focus'] || "".concat(v['$input-box-shadow'], ", 0 0 8px rgba(").concat(v['$input-border-focus'], ",.6)");
    v['$input-color-focus'] = u['$input-color-focus'] || v['$input-color'];
    v['$input-color-placeholder'] = u['$input-color-placeholder'] || v['$gray-light'];
    v['$input-padding-x-sm'] = u['$input-padding-x-sm'] || '.5rem';
    v['$input-padding-y-sm'] = u['$input-padding-y-sm'] || '.25rem';
    v['$input-padding-x-lg'] = u['$input-padding-x-lg'] || '1.5rem';
    v['$input-padding-y-lg'] = u['$input-padding-y-lg'] || '.75rem';
    detectedUnit = detectUnit(v['$font-size-base']);
    v['$input-height'] = u['$input-height'] || rmUnit(v['$font-size-base'], detectedUnit) * v['$line-height-base'] + rmUnit(v['$input-padding-y'], detectedUnit) * 2 + detectedUnit;
    v['$input-height-sm'] = u['$input-height-sm'] || rmUnit(v['$font-size-sm'], detectedUnit) * v['$line-height-sm'] + rmUnit(v['$input-padding-y-sm'], detectedUnit) * 2 + detectedUnit;
    v['$input-height-lg'] = u['$input-height-lg'] || rmUnit(v['$font-size-lg'], detectedUnit) * v['$line-height-lg'] + rmUnit(v['$input-padding-y-lg'], detectedUnit) * 2 + detectedUnit;
    v['$input-transition'] = u['$input-transition'] || 'border-color ease-in-out .15s, box-shadow ease-in-out .15s';
    v['$label-margin-bottom'] = u['$label-margin-bottom'] || '.5rem';
    v['$form-text-margin-top'] = u['$form-text-margin-top'] || '.25rem';
    v['$form-feedback-margin-top'] = u['$form-feedback-margin-top'] || v['$form-text-margin-top'];
    v['$form-check-margin-bottom'] = u['$form-check-margin-bottom'] || '.5rem';
    v['$form-check-input-gutter'] = u['$form-check-input-gutter'] || '1.25rem';
    v['$form-check-input-margin-y'] = u['$form-check-input-margin-y'] || '.25rem';
    v['$form-check-input-margin-x'] = u['$form-check-input-margin-x'] || '.25rem';
    v['$form-check-inline-margin-x'] = u['$form-check-inline-margin-x'] || '.75rem';
    v['$form-group-margin-bottom'] = u['$form-group-margin-bottom'] || v['$spacer-y'];
    v['$input-group-addon-bg'] = u['$input-group-addon-bg'] || v['$gray-lighter'];
    v['$input-group-addon-border-color'] = u['$input-group-addon-border-color'] || v['$input-border-color'];
    v['$cursor-disabled'] = u['$cursor-disabled'] || 'not-allowed';
    v['$custom-control-gutter'] = u['$custom-control-gutter'] || '1.5rem';
    v['$custom-control-spacer-x'] = u['$custom-control-spacer-x'] || '1rem';
    v['$custom-control-spacer-y'] = u['$custom-control-spacer-y'] || '.25rem';
    v['$custom-control-indicator-size'] = u['$custom-control-indicator-size'] || '1rem';
    v['$custom-control-indicator-bg'] = u['$custom-control-indicator-bg'] || '#ddd';
    v['$custom-control-indicator-bg-size'] = u['$custom-control-indicator-bg-size'] || '50% 50%';
    v['$custom-control-indicator-box-shadow'] = u['$custom-control-indicator-box-shadow'] || "inset 0 .25rem .25rem ".concat((0, _color.default)(v['$black']).alpha(0.1).toString());
    v['$custom-control-disabled-cursor'] = u['$custom-control-disabled-cursor'] || v['$cursor-disabled'];
    v['$custom-control-disabled-indicator-bg'] = u['$custom-control-disabled-indicator-bg'] || v['$gray-lighter'];
    v['$custom-control-disabled-description-color'] = u['$custom-control-disabled-description-color'] || v['$gray-light'];
    v['$custom-control-checked-indicator-color'] = u['$custom-control-checked-indicator-color'] || v['$white'];
    v['$custom-control-checked-indicator-bg'] = u['$custom-control-checked-indicator-bg'] || v['$brand-primary'];
    v['$custom-control-checked-indicator-box-shadow'] = u['$custom-control-checked-indicator-box-shadow'] || 'none';
    v['$custom-control-focus-indicator-box-shadow'] = u['$custom-control-focus-indicator-box-shadow'] || "0 0 0 1px ".concat(v['$body-bg'], ", 0 0 0 3px ").concat(v['$brand-primary']);
    v['$custom-control-active-indicator-color'] = u['$custom-control-active-indicator-color'] || v['$white'];
    v['$custom-control-active-indicator-bg'] = u['$custom-control-active-indicator-bg'] || (0, _color.default)(v['$brand-primary']).lighten(0.35).toString();
    v['$custom-control-active-indicator-box-shadow'] = u['$custom-control-active-indicator-box-shadow'] || 'none';
    v['$custom-checkbox-radius'] = u['$custom-checkbox-radius'] || v['$border-radius'];
    v['$custom-checkbox-checked-icon'] = u['$custom-checkbox-checked-icon'] || "url('data:image/svg+xml;charset=utf8,%3Csvg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 8 8\"%3E%3Cpath fill=\"".concat(v['$custom-control-checked-indicator-color'], "\" d=\"M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z\"/%3E%3C/svg%3E')");
    v['$custom-checkbox-indeterminate-bg'] = u['$custom-checkbox-indeterminate-bg'] || v['$brand-primary'];
    v['$custom-checkbox-indeterminate-indicator-color'] = u['$custom-checkbox-indeterminate-indicator-color'] || v['$custom-control-checked-indicator-color'];
    v['$custom-checkbox-indeterminate-icon'] = u['$custom-checkbox-indeterminate-icon'] || "url('data:image/svg+xml;charset=utf8,%3Csvg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 4 4\"%3E%3Cpath stroke=\"".concat(v['$custom-checkbox-indeterminate-indicator-color'], "\" d=\"M0 2h4\"/%3E%3C/svg%3E')");
    v['$custom-checkbox-indeterminate-box-shadow'] = u['$custom-checkbox-indeterminate-box-shadow'] || 'none';
    v['$custom-radio-radius'] = u['$custom-radio-radius'] || '50%';
    v['$custom-radio-checked-icon'] = u['$custom-radio-checked-icon'] || "url('data:image/svg+xml;charset=utf8,%3Csvg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"-4 -4 8 8\"%3E%3Ccircle r=\"3\" fill=\"".concat(v['$custom-control-checked-indicator-color'], "\"/%3E%3C/svg%3E')");
    v['$custom-select-padding-x'] = u['$custom-select-padding-x'] || '.75rem ';
    v['$custom-select-padding-y'] = u['$custom-select-padding-y'] || '.375rem';
    v['$custom-select-indicator-padding'] = u['$custom-select-indicator-padding'] || '1rem';
    v['$custom-select-line-height'] = u['$custom-select-line-height'] || v['$input-line-height'];
    v['$custom-select-color'] = u['$custom-select-color'] || v['$input-color'];
    v['$custom-select-disabled-color'] = u['$custom-select-disabled-color'] || v['$gray-light'];
    v['$custom-select-bg'] = u['$custom-select-bg'] || v['$white'];
    v['$custom-select-disabled-bg'] = u['$custom-select-disabled-bg'] || v['$gray-lighter'];
    v['$custom-select-bg-size'] = u['$custom-select-bg-size'] || '8px 10px';
    v['$custom-select-indicator-color'] = u['$custom-select-indicator-color'] || '#333';
    v['$custom-select-indicator'] = u['$custom-select-indicator'] || "url('data:image/svg+xml;charset=utf8,%3Csvg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 4 5\"%3E%3Cpath fill=\"".concat(v['$custom-select-indicator-color'], "\" d=\"M2 0L0 2h4zm0 5L0 3h4z\"/%3E%3C/svg%3E')");
    v['$custom-select-border-width'] = u['$custom-select-border-width'] || v['$input-btn-border-width'];
    v['$custom-select-border-color'] = u['$custom-select-border-color'] || v['$input-border-color'];
    v['$custom-select-border-radius'] = u['$custom-select-border-radius'] || v['$border-radius'];
    v['$custom-select-focus-border-color'] = u['$custom-select-focus-border-color'] || (0, _color.default)(v['$brand-primary']).lighten(0.25).toString();
    v['$custom-select-focus-box-shadow'] = u['$custom-select-focus-box-shadow'] || "inset 0 1px 2px ".concat((0, _color.default)(v['$black']).alpha(0.75).toString(), ", 0 0 5px rgba(").concat(v['$custom-select-focus-border-color'], ", .5)");
    v['$custom-select-sm-font-size'] = u['$custom-select-sm-font-size'] || '75%';
    v['$custom-file-height'] = u['$custom-file-height'] || '2.5rem';
    v['$custom-file-width'] = u['$custom-file-width'] || '14rem';
    v['$custom-file-focus-box-shadow'] = u['$custom-file-focus-box-shadow'] || "0 0 0 .075rem ".concat(v['$white'], ", 0 0 0 .2rem ").concat(v['$brand-primary']);
    v['$custom-file-padding-x'] = u['$custom-file-padding-x'] || '.5rem';
    v['$custom-file-padding-y'] = u['$custom-file-padding-y'] || '1rem';
    v['$custom-file-line-height'] = u['$custom-file-line-height'] || '1.5';
    v['$custom-file-color'] = u['$custom-file-color'] || v['$gray'];
    v['$custom-file-bg'] = u['$custom-file-bg'] || v['$white'];
    v['$custom-file-border-width'] = u['$custom-file-border-width'] || v['$border-width'];
    v['$custom-file-border-color'] = u['$custom-file-border-color'] || v['$input-border-color'];
    v['$custom-file-border-radius'] = u['$custom-file-border-radius'] || v['$border-radius'];
    v['$custom-file-box-shadow'] = u['$custom-file-box-shadow'] || "inset 0 .2rem .4rem ".concat((0, _color.default)(v['$black']).alpha(0.05).toString());
    v['$custom-file-button-color'] = u['$custom-file-button-color'] || v['$custom-file-color'];
    v['$custom-file-button-bg'] = u['$custom-file-button-bg'] || v['$gray-lighter'];
    v['$custom-file-text'] = u['$custom-file-text'] || {
      placeholder: {
        en: 'Choose file...'
      },
      'button-label': {
        en: 'Browse'
      }
    };
    v['$form-icon-success-color'] = u['$form-icon-success-color'] || v['$brand-success'];
    v['$form-icon-success'] = u['$form-icon-success'] || "url('data:image/svg+xml;charset=utf8,%3Csvg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 8 8\"%3E%3Cpath fill=\"".concat(v['$form-icon-success-color'], "\" d=\"M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z\"/%3E%3C/svg%3E')");
    v['$form-icon-warning-color'] = u['$form-icon-warning-color'] || v['$brand-warning'];
    v['$form-icon-warning'] = u['$form-icon-warning'] || "url('data:image/svg+xml;charset=utf8,%3Csvg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 8 8\"%3E%3Cpath fill=\"".concat(v['$form-icon-warning-color'], "\" d=\"M4.4 5.324h-.8v-2.46h.8zm0 1.42h-.8V5.89h.8zM3.76.63L.04 7.075c-.115.2.016.425.26.426h7.397c.242 0 .372-.226.258-.426C6.726 4.924 5.47 2.79 4.253.63c-.113-.174-.39-.174-.494 0z\"/%3E%3C/svg%3E')");
    v['$form-icon-danger-color'] = u['$form-icon-danger-color'] || v['$brand-danger'];
    v['$form-icon-danger'] = u['$form-icon-danger'] || "url('data:image/svg+xml;charset=utf8,%3Csvg xmlns=\"http://www.w3.org/2000/svg\" fill=\"".concat(v['$form-icon-danger-color'], "\" viewBox=\"-2 -2 7 7\"%3E%3Cpath stroke=\"%23d9534f\" d=\"M0 0l3 3m0-3L0 3\"/%3E%3Ccircle r=\".5\"/%3E%3Ccircle cx=\"3\" r=\".5\"/%3E%3Ccircle cy=\"3\" r=\".5\"/%3E%3Ccircle cx=\"3\" cy=\"3\" r=\".5\"/%3E%3C/svg%3E')");
    v['$dropdown-min-width'] = u['$dropdown-min-width'] || '10rem';
    v['$dropdown-padding-y'] = u['$dropdown-padding-y'] || '.5rem';
    v['$dropdown-margin-top'] = u['$dropdown-margin-top'] || '.125rem';
    v['$dropdown-bg'] = u['$dropdown-bg'] || v['$white'];
    v['$dropdown-border-color'] = u['$dropdown-border-color'] || (0, _color.default)(v['$black']).alpha(0.15).toString();
    v['$dropdown-border-width'] = u['$dropdown-border-width'] || v['$border-width'];
    v['$dropdown-divider-bg'] = u['$dropdown-divider-bg'] || v['$gray-lighter'];
    v['$dropdown-box-shadow'] = u['$dropdown-box-shadow'] || "0 .5rem 1rem rgba(".concat(v['$black'], ",.175)");
    v['$dropdown-link-color'] = u['$dropdown-link-color'] || v['$gray-dark'];
    v['$dropdown-link-hover-color'] = u['$dropdown-link-hover-color'] || (0, _color.default)(v['$gray-dark']).darken(0.05).toString();
    v['$dropdown-link-hover-bg'] = u['$dropdown-link-hover-bg'] || v['$gray-lightest'];
    v['$dropdown-link-active-color'] = u['$dropdown-link-active-color'] || v['$component-active-color'];
    v['$dropdown-link-active-bg'] = u['$dropdown-link-active-bg'] || v['$component-active-bg'];
    v['$dropdown-link-disabled-color'] = u['$dropdown-link-disabled-color'] || v['$gray-light'];
    v['$dropdown-item-padding-x'] = u['$dropdown-item-padding-x'] || '1.5rem';
    v['$dropdown-header-color'] = u['$dropdown-header-color'] || v['$gray-light'];
    v['$zindex-dropdown-backdrop'] = u['$zindex-dropdown-backdrop'] || '990';
    v['$zindex-dropdown'] = u['$zindex-dropdown'] || '1000';
    v['$zindex-modal-backdrop'] = u['$zindex-modal-backdrop'] || '2040';
    v['$zindex-modal'] = u['$zindex-modal'] || '2050';
    v['$zindex-popover'] = u['$zindex-popover'] || '1060';
    v['$zindex-tooltip'] = u['$zindex-tooltip'] || '1070';
    v['$zindex-navbar'] = u['$zindex-navbar'] || '1000';
    v['$zindex-navbar-fixed'] = u['$zindex-navbar-fixed'] || '1030';
    v['$zindex-navbar-sticky'] = u['$zindex-navbar-sticky'] || '1030';
    v['$navbar-padding-x'] = u['$navbar-padding-x'] || v['$spacer'];
    v['$navbar-padding-y'] = u['$navbar-padding-y'] || v['$spacer-halved'];
    v['$navbar-brand-padding-y'] = u['$navbar-brand-padding-y'] || '.25rem';
    v['$navbar-divider-padding-y'] = u['$navbar-divider-padding-y'] || '.425rem';
    v['$navbar-toggler-padding-x'] = u['$navbar-toggler-padding-x'] || '.75rem';
    v['$navbar-toggler-padding-y'] = u['$navbar-toggler-padding-y'] || '.25rem';
    v['$navbar-toggler-font-size'] = u['$navbar-toggler-font-size'] || v['$font-size-lg'];
    v['$navbar-toggler-border-radius'] = u['$navbar-toggler-border-radius'] || v['$btn-border-radius'];
    v['$navbar-inverse-color'] = u['$navbar-inverse-color'] || (0, _color.default)(v['$white']).alpha(0.5).toString();
    v['$navbar-inverse-hover-color'] = u['$navbar-inverse-hover-color'] || (0, _color.default)(v['$white']).alpha(0.75).toString();
    v['$navbar-inverse-active-color'] = u['$navbar-inverse-active-color'] || (0, _color.default)(v['$white']).alpha(1).toString();
    v['$navbar-inverse-disabled-color'] = u['$navbar-inverse-disabled-color'] || (0, _color.default)(v['$white']).alpha(0.25).toString();
    v['$navbar-inverse-toggler-bg'] = u['$navbar-inverse-toggler-bg'] || "url('data:image/svg+xml;charset=utf8,%3Csvg viewBox=\"0 0 30 30\" xmlns=\"http://www.w3.org/2000/svg\"%3E%3Cpath stroke=\"".concat(v['$navbar-inverse-color'], "\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-miterlimit=\"10\" d=\"M4 7h22M4 15h22M4 23h22\"/%3E%3C/svg%3E')");
    v['$navbar-inverse-toggler-border'] = u['$navbar-inverse-toggler-border'] || (0, _color.default)(v['$white']).alpha(0.1).toString();
    v['$navbar-light-color'] = u['$navbar-light-color'] || (0, _color.default)(v['$black']).alpha(0.5).toString();
    v['$navbar-light-hover-color'] = u['$navbar-light-hover-color'] || (0, _color.default)(v['$black']).alpha(0.7).toString();
    v['$navbar-light-active-color'] = u['$navbar-light-active-color'] || (0, _color.default)(v['$black']).alpha(0.9).toString();
    v['$navbar-light-disabled-color'] = u['$navbar-light-disabled-color'] || (0, _color.default)(v['$black']).alpha(0.3).toString();
    v['$navbar-light-toggler-bg'] = u['$navbar-light-toggler-bg'] || "url('data:image/svg+xml;charset=utf8,%3Csvg viewBox=\"0 0 30 30\" xmlns=\"http://www.w3.org/2000/svg\"%3E%3Cpath stroke=\"".concat(v['$navbar-light-color'], "\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-miterlimit=\"10\" d=\"M4 7h22M4 15h22M4 23h22\"/%3E%3C/svg%3E')");
    v['$navbar-light-toggler-border'] = u['$navbar-light-toggler-border'] || (0, _color.default)(v['$black']).alpha(0.1).toString();
    v['$nav-link-padding'] = u['$nav-link-padding'] || '.5em 1em';
    v['$nav-disabled-link-color'] = u['$nav-disabled-link-color'] || v['$gray-light'];
    v['$nav-tabs-border-color'] = u['$nav-tabs-border-color'] || '#ddd';
    v['$nav-tabs-border-width'] = u['$nav-tabs-border-width'] || v['$border-width'];
    v['$nav-tabs-border-radius'] = u['$nav-tabs-border-radius'] || v['$border-radius'];
    v['$nav-tabs-link-hover-border-color'] = u['$nav-tabs-link-hover-border-color'] || v['$gray-lighter'];
    v['$nav-tabs-active-link-hover-color'] = u['$nav-tabs-active-link-hover-color'] || v['$gray'];
    v['$nav-tabs-active-link-hover-bg'] = u['$nav-tabs-active-link-hover-bg'] || v['$body-bg'];
    v['$nav-tabs-active-link-hover-border-color'] = u['$nav-tabs-active-link-hover-border-color'] || '#ddd';
    v['$nav-pills-border-radius'] = u['$nav-pills-border-radius'] || v['$border-radius'];
    v['$nav-pills-active-link-color'] = u['$nav-pills-active-link-color'] || v['$component-active-color'];
    v['$nav-pills-active-link-bg'] = u['$nav-pills-active-link-bg'] || v['$component-active-bg'];
    v['$pagination-padding-x'] = u['$pagination-padding-x'] || '.75rem';
    v['$pagination-padding-y'] = u['$pagination-padding-y'] || '.5rem';
    v['$pagination-padding-x-sm'] = u['$pagination-padding-x-sm'] || '.5rem';
    v['$pagination-padding-y-sm'] = u['$pagination-padding-y-sm'] || '.25rem';
    v['$pagination-padding-x-lg'] = u['$pagination-padding-x-lg'] || '1.5rem';
    v['$pagination-padding-y-lg'] = u['$pagination-padding-y-lg'] || '.75rem';
    v['$pagination-line-height'] = u['$pagination-line-height'] || '1.25';
    v['$pagination-color'] = u['$pagination-color'] || v['$link-color'];
    v['$pagination-bg'] = u['$pagination-bg'] || v['$white'];
    v['$pagination-border-width'] = u['$pagination-border-width'] || v['$border-width'];
    v['$pagination-border-color'] = u['$pagination-border-color'] || '#ddd';
    v['$pagination-hover-color'] = u['$pagination-hover-color'] || v['$link-hover-color'];
    v['$pagination-hover-bg'] = u['$pagination-hover-bg'] || v['$gray-lighter'];
    v['$pagination-hover-border'] = u['$pagination-hover-border'] || '#ddd';
    v['$pagination-active-color'] = u['$pagination-active-color'] || v['$white'];
    v['$pagination-active-bg'] = u['$pagination-active-bg'] || v['$brand-primary'];
    v['$pagination-active-border'] = u['$pagination-active-border'] || v['$brand-primary'];
    v['$pagination-disabled-color'] = u['$pagination-disabled-color'] || v['$gray-light'];
    v['$pagination-disabled-bg'] = u['$pagination-disabled-bg'] || v['$white'];
    v['$pagination-disabled-border'] = u['$pagination-disabled-border'] || '#ddd';
    v['$jumbotron-padding'] = u['$jumbotron-padding'] || '2rem';
    v['$jumbotron-bg'] = u['$jumbotron-bg'] || v['$gray-lighter'];
    v['$state-success-text'] = u['$state-success-text'] || '#3c763d';
    v['$state-success-bg'] = u['$state-success-bg'] || '#dff0d8';
    v['$state-success-border'] = u['$state-success-border'] || (0, _color.default)(v['$state-success-bg']).darken(0.05).toString();
    v['$state-info-text'] = u['$state-info-text'] || '#31708f';
    v['$state-info-bg'] = u['$state-info-bg'] || '#d9edf7';
    v['$state-info-border'] = u['$state-info-border'] || (0, _color.default)(v['$state-info-bg']).darken(0.07).toString();
    v['$state-warning-text'] = u['$state-warning-text'] || '#8a6d3b';
    v['$state-warning-bg'] = u['$state-warning-bg'] || '#fcf8e3';
    v['$state-warning-border'] = u['$state-warning-border'] || (0, _color.default)(v['$state-warning-bg']).darken(0.05).toString();
    v['$mark-bg'] = u['$mark-bg'] || v['$state-warning-bg'];
    v['$state-danger-text'] = u['$state-danger-text'] || '#a94442';
    v['$state-danger-bg'] = u['$state-danger-bg'] || '#f2dede';
    v['$state-danger-border'] = u['$state-danger-border'] || (0, _color.default)(v['$state-danger-bg']).darken(0.05).toString();
    v['$card-spacer-x'] = u['$card-spacer-x'] || '1.25rem';
    v['$card-spacer-y'] = u['$card-spacer-y'] || '.75rem';
    v['$card-border-width'] = u['$card-border-width'] || '1px';
    v['$card-border-radius'] = u['$card-border-radius'] || v['$border-radius'];
    v['$card-border-color'] = u['$card-border-color'] || (0, _color.default)(v['$black']).alpha(0.125).toString();
    v['$card-border-radius-inner'] = u['$card-border-radius-inner'] || "calc(".concat(v['$card-border-radius'], " - ").concat(v['$card-border-width'], ")");
    v['$card-cap-bg'] = u['$card-cap-bg'] || v['$gray-lightest'];
    v['$card-bg'] = u['$card-bg'] || v['$white'];
    v['$card-link-hover-color'] = u['$card-link-hover-color'] || v['$white'];
    v['$card-img-overlay-padding'] = u['$card-img-overlay-padding'] || '1.25rem';
    detectedUnit = detectUnit(v['$grid-gutter-width-base']);
    v['$card-deck-margin'] = u['$card-deck-margin'] || rmUnit(v['$grid-gutter-width-base'], detectedUnit) / 2 + detectedUnit;
    v['$card-columns-count-md'] = u['$card-columns-count-md'] || '2';
    v['$card-columns-gap-md'] = u['$card-columns-gap-md'] || '1rem';
    v['$card-columns-margin-md'] = u['$card-columns-margin-md'] || v['$card-spacer-y'];
    v['$card-columns-count-lg'] = u['$card-columns-count-lg'] || '2';
    v['$card-columns-gap-lg'] = u['$card-columns-gap-lg'] || '1.15rem';
    v['$card-columns-margin-lg'] = u['$card-columns-margin-lg'] || v['$card-spacer-y'];
    v['$card-columns-count-xl'] = u['$card-columns-count-xl'] || '3';
    v['$card-columns-gap-xl'] = u['$card-columns-gap-xl'] || '1.25rem';
    v['$card-columns-margin-xl'] = u['$card-columns-margin-xl'] || v['$card-spacer-y'];
    v['$card-columns-count-xxl'] = u['$card-columns-count-xxl'] || '4';
    v['$card-columns-gap-xxl'] = u['$card-columns-gap-xxl'] || '1.25rem';
    v['$card-columns-margin-xxl'] = u['$card-columns-margin-xxl'] || v['$card-spacer-y'];
    v['$tooltip-max-width'] = u['$tooltip-max-width'] || '200px';
    v['$tooltip-color'] = u['$tooltip-color'] || v['$white'];
    v['$tooltip-bg'] = u['$tooltip-bg'] || v['$black'];
    v['$tooltip-opacity'] = u['$tooltip-opacity'] || '.9';
    v['$tooltip-padding-y'] = u['$tooltip-padding-y'] || '3px';
    v['$tooltip-padding-x'] = u['$tooltip-padding-x'] || '8px';
    v['$tooltip-margin'] = u['$tooltip-margin'] || '3px';
    v['$tooltip-arrow-width'] = u['$tooltip-arrow-width'] || '5px';
    v['$tooltip-arrow-color'] = u['$tooltip-arrow-color'] || v['$tooltip-bg'];
    v['$popover-inner-padding'] = u['$popover-inner-padding'] || '1px';
    v['$popover-bg'] = u['$popover-bg'] || v['$white'];
    v['$popover-max-width'] = u['$popover-max-width'] || '276px';
    v['$popover-border-width'] = u['$popover-border-width'] || v['$border-width'];
    v['$popover-border-color'] = u['$popover-border-color'] || (0, _color.default)(v['$black']).alpha(0.2).toString();
    v['$popover-box-shadow'] = u['$popover-box-shadow'] || "0 5px 10px ".concat((0, _color.default)(v['$black']).alpha(0.2).toString());
    v['$popover-title-bg'] = u['$popover-title-bg'] || (0, _color.default)(v['$popover-bg']).darken(0.03).toString();
    v['$popover-title-padding-x'] = u['$popover-title-padding-x'] || '14px';
    v['$popover-title-padding-y'] = u['$popover-title-padding-y'] || '8px';
    v['$popover-content-padding-x'] = u['$popover-content-padding-x'] || '14px';
    v['$popover-content-padding-y'] = u['$popover-content-padding-y'] || '9px';
    v['$popover-arrow-width'] = u['$popover-arrow-width'] || '10px';
    v['$popover-arrow-color'] = u['$popover-arrow-color'] || v['$popover-bg'];
    detectedUnit = detectUnit(v['$popover-arrow-width']);
    v['$popover-arrow-outer-width'] = u['$popover-arrow-outer-width'] || rmUnit(v['$popover-arrow-width'], detectedUnit) + 1 + detectedUnit;
    v['$popover-arrow-outer-color'] = u['$popover-arrow-outer-color'] || (0, _color.default)(v['$popover-border-color']).fade(0.5).toString();
    v['$badge-default-bg'] = u['$badge-default-bg'] || v['$gray-light'];
    v['$badge-primary-bg'] = u['$badge-primary-bg'] || v['$brand-primary'];
    v['$badge-success-bg'] = u['$badge-success-bg'] || v['$brand-success'];
    v['$badge-info-bg'] = u['$badge-info-bg'] || v['$brand-info'];
    v['$badge-warning-bg'] = u['$badge-warning-bg'] || v['$brand-warning'];
    v['$badge-danger-bg'] = u['$badge-danger-bg'] || v['$brand-danger'];
    v['$badge-color'] = u['$badge-color'] || v['$white'];
    v['$badge-link-hover-color'] = u['$badge-link-hover-color'] || v['$white'];
    v['$badge-font-size'] = u['$badge-font-size'] || '75%';
    v['$badge-font-weight'] = u['$badge-font-weight'] || v['$font-weight-bold'];
    v['$badge-padding-x'] = u['$badge-padding-x'] || '.4em';
    v['$badge-padding-y'] = u['$badge-padding-y'] || '.25em';
    v['$badge-pill-padding-x'] = u['$badge-pill-padding-x'] || '.6em';
    v['$badge-pill-border-radius'] = u['$badge-pill-border-radius'] || '10rem';
    v['$modal-inner-padding'] = u['$modal-inner-padding'] || '15px';
    v['$modal-dialog-margin'] = u['$modal-dialog-margin'] || '10px';
    v['$modal-dialog-sm-up-margin-y'] = u['$modal-dialog-sm-up-margin-y'] || '30px';
    v['$modal-title-line-height'] = u['$modal-title-line-height'] || v['$line-height-base'];
    v['$modal-content-bg'] = u['$modal-content-bg'] || v['$white'];
    v['$modal-content-border-color'] = u['$modal-content-border-color'] || (0, _color.default)(v['$black']).alpha(0.2).toString();
    v['$modal-content-border-width'] = u['$modal-content-border-width'] || v['$border-width'];
    v['$modal-content-xs-box-shadow'] = u['$modal-content-xs-box-shadow'] || "0 3px 9px ".concat((0, _color.default)(v['$black']).alpha(0.5).toString());
    v['$modal-content-sm-up-box-shadow'] = u['$modal-content-sm-up-box-shadow'] || "0 5px 15px ".concat((0, _color.default)(v['$black']).alpha(0.5).toString());
    v['$modal-backdrop-bg'] = u['$modal-backdrop-bg'] || v['$black'];
    v['$modal-backdrop-opacity'] = u['$modal-backdrop-opacity'] || '.5';
    v['$modal-header-border-color'] = u['$modal-header-border-color'] || v['$gray-lighter'];
    v['$modal-footer-border-color'] = u['$modal-footer-border-color'] || v['$modal-header-border-color'];
    v['$modal-header-border-width'] = u['$modal-header-border-width'] || v['$modal-content-border-width'];
    v['$modal-footer-border-width'] = u['$modal-footer-border-width'] || v['$modal-header-border-width'];
    v['$modal-header-padding'] = u['$modal-header-padding'] || '15px';
    v['$modal-lg'] = u['$modal-lg'] || '800px';
    v['$modal-md'] = u['$modal-md'] || '500px';
    v['$modal-sm'] = u['$modal-sm'] || '300px';
    v['$modal-transition'] = u['$modal-transition'] || 'transform .3s ease-out';
    v['$alert-padding-x'] = u['$alert-padding-x'] || '1.25rem';
    v['$alert-padding-y'] = u['$alert-padding-y'] || '.75rem';
    v['$alert-margin-bottom'] = u['$alert-margin-bottom'] || v['$spacer-y'];
    v['$alert-border-radius'] = u['$alert-border-radius'] || v['$border-radius'];
    v['$alert-link-font-weight'] = u['$alert-link-font-weight'] || v['$font-weight-bold'];
    v['$alert-border-width'] = u['$alert-border-width'] || v['$border-width'];
    v['$alert-success-bg'] = u['$alert-success-bg'] || v['$state-success-bg'];
    v['$alert-success-text'] = u['$alert-success-text'] || v['$state-success-text'];
    v['$alert-success-border'] = u['$alert-success-border'] || v['$state-success-border'];
    v['$alert-info-bg'] = u['$alert-info-bg'] || v['$state-info-bg'];
    v['$alert-info-text'] = u['$alert-info-text'] || v['$state-info-text'];
    v['$alert-info-border'] = u['$alert-info-border'] || v['$state-info-border'];
    v['$alert-warning-bg'] = u['$alert-warning-bg'] || v['$state-warning-bg'];
    v['$alert-warning-text'] = u['$alert-warning-text'] || v['$state-warning-text'];
    v['$alert-warning-border'] = u['$alert-warning-border'] || v['$state-warning-border'];
    v['$alert-danger-bg'] = u['$alert-danger-bg'] || v['$state-danger-bg'];
    v['$alert-danger-text'] = u['$alert-danger-text'] || v['$state-danger-text'];
    v['$alert-danger-border'] = u['$alert-danger-border'] || v['$state-danger-border'];
    v['$progress-height'] = u['$progress-height'] || '1rem';
    v['$progress-font-size'] = u['$progress-font-size'] || '.75rem';
    v['$progress-bg'] = u['$progress-bg'] || v['$gray-lighter'];
    v['$progress-border-radius'] = u['$progress-border-radius'] || v['$border-radius'];
    v['$progress-box-shadow'] = u['$progress-box-shadow'] || "inset 0 .1rem .1rem ".concat((0, _color.default)(v['$black']).alpha(0.1).toString());
    v['$progress-bar-color'] = u['$progress-bar-color'] || v['$white'];
    v['$progress-bar-bg'] = u['$progress-bar-bg'] || v['$brand-primary'];
    v['$progress-bar-animation-timing'] = u['$progress-bar-animation-timing'] || '1s linear infinite';
    v['$list-group-color'] = u['$list-group-color'] || v['$body-color'];
    v['$list-group-bg'] = u['$list-group-bg'] || v['$white'];
    v['$list-group-border-color'] = u['$list-group-border-color'] || (0, _color.default)(v['$black']).alpha(0.125).toString();
    v['$list-group-border-width'] = u['$list-group-border-width'] || v['$border-width'];
    v['$list-group-border-radius'] = u['$list-group-border-radius'] || v['$border-radius'];
    v['$list-group-item-padding-x'] = u['$list-group-item-padding-x'] || '1.25rem';
    v['$list-group-item-padding-y'] = u['$list-group-item-padding-y'] || '.75rem';
    v['$list-group-hover-bg'] = u['$list-group-hover-bg'] || v['$gray-lightest'];
    v['$list-group-active-color'] = u['$list-group-active-color'] || v['$component-active-color'];
    v['$list-group-active-bg'] = u['$list-group-active-bg'] || v['$component-active-bg'];
    v['$list-group-active-border'] = u['$list-group-active-border'] || v['$list-group-active-bg'];
    v['$list-group-disabled-color'] = u['$list-group-disabled-color'] || v['$gray-light'];
    v['$list-group-disabled-bg'] = u['$list-group-disabled-bg'] || v['$list-group-bg'];
    v['$list-group-link-color'] = u['$list-group-link-color'] || v['$gray'];
    v['$list-group-link-hover-color'] = u['$list-group-link-hover-color'] || v['$list-group-link-color'];
    v['$list-group-link-active-color'] = u['$list-group-link-active-color'] || v['$list-group-color'];
    v['$list-group-link-active-bg'] = u['$list-group-link-active-bg'] || v['$gray-lighter'];
    v['$thumbnail-padding'] = u['$thumbnail-padding'] || '.25rem';
    v['$thumbnail-bg'] = u['$thumbnail-bg'] || v['$body-bg'];
    v['$thumbnail-border-width'] = u['$thumbnail-border-width'] || v['$border-width'];
    v['$thumbnail-border-color'] = u['$thumbnail-border-color'] || '#ddd';
    v['$thumbnail-border-radius'] = u['$thumbnail-border-radius'] || v['$border-radius'];
    v['$thumbnail-box-shadow'] = u['$thumbnail-box-shadow'] || "0 1px 2px ".concat((0, _color.default)(v['$black']).alpha(0.75).toString());
    v['$thumbnail-transition'] = u['$thumbnail-transition'] || 'all .2s ease-in-out';
    v['$figure-caption-font-size'] = u['$figure-caption-font-size'] || '90%';
    v['$figure-caption-color'] = u['$figure-caption-color'] || v['$gray-light'];
    v['$breadcrumb-padding-y'] = u['$breadcrumb-padding-y'] || '.75rem';
    v['$breadcrumb-padding-x'] = u['$breadcrumb-padding-x'] || '1rem';
    v['$breadcrumb-item-padding'] = u['$breadcrumb-item-padding'] || '.5rem';
    v['$breadcrumb-bg'] = u['$breadcrumb-bg'] || v['$gray-lighter'];
    v['$breadcrumb-divider-color'] = u['$breadcrumb-divider-color'] || v['$gray-light'];
    v['$breadcrumb-active-color'] = u['$breadcrumb-active-color'] || v['$gray-light'];
    v['$breadcrumb-divider'] = u['$breadcrumb-divider'] || '"/"';
    v['$close-font-size'] = u['$close-font-size'] || rmUnit(v['$font-size-base']) * 1.5 + detectUnit(v['$font-size-base']);
    v['$close-font-weight'] = u['$close-font-weight'] || v['$font-weight-bold'];
    v['$close-color'] = u['$close-color'] || v['$black'];
    v['$close-text-shadow'] = u['$close-text-shadow'] || "0 1px 0 ".concat(v['$white']);
    v['$code-font-size'] = u['$code-font-size'] || '90%';
    v['$code-padding-x'] = u['$code-padding-x'] || '.4rem';
    v['$code-padding-y'] = u['$code-padding-y'] || '.2rem';
    v['$code-color'] = u['$code-color'] || '#bd4147';
    v['$code-bg'] = u['$code-bg'] || v['$gray-lightest'];
    v['$kbd-color'] = u['$kbd-color'] || v['$white'];
    v['$kbd-bg'] = u['$kbd-bg'] || v['$gray-dark'];
    v['$kbd-box-shadow'] = u['$kbd-box-shadow'] || "inset 0 -.1rem 0 ".concat((0, _color.default)(v['$black']).alpha(0.25).toString());
    v['$nested-kbd-font-weight'] = u['$nested-kbd-font-weight'] || v['$font-weight-bold'];
    v['$pre-color'] = u['$pre-color'] || v['$gray-dark'];
    v['$pre-scrollable-max-height'] = u['$pre-scrollable-max-height'] || '340px';
    return Object.assign({}, u, v);
  }
  var makeTheme = makeOriginal;
  exports.makeTheme = makeTheme;
  var _default = makeOriginal();
  exports.default = _default;
  });
  unwrapExports(theme);
  var theme_1 = theme.makeTheme;

  var UtilityProvider_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = exports.propTypes = exports.defaultProps = void 0;
  var _propTypes = _interopRequireDefault(propTypes);
  var _styledComponents = _interopRequireDefault(styledComponents);
  var _align = _interopRequireDefault(align);
  var _background = _interopRequireDefault(background);
  var _borders = _interopRequireDefault(borders);
  var _clearfix = _interopRequireDefault(clearfix$1);
  var _cursor = _interopRequireDefault(cursor);
  var _display = _interopRequireDefault(display);
  var _flex = _interopRequireDefault(flex);
  var _float = _interopRequireDefault(float_1$1);
  var _position = _interopRequireDefault(position);
  var _reboot = _interopRequireDefault(reboot$1);
  var _screenreaders = _interopRequireDefault(screenreaders);
  var _sizing = _interopRequireDefault(sizing);
  var _spacing = _interopRequireDefault(spacing);
  var _text = _interopRequireDefault(text);
  var _transition = _interopRequireDefault(transition$1);
  var _visibility = _interopRequireDefault(visibility$2);
  var _theme = _interopRequireDefault(theme);
  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
  var defaultProps = {
    theme: _theme.default,
    utils: {
      align: true,
      background: true,
      border: true,
      clearfix: true,
      cursor: true,
      display: true,
      flex: true,
      float: true,
      position: true,
      screenreaders: true,
      sizing: true,
      spacing: true,
      text: true,
      transition: true,
      visibility: true
    }
  };
  exports.defaultProps = defaultProps;
  var propTypes$$1 = {
    children: _propTypes.default.node,
    theme: _propTypes.default.object,
    utils: _propTypes.default.shape({
      align: _propTypes.default.bool,
      background: _propTypes.default.bool,
      a: _propTypes.default.bool,
      border: _propTypes.default.bool,
      clearfix: _propTypes.default.bool,
      display: _propTypes.default.bool,
      flex: _propTypes.default.bool,
      float: _propTypes.default.bool,
      position: _propTypes.default.bool,
      screenreaders: _propTypes.default.bool,
      sizing: _propTypes.default.bool,
      spacing: _propTypes.default.bool,
      text: _propTypes.default.bool,
      transition: _propTypes.default.bool,
      visibility: _propTypes.default.bool
    })
  };
  exports.propTypes = propTypes$$1;
  var UtilityProvider = _styledComponents.default.div.withConfig({
    displayName: "UtilityProvider",
    componentId: "wqw4uj-0"
  })(["", ""], function (props) {
    return "\n    ".concat(_reboot.default.body(props.theme['$font-family-base'], props.theme['$font-size-base'], props.theme['$font-weight-base'], props.theme['$line-height-base'], props.theme['$body-color'], props.theme['$body-bg']), "\n    ").concat((0, conditional.ifThen)(props.utils.align, _align.default.getAlignUtilities()), "\n    ").concat((0, conditional.ifThen)(props.utils.background, _background.default.getBackgroundUtilities(props.theme['$enable-hover-media-query'], props.theme['$brand-primary'], props.theme['$brand-success'], props.theme['$brand-info'], props.theme['$brand-warning'], props.theme['$brand-danger'], props.theme['$brand-inverse'], props.theme['$gray-lightest'])), "\n    ").concat((0, conditional.ifThen)(props.utils.border, _borders.default.getBordersUtilities(props.theme['$enable-rounded'], props.theme['$border-radius'])), "\n      ").concat((0, conditional.ifThen)(props.utils.clearfix, _clearfix.default.getClearfixUtilities()), "\n      ").concat((0, conditional.ifThen)(props.utils.cursor, _cursor.default.getCursorUtilities()), "\n      ").concat((0, conditional.ifThen)(props.utils.display, _display.default.getDisplayUtilities(props.theme['$grid-breakpoints'])), "\n    ").concat((0, conditional.ifThen)(props.utils.flex, _flex.default.getFlexUtilities(props.theme['$grid-breakpoints'])), "\n    ").concat((0, conditional.ifThen)(props.utils.float, _float.default.getFloatUtilities(props.theme['$grid-breakpoints'])), "\n    ").concat((0, conditional.ifThen)(props.utils.screenreaders, _screenreaders.default.getScreenReadersUtilities()), "\n    ").concat((0, conditional.ifThen)(props.utils.spacing, _spacing.default.getSpacingUtilities(props.theme['$grid-breakpoints'], props.theme['$spacers']
    )), "\n    ").concat((0, conditional.ifThen)(props.utils.text, _text.default.getTextUtilities(props.theme['$enable-hover-media-query'], props.theme['$grid-breakpoints'], props.theme['$font-weight-normal'], props.theme['$font-weight-bold'], props.theme['$text-muted'], props.theme['$brand-primary'], props.theme['$brand-success'], props.theme['$brand-info'], props.theme['$brand-warning'], props.theme['$brand-danger'], props.theme['$gray-dark'])), "\n    ").concat((0, conditional.ifThen)(props.utils.transition, _transition.default.getTransitionUtilities(props.theme['$enable-transitions'], props.theme['$transition-fade'], props.theme['$transition-collapse'])), "\n    ").concat((0, conditional.ifThen)(props.utils.visibility, _visibility.default.getVisibilityUtilities(props.theme['$grid-breakpoints'])), "\n    ").concat((0, conditional.ifThen)(props.utils.position, _position.default.getPositionUtilities(props.theme['$zindex-fixed'], props.theme['$zindex-sticky'])), "\n    ").concat((0, conditional.ifThen)(props.utils.sizing, _sizing.default.getSizingUtilities(props.theme.$sizes)), " // eslint-disable-line dot-notation\n  ");
  });
  UtilityProvider.defaultProps = defaultProps;
  UtilityProvider.propTypes = propTypes$$1;
  var _default = UtilityProvider;
  exports.default = _default;
  });
  unwrapExports(UtilityProvider_1);
  var UtilityProvider_2 = UtilityProvider_1.propTypes;
  var UtilityProvider_3 = UtilityProvider_1.defaultProps;

  var reset = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = void 0;
  var _default = "\n/* http://meyerweb.com/eric/tools/css/reset/\n   v2.0 | 20110126\n   License: none (public domain)\n*/\n\nhtml, body, div, span, applet, object, iframe,\nh1, h2, h3, h4, h5, h6, p, blockquote, pre,\na, abbr, acronym, address, big, cite, code,\ndel, dfn, em, img, ins, kbd, q, s, samp,\nsmall, strike, strong, sub, sup, tt, var,\nb, u, i, center,\ndl, dt, dd, ol, ul, li,\nfieldset, form, label, legend,\ntable, caption, tbody, tfoot, thead, tr, th, td,\narticle, aside, canvas, details, embed,\nfigure, figcaption, footer, header, hgroup,\nmenu, nav, output, ruby, section, summary,\ntime, mark, audio, video {\n  margin: 0;\n  padding: 0;\n  border: 0;\n  font-size: 100%;\n  font: inherit;\n  vertical-align: baseline;\n}\n/* HTML5 display-role reset for older browsers */\narticle, aside, details, figcaption, figure,\nfooter, header, hgroup, menu, nav, section {\n  display: block;\n}\nbody {\n  line-height: 1;\n}\nol, ul {\n  list-style: none;\n}\nblockquote, q {\n  quotes: none;\n}\nblockquote:before, blockquote:after,\nq:before, q:after {\n  content: '';\n  content: none;\n}\ntable {\n  border-collapse: collapse;\n  border-spacing: 0;\n}\n";
  exports.default = _default;
  module.exports = exports.default;
  });
  unwrapExports(reset);

  var GlobalStyle_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = void 0;
  var _theme = _interopRequireDefault(theme);
  var _reset = _interopRequireDefault(reset);
  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
  function _templateObject() {
    var data = _taggedTemplateLiteral(["\n  ", "\n"]);
    _templateObject = function _templateObject() {
      return data;
    };
    return data;
  }
  function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
  var GlobalStyle = (0, styledComponents.createGlobalStyle)(_templateObject(), function (props) {
    return "\n    ".concat(props.reset ? _reset.default : '', "\n    ").concat(props.injectGlobal ? (0, reboot$1.getGlobalStyleNoBootstrapProvider)(props.theme['$font-family-base'] || _theme.default['$font-family-base'], props.theme['$font-size-base'] || _theme.default['$font-size-base'], props.theme['$font-weight-base'] || _theme.default['$font-weight-base'], props.theme['$line-height-base'] || _theme.default['$line-height-base'], props.theme['$body-color'] || _theme.default['$body-color'], props.theme['$body-bg'] || _theme.default['$body-bg']) : '', "\n  ");
  });
  var _default = GlobalStyle;
  exports.default = _default;
  module.exports = exports.default;
  });
  unwrapExports(GlobalStyle_1);

  var BootstrapProvider_1 = createCommonjsModule(function (module, exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = exports.propTypes = exports.defaultProps = void 0;
  var _react = _interopRequireDefault(React);
  var _propTypes = _interopRequireDefault(propTypes);
  var _UtilityProvider = _interopRequireWildcard(UtilityProvider_1);
  var _GlobalStyle = _interopRequireDefault(GlobalStyle_1);
  function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }
  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
  function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }
  function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
  function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }
  function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }
  function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }
  function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
  function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }
  function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
  function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
  function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
  var defaultProps = {
    theme: bootstrapStyled_esm.theme,
    injectGlobal: false,
    reset: false,
    utils: _UtilityProvider.defaultProps.utils
  };
  exports.defaultProps = defaultProps;
  var propTypes$$1 = {
    children: _propTypes.default.node.isRequired,
    injectGlobal: _propTypes.default.bool,
    reset: _propTypes.default.bool,
    theme: _propTypes.default.object,
    utils: _propTypes.default.shape({
      align: _propTypes.default.bool,
      background: _propTypes.default.bool,
      a: _propTypes.default.bool,
      border: _propTypes.default.bool,
      clearfix: _propTypes.default.bool,
      display: _propTypes.default.bool,
      flex: _propTypes.default.bool,
      float: _propTypes.default.bool,
      position: _propTypes.default.bool,
      screenreaders: _propTypes.default.bool,
      sizing: _propTypes.default.bool,
      spacing: _propTypes.default.bool,
      text: _propTypes.default.bool,
      transition: _propTypes.default.bool,
      visibility: _propTypes.default.bool
    })
  };
  exports.propTypes = propTypes$$1;
  var BootstrapProvider =
  function (_React$Component) {
    _inherits(BootstrapProvider, _React$Component);
    function BootstrapProvider() {
      var _getPrototypeOf2;
      var _this;
      _classCallCheck(this, BootstrapProvider);
      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }
      _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(BootstrapProvider)).call.apply(_getPrototypeOf2, [this].concat(args)));
      _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
        theme: {},
        isWindowPhone8Fixed: null
      });
      _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "setTheme", function (_ref, cb) {
        var userTheme = _ref.theme;
        var theme = _this.makeTheme({
          theme: userTheme
        });
        _this.setState({
          theme: theme
        }, cb);
      });
      _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "makeTheme", function (_ref2) {
        var userTheme = _ref2.theme;
        var theme = (0, bootstrapStyled_esm.makeTheme)(userTheme);
        var metaKeyList = Object.keys(theme).filter(function (f) {
          return f[0] === '_';
        });
        metaKeyList.forEach(function (k) {
          delete theme[k];
        });
        return theme;
      });
      return _this;
    }
    _createClass(BootstrapProvider, [{
      key: "componentWillMount",
      value: function componentWillMount() {
        this.setTheme(this.props, this.injectGlobal);
      }
    }, {
      key: "componentDidMount",
      value: function componentDidMount() {
        this.windowPhone8Fix();
      }
    }, {
      key: "componentWillReceiveProps",
      value: function componentWillReceiveProps(nextProps) {
        if (JSON.stringify(this.makeTheme(this.props)) !== JSON.stringify(nextProps.theme)) {
          this.setTheme(nextProps);
        }
      }
    }, {
      key: "windowPhone8Fix",
      value: function windowPhone8Fix() {
        if (navigator.userAgent.match(/IEMobile\/10\.0/)) {
          var msViewportStyle = document.createElement('style');
          msViewportStyle.appendChild(document.createTextNode('@-ms-viewport{width:auto!important}'));
          document.head.appendChild(msViewportStyle);
          this.setState({
            isWindowPhone8Fixed: true
          });
        }
      }
    }, {
      key: "render",
      value: function render() {
        var _this$props = this.props,
            children = _this$props.children,
            utils = _this$props.utils,
            reset = _this$props.reset,
            injectGlobal = _this$props.injectGlobal;
        var theme = this.state.theme;
        return _react.default.createElement(styledComponents.ThemeProvider, {
          theme: theme
        }, _react.default.createElement(_UtilityProvider.default, {
          utils: utils
        }, (reset || injectGlobal) && _react.default.createElement(_GlobalStyle.default, {
          reset: reset,
          injectGlobal: injectGlobal
        }), children));
      }
    }]);
    return BootstrapProvider;
  }(_react.default.Component);
  _defineProperty(BootstrapProvider, "propTypes", propTypes$$1);
  _defineProperty(BootstrapProvider, "defaultProps", defaultProps);
  BootstrapProvider.defaultProps = defaultProps;
  BootstrapProvider.propTypes = propTypes$$1;
  var _default = BootstrapProvider;
  exports.default = _default;
  });
  var BootstrapProvider = unwrapExports(BootstrapProvider_1);
  var BootstrapProvider_2 = BootstrapProvider_1.propTypes;
  var BootstrapProvider_3 = BootstrapProvider_1.defaultProps;

  var selectBsRedux = function selectBsRedux(state) {
    return state['bs.redux'];
  };
  var selectThemes = createSelector(selectBsRedux, function (bsReduxState) {
    return bsReduxState.themes;
  });
  var selectTheme = createSelector(selectBsRedux, function (bsReduxState) {
    return bsReduxState.theme;
  });
  var selectValue = createSelector(selectBsRedux, function (bsReduxState) {
    return bsReduxState.theme._name;
  }
  );
  var selectValues = createSelector(selectBsRedux, function (bsReduxState) {
    return Object.keys(bsReduxState.themes).map(function (key) {
      return bsReduxState.themes[key]._name;
    });
  }
  );

  var ConnectedBootstrapProvider = function ConnectedBootstrapProvider(props) {
    return React.createElement(BootstrapProvider, props);
  };
  var mapStateToProps = createStructuredSelector({
    theme: selectTheme
  });
  var withConnect = reactRedux.connect(mapStateToProps);
  var index$4 = redux.compose(withConnect)(ConnectedBootstrapProvider);

  exports.default = index$4;

  Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=redux.js.map
